#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
This data file is the important part for Azur Lane Tool Lib, the python lib in Pypi.
It is from `Azur Lane Fleet Tool` product by x94fujo6rpg, Licensed under the MIT License.
Copyright (C) 2021 x94fujo6rpg
Author: x94fujo6rpg
url: https://x94fujo6rpg.github.io/AzurLaneFleet/

THIS FILE IS PART OF AZUR LANE TOOL BY MATT BELFAST BROWN
data_FLE_Shi.py - The core data mode of the Azur Lane Tool.

Author: Matt Belfast Brown
Create Date: 2021-07-10
Version Date: 2022-02-22
Version: 0.5.1
Data Date: 2022-02-04

THIS PROGRAM IS FREE FOR EVERYONE,IS LICENSED UNDER GPL-3.0
YOU SHOULD HAVE RECEIVED A COPY OF GPL-3.0 LICENSE.

Copyright (C) 2021-2022 Matt Belfast Brown

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

dic_ship_data = {
    "10800060": {
        "nationality": 108,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10800064,
        "skin_id": 10800060,
        "english_name": "Asukagawa Chise",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10800060",
        "painting": "qianlai",
        "jp_name": "飛鳥川ちせ",
        "en_name": "Chise Asukagawa",
        "cn_name": "飞鸟川千濑",
        "tw_name": "飛鳥川千瀨",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.25,
            1.3
        ],
        "reload": [
            53,
            362,
            0,
            40,
            0
        ]
    },
    "10800070": {
        "nationality": 108,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10800074,
        "skin_id": 10800070,
        "english_name": "Mujina",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10800070",
        "painting": "he",
        "jp_name": "ムジナ",
        "en_name": "Mujina",
        "cn_name": "貉",
        "tw_name": "貉",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            50,
            345,
            0,
            38,
            0
        ]
    },
    "10800020": {
        "nationality": 108,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10800024,
        "skin_id": 10800020,
        "english_name": "Shinjo Akane",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10800020",
        "painting": "qian",
        "jp_name": "新条アカネ",
        "en_name": "Akane Shinjo",
        "cn_name": "新条茜",
        "tw_name": "新條茜",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            57,
            395,
            0,
            43,
            0
        ]
    },
    "10800050": {
        "nationality": 108,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 10800054,
        "skin_id": 10800050,
        "english_name": "Minami Yume",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10800050",
        "painting": "mengya",
        "jp_name": "南夢芽",
        "en_name": "Yume Minami",
        "cn_name": "南梦芽",
        "tw_name": "南夢芽",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.65,
            1.15
        ],
        "reload": [
            69,
            471,
            0,
            51,
            0
        ]
    },
    "10800040": {
        "nationality": 108,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10800044,
        "skin_id": 10800040,
        "english_name": "Namiko",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10800040",
        "painting": "naimeizi",
        "jp_name": "なみこ",
        "en_name": "Namiko",
        "cn_name": "奈美子",
        "tw_name": "奈美子",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.55,
            1
        ],
        "reload": [
            66,
            454,
            0,
            49,
            0
        ]
    },
    "10800030": {
        "nationality": 108,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10800034,
        "skin_id": 10800030,
        "english_name": "Hass",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10800030",
        "painting": "lian",
        "jp_name": "はっす",
        "en_name": "Hass",
        "cn_name": "莲",
        "tw_name": "哈絲",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.6,
            1.1
        ],
        "reload": [
            66,
            454,
            0,
            49,
            0
        ]
    },
    "10800010": {
        "nationality": 108,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10800014,
        "skin_id": 10800010,
        "english_name": "Takarada Rikka",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10800010",
        "painting": "baoduoliuhua",
        "jp_name": "宝多六花",
        "en_name": "Rikka Takarada",
        "cn_name": "宝多六花",
        "tw_name": "寶多六花",
        "equip_1": [
            2,
            10
        ],
        "equip_2": [
            5,
            10
        ],
        "equip_3": [
            6,
            10
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1.6,
            1.1
        ],
        "reload": [
            71,
            488,
            0,
            53,
            0
        ]
    },
    "10700050": {
        "nationality": 107,
        "type": 19,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 10700054,
        "skin_id": 10700050,
        "english_name": "Akizuki Ritsuko",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10700050",
        "painting": "lvzi",
        "jp_name": "秋月律子",
        "en_name": "Ritsuko Akizuki",
        "cn_name": "秋月律子",
        "tw_name": "秋月律子",
        "equip_1": [
            1
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            10,
            18
        ],
        "equip_4": [
            10,
            18
        ],
        "equip_5": [
            10,
            18
        ],
        "eq_p": [
            1.1,
            1.1,
            1
        ],
        "reload": [
            79,
            547,
            0,
            59,
            0
        ]
    },
    "10700070": {
        "nationality": 107,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 10700074,
        "skin_id": 10700070,
        "english_name": "Futami Mami",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10700070",
        "painting": "zhenmei",
        "jp_name": "双海真美",
        "en_name": "Mami Futami",
        "cn_name": "双海真美",
        "tw_name": "雙海真美",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.25,
            0.85
        ],
        "reload": [
            43,
            295,
            0,
            32,
            0
        ]
    },
    "10700060": {
        "nationality": 107,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 10700064,
        "skin_id": 10700060,
        "english_name": "Futami Ami",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10700060",
        "painting": "yamei",
        "jp_name": "双海亜美",
        "en_name": "Ami Futami",
        "cn_name": "双海亚美",
        "tw_name": "雙海亞美",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            43,
            295,
            0,
            32,
            0
        ]
    },
    "10700020": {
        "nationality": 107,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10700024,
        "skin_id": 10700020,
        "english_name": "Kisaragi Chihaya",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10700020",
        "painting": "qianzao",
        "jp_name": "如月千早",
        "en_name": "Chihaya Kisaragi",
        "cn_name": "如月千早",
        "tw_name": "如月千早",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.2,
            1.4
        ],
        "reload": [
            53,
            362,
            0,
            40,
            0
        ]
    },
    "10700030": {
        "nationality": 107,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10700034,
        "skin_id": 10700030,
        "english_name": "Minase Iori",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10700030",
        "painting": "yizhi",
        "jp_name": "水瀬伊織",
        "en_name": "Iori Minase",
        "cn_name": "水濑伊织",
        "tw_name": "水瀨伊織",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            55,
            379,
            0,
            41,
            0
        ]
    },
    "10700040": {
        "nationality": 107,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 10700044,
        "skin_id": 10700040,
        "english_name": "Miura Azusa",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10700040",
        "painting": "zi",
        "jp_name": "三浦あずさ",
        "en_name": "Azusa Miura",
        "cn_name": "三浦 梓",
        "tw_name": "三浦梓",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.65,
            1.15
        ],
        "reload": [
            64,
            446,
            0,
            48,
            0
        ]
    },
    "10700010": {
        "nationality": 107,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10700014,
        "skin_id": 10700010,
        "english_name": "Amami Haruka",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10700010",
        "painting": "chunxiang",
        "jp_name": "天海春香",
        "en_name": "Haruka Amami",
        "cn_name": "天海春香",
        "tw_name": "天海春香",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1.55,
            1.1
        ],
        "reload": [
            71,
            488,
            0,
            53,
            0
        ]
    },
    "10600060": {
        "nationality": 106,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10600064,
        "skin_id": 10600060,
        "english_name": "Nyotengu",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10600060",
        "painting": "nvtiangou_DOA",
        "jp_name": "女天狗",
        "en_name": "Nyotengu",
        "cn_name": "女天狗",
        "tw_name": "女天狗",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.25,
            1.35
        ],
        "reload": [
            43,
            295,
            0,
            32,
            0
        ]
    },
    "10600050": {
        "nationality": 106,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10600054,
        "skin_id": 10600050,
        "english_name": "Nagisa",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10600050",
        "painting": "zhixiao_DOA",
        "jp_name": "なぎさ",
        "en_name": "Nagisa",
        "cn_name": "凪咲",
        "tw_name": "凪咲",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            55,
            379,
            0,
            41,
            0
        ]
    },
    "10600020": {
        "nationality": 106,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10600024,
        "skin_id": 10600020,
        "english_name": "Honoka",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10600020",
        "painting": "suixiang_doa",
        "jp_name": "ほのか",
        "en_name": "Honoka",
        "cn_name": "穗香",
        "tw_name": "穗香",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            53,
            362,
            0,
            40,
            0
        ]
    },
    "10600030": {
        "nationality": 106,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10600034,
        "skin_id": 10600030,
        "english_name": "Kasumi",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10600030",
        "painting": "xia_DOA",
        "jp_name": "かすみ",
        "en_name": "Kasumi",
        "cn_name": "霞",
        "tw_name": "霞",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.65,
            1.05
        ],
        "reload": [
            64,
            446,
            0,
            48,
            0
        ]
    },
    "10600070": {
        "nationality": 106,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10600074,
        "skin_id": 10600070,
        "english_name": "Monica",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10600070",
        "painting": "monika_DOA",
        "jp_name": "モニカ",
        "en_name": "Monica",
        "cn_name": "莫妮卡",
        "tw_name": "莫妮卡",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.6,
            1.1
        ],
        "reload": [
            67,
            463,
            0,
            50,
            0
        ]
    },
    "10600040": {
        "nationality": 106,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 10600044,
        "skin_id": 10600040,
        "english_name": "Misaki",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10600040",
        "painting": "haixiao_DOA",
        "jp_name": "みさき",
        "en_name": "Misaki",
        "cn_name": "海咲",
        "tw_name": "海咲",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.7,
            1.1
        ],
        "reload": [
            72,
            496,
            0,
            53,
            0
        ]
    },
    "10600010": {
        "nationality": 106,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10600014,
        "skin_id": 10600010,
        "english_name": "Marie Rose",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10600010",
        "painting": "maliluosi_doa",
        "jp_name": "マリー・ローズ",
        "en_name": "Marie Rose",
        "cn_name": "玛莉萝丝",
        "tw_name": "瑪莉蘿絲",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.4,
            1.15
        ],
        "reload": [
            82,
            564,
            0,
            61,
            0
        ]
    },
    "10500030": {
        "nationality": 105,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 10500034,
        "skin_id": 10500030,
        "english_name": "Minato Aqua !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10500030",
        "painting": "vtuber_aqua",
        "jp_name": "湊あくあ",
        "en_name": "Minato Aqua",
        "cn_name": "湊阿库娅",
        "tw_name": "湊阿庫婭*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            0.85
        ],
        "reload": [
            40,
            269,
            0,
            30,
            0
        ]
    },
    "10500070": {
        "nationality": 105,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10500074,
        "skin_id": 10500070,
        "english_name": "Okami Mio !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10500070",
        "painting": "vtuber_mio",
        "jp_name": "大神ミオ",
        "en_name": "Ōkami Mio",
        "cn_name": "大神澪",
        "tw_name": "大神澪*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.15,
            1.15
        ],
        "reload": [
            43,
            295,
            0,
            32,
            0
        ]
    },
    "10500020": {
        "nationality": 105,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10500024,
        "skin_id": 10500020,
        "english_name": "Tokino Sora !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10500020",
        "painting": "vtuber_sora",
        "jp_name": "ときのそら",
        "en_name": "Tokino Sora",
        "cn_name": "时乃空",
        "tw_name": "時乃空*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.25,
            1.25
        ],
        "reload": [
            45,
            311,
            0,
            34,
            0
        ]
    },
    "10500060": {
        "nationality": 105,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10500064,
        "skin_id": 10500060,
        "english_name": "Murasaki Shion !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10500060",
        "painting": "vtuber_shion",
        "jp_name": "紫咲シオン",
        "en_name": "Murasaki Shion",
        "cn_name": "紫咲诗音",
        "tw_name": "紫咲詩音*",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.25,
            1
        ],
        "reload": [
            64,
            437,
            0,
            48,
            0
        ]
    },
    "10500050": {
        "nationality": 105,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 10500054,
        "skin_id": 10500050,
        "english_name": "Nakiri Ayame !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10500050",
        "painting": "vtuber_ayame",
        "jp_name": "百鬼あやめ",
        "en_name": "Nakiri Ayame",
        "cn_name": "百鬼绫目",
        "tw_name": "百鬼綾目*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            0.55,
            1.05
        ],
        "reload": [
            64,
            437,
            0,
            48,
            0
        ]
    },
    "10500040": {
        "nationality": 105,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10500044,
        "skin_id": 10500040,
        "english_name": "Natsuiro Matsuri !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10500040",
        "painting": "vtuber_matsuri",
        "jp_name": "夏色まつり",
        "en_name": "Natsuiro Matsuri",
        "cn_name": "夏色祭",
        "tw_name": "夏色祭*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.25,
            1.05
        ],
        "reload": [
            76,
            522,
            0,
            57,
            0
        ]
    },
    "10500010": {
        "nationality": 105,
        "type": 1,
        "base_list": [
            1,
            2,
            2
        ],
        "id": 10500014,
        "skin_id": 10500010,
        "english_name": "Shirakami Fubuki !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10500010",
        "painting": "vtuber_fubuki",
        "jp_name": "白上フブキ",
        "en_name": "Shirakami Fubuki",
        "cn_name": "白上吹雪",
        "tw_name": "白上吹雪*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.5,
            0.8
        ],
        "reload": [
            80,
            547,
            0,
            59,
            0
        ]
    },
    "10400030": {
        "nationality": 104,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10400034,
        "skin_id": 10400030,
        "english_name": "KizunaAI·Anniversary !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10400030",
        "painting": "aijiangCV",
        "jp_name": "キズナアイ・アニバーサリー",
        "en_name": "Anniversary Kizuna AI",
        "cn_name": "绊爱·Anniversary",
        "tw_name": "絆愛·Anniversary*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.35,
            1.35
        ],
        "reload": [
            44,
            303,
            0,
            33,
            0
        ]
    },
    "10400040": {
        "nationality": 104,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10400044,
        "skin_id": 10400040,
        "english_name": "KizunaAI·SuperGamer !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10400040",
        "painting": "aijiangBB",
        "jp_name": "キズナアイ・スーパーゲーマー",
        "en_name": "Super Gamer Kizuna AI",
        "cn_name": "绊爱·SuperGamer",
        "tw_name": "絆愛·SuperGamer*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            52,
            362,
            0,
            39,
            0
        ]
    },
    "10400020": {
        "nationality": 104,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 10400024,
        "skin_id": 10400020,
        "english_name": "KizunaAI·Elegant !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10400020",
        "painting": "aijiangCL",
        "jp_name": "キズナアイ・エレガント",
        "en_name": "Elegant Kizuna AI",
        "cn_name": "绊爱·Elegant",
        "tw_name": "絆愛·Elegant*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            0.55,
            1.25
        ],
        "reload": [
            64,
            446,
            0,
            48,
            0
        ]
    },
    "10400010": {
        "nationality": 104,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10400014,
        "skin_id": 10400010,
        "english_name": "KizunaAI !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10400010",
        "painting": "aijiangDD",
        "jp_name": "キズナアイ",
        "en_name": "Kizuna AI",
        "cn_name": "绊爱",
        "tw_name": "絆愛*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.6,
            1.05
        ],
        "reload": [
            74,
            505,
            0,
            55,
            0
        ]
    },
    "10300060": {
        "nationality": 103,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10300064,
        "skin_id": 10300060,
        "english_name": "Fumiruiru !ENnoData !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10300060",
        "painting": "fumilulu",
        "jp_name": "フミルィル",
        "en_name": "Fumiruiru*",
        "cn_name": "芙米露露",
        "tw_name": "芙米露露*",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.05,
            1.05,
            1.05
        ],
        "reload": [
            35,
            236,
            0,
            26,
            0
        ]
    },
    "10300050": {
        "nationality": 103,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10300054,
        "skin_id": 10300050,
        "english_name": "Saraana !ENnoData !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10300050",
        "painting": "salana",
        "jp_name": "サラァナ",
        "en_name": "Saraana*",
        "cn_name": "萨拉娜",
        "tw_name": "薩拉娜*",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.25,
            0.8
        ],
        "reload": [
            57,
            395,
            0,
            43,
            0
        ]
    },
    "10300040": {
        "nationality": 103,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 10300044,
        "skin_id": 10300040,
        "english_name": "Uruuru !ENnoData !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10300040",
        "painting": "wululu",
        "jp_name": "ウルゥル",
        "en_name": "Uruuru*",
        "cn_name": "乌璐露",
        "tw_name": "烏璐露*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.25,
            0.8
        ],
        "reload": [
            57,
            395,
            0,
            43,
            0
        ]
    },
    "10300010": {
        "nationality": 103,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10300014,
        "skin_id": 10300010,
        "english_name": "Kuon !ENnoData !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10300010",
        "painting": "jiuyuan",
        "jp_name": "クオン",
        "en_name": "Kuon*",
        "cn_name": "久远",
        "tw_name": "久遠*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.05,
            0.75
        ],
        "reload": [
            59,
            404,
            0,
            44,
            0
        ]
    },
    "10300030": {
        "nationality": 103,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10300034,
        "skin_id": 10300030,
        "english_name": "Rurutie !ENnoData !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10300030",
        "painting": "lulutiye",
        "jp_name": "ルルティエ",
        "en_name": "Rurutie*",
        "cn_name": "露露缇耶",
        "tw_name": "露露緹耶*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.4,
            0.6
        ],
        "reload": [
            62,
            429,
            0,
            47,
            0
        ]
    },
    "10300020": {
        "nationality": 103,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10300024,
        "skin_id": 10300020,
        "english_name": "Nekone !ENnoData !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10300020",
        "painting": "maoyin",
        "jp_name": "ネコネ",
        "en_name": "Nekone*",
        "cn_name": "猫音",
        "tw_name": "貓音*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.2,
            0.65
        ],
        "reload": [
            73,
            505,
            0,
            55,
            0
        ]
    },
    "10100080": {
        "nationality": 101,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 10100084,
        "skin_id": 10100080,
        "english_name": "HDN Green Heart !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10100080",
        "painting": "HDN402_1",
        "jp_name": "グリーンハート",
        "en_name": "Green Heart",
        "cn_name": "翡绿之心",
        "tw_name": "翡綠之心*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.25,
            1.25
        ],
        "reload": [
            42,
            286,
            0,
            32,
            0
        ]
    },
    "10100040": {
        "nationality": 101,
        "type": 7,
        "base_list": [
            3,
            2,
            2
        ],
        "id": 10100044,
        "skin_id": 10100040,
        "english_name": "HDN Vert !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10100040",
        "painting": "HDN401",
        "jp_name": "ベール",
        "en_name": "Vert",
        "cn_name": "贝露",
        "tw_name": "貝露*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.25,
            1.25
        ],
        "reload": [
            41,
            278,
            0,
            31,
            0
        ]
    },
    "10100060": {
        "nationality": 101,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10100064,
        "skin_id": 10100060,
        "english_name": "HDN Black Heart !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10100060",
        "painting": "HDN202_1",
        "jp_name": "ブラックハート",
        "en_name": "Black Heart",
        "cn_name": "圣黑之心",
        "tw_name": "聖黑之心*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1.1
        ],
        "reload": [
            62,
            429,
            0,
            47,
            0
        ]
    },
    "10100020": {
        "nationality": 101,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10100024,
        "skin_id": 10100020,
        "english_name": "HDN Noire !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10100020",
        "painting": "HDN201",
        "jp_name": "ノワール",
        "en_name": "Noire",
        "cn_name": "诺瓦露",
        "tw_name": "諾瓦露*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.65,
            1.1
        ],
        "reload": [
            61,
            421,
            0,
            45,
            0
        ]
    },
    "10100050": {
        "nationality": 101,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10100054,
        "skin_id": 10100050,
        "english_name": "HDN Purple Heart !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10100050",
        "painting": "HDN102_1",
        "jp_name": "パープルハート",
        "en_name": "Purple Heart",
        "cn_name": "绀紫之心",
        "tw_name": "紺紫之心*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.5,
            1
        ],
        "reload": [
            66,
            454,
            0,
            49,
            0
        ]
    },
    "10100010": {
        "nationality": 101,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10100014,
        "skin_id": 10100010,
        "english_name": "HDN Neptune !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10100010",
        "painting": "HDN101",
        "jp_name": "ネプテューヌ",
        "en_name": "Neptune",
        "cn_name": "涅普顿",
        "tw_name": "涅普頓*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.5,
            1
        ],
        "reload": [
            63,
            437,
            0,
            47,
            0
        ]
    },
    "10100070": {
        "nationality": 101,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10100074,
        "skin_id": 10100070,
        "english_name": "HDN White Heart !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "10100070",
        "painting": "HDN302_1",
        "jp_name": "ホワイトハート",
        "en_name": "White Heart",
        "cn_name": "群白之心",
        "tw_name": "群白之心*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.5,
            0.75
        ],
        "reload": [
            79,
            547,
            0,
            59,
            0
        ]
    },
    "10100030": {
        "nationality": 101,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 10100034,
        "skin_id": 10100030,
        "english_name": "HDN Blanc !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "10100030",
        "painting": "HDN301",
        "jp_name": "ブラン",
        "en_name": "Blanc",
        "cn_name": "布兰",
        "tw_name": "布蘭*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            76,
            522,
            0,
            57,
            0
        ]
    },
    "100020": {
        "nationality": 98,
        "type": 1,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 100021,
        "skin_id": 100020,
        "english_name": "UNIV Specialized Bulin Custom MKIII",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "100020",
        "painting": "buli_super",
        "jp_name": "特装型ブリMKIII",
        "en_name": "Specialized Bulin Custom MKIII",
        "cn_name": "特装型布里MKIII",
        "tw_name": "特裝型布里MKIII",
        "equip_1": [
            1
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1,
            1
        ],
        "reload": [
            50,
            500,
            0,
            0,
            0
        ]
    },
    "100010": {
        "nationality": 98,
        "type": 1,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 100011,
        "skin_id": 100010,
        "english_name": "UNIV Trial Bulin MKII",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "100010",
        "painting": "kin",
        "jp_name": "試作型ブリMKII",
        "en_name": "Prototype Bulin MKII",
        "cn_name": "试作型布里MKII",
        "tw_name": "試作型布里MKII",
        "equip_1": [
            1
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1,
            1
        ],
        "reload": [
            50,
            500,
            0,
            0,
            0
        ]
    },
    "100000": {
        "nationality": 98,
        "type": 1,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 100001,
        "skin_id": 100000,
        "english_name": "UNIV Universal Bulin",
        "star": 4,
        "rarity": 4,
        "retro": 0,
        "uni_id": "100000",
        "painting": "gin",
        "jp_name": "汎用型ブリ",
        "en_name": "Universal Bulin",
        "cn_name": "泛用型布里",
        "tw_name": "泛用型布里",
        "equip_1": [
            1
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1,
            1
        ],
        "reload": [
            50,
            500,
            0,
            0,
            0
        ]
    },
    "9707030": {
        "nationality": 97,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 9707034,
        "skin_id": 9707030,
        "english_name": "Soryu.META !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "9707030",
        "painting": "canglong_alter",
        "jp_name": "蒼龍(META)",
        "en_name": "Souryuu META",
        "cn_name": "苍龙·META",
        "tw_name": "蒼龍·META*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.5,
            1.2
        ],
        "reload": [
            49,
            343,
            0,
            37,
            0
        ]
    },
    "9707020": {
        "nationality": 97,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 9707024,
        "skin_id": 9707020,
        "english_name": "Ark Royal.META",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "9707020",
        "painting": "huangjiafangzhou_alter",
        "jp_name": "アーク・ロイヤル(META)",
        "en_name": "Ark Royal META",
        "cn_name": "皇家方舟·META",
        "tw_name": "皇家方舟·META",
        "equip_1": [
            8
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.4,
            0.8
        ],
        "reload": [
            42,
            292,
            0,
            32,
            0
        ]
    },
    "9707010": {
        "nationality": 97,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 9707014,
        "skin_id": 9707010,
        "english_name": "Hiryu.META",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "9707010",
        "painting": "feilong_alter",
        "jp_name": "飛龍(META)",
        "en_name": "Hiryuu META",
        "cn_name": "飞龙·META",
        "tw_name": "飛龍·META",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.1,
            1.5
        ],
        "reload": [
            49,
            387,
            0,
            36,
            0
        ]
    },
    "9706020": {
        "nationality": 97,
        "type": 6,
        "base_list": [
            2,
            2,
            3
        ],
        "id": 9706024,
        "skin_id": 9706020,
        "english_name": "Jun'yo.META !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "9706020",
        "painting": "sunying_alter",
        "jp_name": "隼鷹(META)",
        "en_name": "Junyou META",
        "cn_name": "隼鹰·META",
        "tw_name": "隼鷹·META*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1.1,
            1.2
        ],
        "reload": [
            71,
            491,
            0,
            53,
            0
        ]
    },
    "9706010": {
        "nationality": 97,
        "type": 6,
        "base_list": [
            2,
            3,
            2
        ],
        "id": 9706014,
        "skin_id": 9706010,
        "english_name": "Hiyo.META !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "9706010",
        "painting": "feiying_alter",
        "jp_name": "飛鷹(META)",
        "en_name": "Hiyou META",
        "cn_name": "飞鹰·META",
        "tw_name": "飛鷹·META*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1.2,
            1.1
        ],
        "reload": [
            71,
            491,
            0,
            53,
            0
        ]
    },
    "9705010": {
        "nationality": 97,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 9705014,
        "skin_id": 9705010,
        "english_name": "Fuso.META",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "9705010",
        "painting": "fusang_alter",
        "jp_name": "扶桑(META)",
        "en_name": "Fusou META",
        "cn_name": "扶桑·META",
        "tw_name": "扶桑·META",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            0.8
        ],
        "reload": [
            52,
            360,
            0,
            39,
            0
        ]
    },
    "9704010": {
        "nationality": 97,
        "type": 4,
        "base_list": [
            3,
            1,
            1
        ],
        "id": 9704014,
        "skin_id": 9704010,
        "english_name": "Gneisenau.META !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "9704010",
        "painting": "genaisennao_alter",
        "jp_name": "グナイゼナウ(META)",
        "en_name": "Gneisenau META",
        "cn_name": "格奈森瑙·META",
        "tw_name": "格奈森瑙·META*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            60,
            418,
            0,
            45,
            0
        ]
    },
    "9702010": {
        "nationality": 97,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 9702014,
        "skin_id": 9702010,
        "english_name": "Helena.META !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "9702010",
        "painting": "hailunna_alter",
        "jp_name": "ヘレナ(META)",
        "en_name": "Helena META",
        "cn_name": "海伦娜·META",
        "tw_name": "海倫娜·META*",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            72,
            499,
            0,
            53,
            0
        ]
    },
    "999010": {
        "nationality": 9,
        "type": 5,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 999014,
        "skin_id": 999010,
        "english_name": "MNF Gascogne",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "999010",
        "painting": "jiasikenie",
        "jp_name": "ガスコーニュ",
        "en_name": "Gascogne",
        "cn_name": "加斯科涅",
        "tw_name": "加斯科涅",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.8,
            2,
            0.8
        ],
        "reload": [
            62,
            430,
            0,
            46,
            0
        ]
    },
    "905030": {
        "nationality": 9,
        "type": 5,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 905034,
        "skin_id": 905030,
        "english_name": "MNF Gascogne",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "905030",
        "painting": "jiasikenie_idol",
        "jp_name": "ガスコーニュ(μ兵装)",
        "en_name": "Gascogne μ",
        "cn_name": "加斯科涅(μ兵装)",
        "tw_name": "加斯科涅(μ兵裝)",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.7,
            2,
            0.7
        ],
        "reload": [
            62,
            429,
            0,
            46,
            0
        ]
    },
    "905010": {
        "nationality": 9,
        "type": 5,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 905014,
        "skin_id": 905010,
        "english_name": "MNF Jean Bart",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "905010",
        "painting": "rangbaer",
        "jp_name": "ジャン・バール",
        "en_name": "Jean Bart",
        "cn_name": "让·巴尔",
        "tw_name": "讓·巴爾",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.6,
            2,
            0.7
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "904010": {
        "nationality": 9,
        "type": 4,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 904014,
        "skin_id": 904010,
        "english_name": "MNF Dunkerque",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "904010",
        "painting": "dunkeerke",
        "jp_name": "ダンケルク",
        "en_name": "Dunkerque",
        "cn_name": "敦刻尔克",
        "tw_name": "敦克爾克",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.7,
            1.5,
            0.7
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "903020": {
        "nationality": 9,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 903024,
        "skin_id": 903020,
        "english_name": "MNF Algerie",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "903020",
        "painting": "aerjiliya",
        "jp_name": "アルジェリー",
        "en_name": "Algérie",
        "cn_name": "阿尔及利亚",
        "tw_name": "阿爾及利亞",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.75,
            1
        ],
        "reload": [
            72,
            498,
            0,
            53,
            0
        ]
    },
    "903010": {
        "nationality": 9,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 903014,
        "skin_id": 903010,
        "english_name": "MNF Foch !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "903010",
        "painting": "fuxu",
        "jp_name": "フォッシュ",
        "en_name": "Foch",
        "cn_name": "福煦",
        "tw_name": "福煦*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            1.65,
            0.9
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "902010": {
        "nationality": 9,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 902014,
        "skin_id": 902010,
        "english_name": "MNF La Galissonniere",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "902010",
        "painting": "jialisuoniye",
        "jp_name": "ラ・ガリソニエール",
        "en_name": "La Galissonnière",
        "cn_name": "拉·加利索尼埃",
        "tw_name": "拉·加利索尼埃",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.5,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "901120": {
        "nationality": 9,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 901124,
        "skin_id": 901120,
        "english_name": "MNF Le Malin !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "901120",
        "painting": "edu_idol",
        "jp_name": "ル・マラン(μ兵装)",
        "en_name": "Le Malin μ",
        "cn_name": "恶毒(μ兵装)",
        "tw_name": "惡毒(μ兵裝)*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.25,
            1.2
        ],
        "reload": [
            76,
            526,
            0,
            56,
            0
        ]
    },
    "901110": {
        "nationality": 9,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 901114,
        "skin_id": 901110,
        "english_name": "MNF Le Malin",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "901110",
        "painting": "edu",
        "jp_name": "ル・マラン",
        "en_name": "Le Malin",
        "cn_name": "恶毒",
        "tw_name": "惡毒",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.25,
            1.2
        ],
        "reload": [
            76,
            526,
            0,
            56,
            0
        ]
    },
    "901030": {
        "nationality": 9,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 901034,
        "skin_id": 901030,
        "english_name": "MNF Vauquelin",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "901030",
        "painting": "wokelan",
        "jp_name": "ヴォークラン",
        "en_name": "Vauquelin",
        "cn_name": "沃克兰",
        "tw_name": "沃克蘭",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.4,
            0.75
        ],
        "reload": [
            76,
            526,
            0,
            56,
            0
        ]
    },
    "901020": {
        "nationality": 9,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 901024,
        "skin_id": 901020,
        "english_name": "MNF Tartu",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "901020",
        "painting": "taertu",
        "jp_name": "タルテュ",
        "en_name": "Tartu",
        "cn_name": "塔尔图",
        "tw_name": "塔爾圖",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.4,
            0.75
        ],
        "reload": [
            75,
            521,
            0,
            56,
            0
        ]
    },
    "901019": {
        "nationality": 9,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 901014,
        "skin_id": 901019,
        "english_name": "MNF Le Mars",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "901019",
        "painting": "lemaer_g",
        "jp_name": "ル・マルス改",
        "en_name": "Le Mars (Retrofit)",
        "cn_name": "勒马尔改",
        "tw_name": "勒馬爾改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.45,
            0.8
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "901010": {
        "nationality": 9,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 901014,
        "skin_id": 901010,
        "english_name": "MNF Le Mars",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "901010",
        "painting": "lemaer",
        "jp_name": "ル・マルス",
        "en_name": "Le Mars",
        "cn_name": "勒马尔",
        "tw_name": "勒馬爾",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            0.75
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "808010": {
        "nationality": 8,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 808014,
        "skin_id": 808010,
        "english_name": "FFNF Surcouf",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "808010",
        "painting": "xukufu",
        "jp_name": "シュルクーフ",
        "en_name": "Surcouf",
        "cn_name": "絮库夫",
        "tw_name": "速科夫",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            3
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            1.15,
            1.2
        ],
        "reload": [
            28,
            195,
            0,
            21,
            0
        ]
    },
    "807010": {
        "nationality": 8,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 807014,
        "skin_id": 807010,
        "english_name": "FFNF Bearn",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "807010",
        "painting": "beiyaen",
        "jp_name": "ベアルン",
        "en_name": "Béarn",
        "cn_name": "贝亚恩",
        "tw_name": "貝亞恩",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            2,
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.4,
            0.55
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "899020": {
        "nationality": 8,
        "type": 5,
        "base_list": [
            1,
            3,
            1
        ],
        "id": 899024,
        "skin_id": 899020,
        "english_name": "FFNF Champagne",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "899020",
        "painting": "xiangbin",
        "jp_name": "シャンパーニュ",
        "en_name": "Champagne",
        "cn_name": "香槟",
        "tw_name": "香檳",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.8,
            2,
            0.8
        ],
        "reload": [
            66,
            461,
            0,
            50,
            0
        ]
    },
    "805010": {
        "nationality": 8,
        "type": 5,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 805014,
        "skin_id": 805010,
        "english_name": "FFNF Richelieu",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "805010",
        "painting": "lisailiu",
        "jp_name": "リシュリュー",
        "en_name": "Richelieu",
        "cn_name": "黎塞留",
        "tw_name": "黎胥留",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.6,
            2,
            1
        ],
        "reload": [
            61,
            426,
            0,
            46,
            0
        ]
    },
    "899010": {
        "nationality": 8,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 899014,
        "skin_id": 899010,
        "english_name": "FFNF Saint-Louis",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "899010",
        "painting": "luyijiushi",
        "jp_name": "サン・ルイ",
        "en_name": "Saint Louis",
        "cn_name": "路易九世",
        "tw_name": "路易九世",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.2,
            1.25
        ],
        "reload": [
            70,
            486,
            0,
            52,
            0
        ]
    },
    "802020": {
        "nationality": 8,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 802024,
        "skin_id": 802020,
        "english_name": "FFNF Jeanne d'Arc",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "802020",
        "painting": "shengnvzhende",
        "jp_name": "ジャンヌ・ダルク",
        "en_name": "Jeanne d'Arc",
        "cn_name": "圣女贞德",
        "tw_name": "聖女貞德",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.45,
            1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "802019": {
        "nationality": 8,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 802014,
        "skin_id": 802019,
        "english_name": "FFNF Emile Bertin",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "802019",
        "painting": "aimierbeierding_g",
        "jp_name": "エミール・ベルタン改",
        "en_name": "Émile Bertin (Retrofit)",
        "cn_name": "埃米尔·贝尔汀改",
        "tw_name": "埃米爾•貝爾坦改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.55,
            1.15
        ],
        "reload": [
            64,
            442,
            0,
            47,
            5
        ]
    },
    "802010": {
        "nationality": 8,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 802014,
        "skin_id": 802010,
        "english_name": "FFNF Emile Bertin",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "802010",
        "painting": "aimierbeierding",
        "jp_name": "エミール・ベルタン",
        "en_name": "Émile Bertin",
        "cn_name": "埃米尔·贝尔汀",
        "tw_name": "埃米爾•貝爾坦",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.55,
            1
        ],
        "reload": [
            64,
            442,
            0,
            47,
            0
        ]
    },
    "801080": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801084,
        "skin_id": 801080,
        "english_name": "FFNF Maille Breze !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "801080",
        "painting": "mayebuleize",
        "jp_name": "マイレ・ブレゼ",
        "en_name": "Maillé Brézé",
        "cn_name": "马耶·布雷泽",
        "tw_name": "馬耶·布雷澤*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.4,
            0.75
        ],
        "reload": [
            76,
            526,
            0,
            56,
            0
        ]
    },
    "801070": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801074,
        "skin_id": 801070,
        "english_name": "FFNF Le Terrible !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "801070",
        "painting": "kebu",
        "jp_name": "ル・テリブル",
        "en_name": "Le Terrible",
        "cn_name": "可怖",
        "tw_name": "可怖*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.25,
            1.2
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "801040": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801044,
        "skin_id": 801040,
        "english_name": "FFNF L'Opiniatre",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "801040",
        "painting": "juejiang",
        "jp_name": "ルピニャート",
        "en_name": "L'Opiniâtre",
        "cn_name": "倔强",
        "tw_name": "倔強",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.35,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "801030": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801034,
        "skin_id": 801030,
        "english_name": "FFNF Le Temeraire !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "801030",
        "painting": "lumang",
        "jp_name": "ル・テメレール",
        "en_name": "Le Téméraire",
        "cn_name": "鲁莽",
        "tw_name": "魯莽*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.15,
            0.75
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "801029": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801024,
        "skin_id": 801029,
        "english_name": "FFNF Forbin",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "801029",
        "painting": "fuerban_g",
        "jp_name": "フォルバン改",
        "en_name": "Forbin (Retrofit)",
        "cn_name": "福尔班改",
        "tw_name": "福爾班改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.45,
            0.8
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "801020": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801024,
        "skin_id": 801020,
        "english_name": "FFNF Forbin",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "801020",
        "painting": "fuerban",
        "jp_name": "フォルバン",
        "en_name": "Forbin",
        "cn_name": "福尔班",
        "tw_name": "福爾班",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            0.75
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "801010": {
        "nationality": 8,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 801014,
        "skin_id": 801010,
        "english_name": "FFNF Le Triomphant",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "801010",
        "painting": "kaixuan",
        "jp_name": "ル・トリオンファン",
        "en_name": "Le Triomphant",
        "cn_name": "凯旋",
        "tw_name": "凱旋",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.25,
            1.45
        ],
        "reload": [
            76,
            531,
            0,
            57,
            0
        ]
    },
    "705050": {
        "nationality": 7,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 705054,
        "skin_id": 705050,
        "english_name": "SN Sovetskaya Rossiya",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "705050",
        "painting": "suweiailuoxiya",
        "jp_name": "ソビエツカヤ・ロシア",
        "en_name": "Sovetskaya Rossiya",
        "cn_name": "苏维埃罗西亚",
        "tw_name": "蘇維埃俄羅斯",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "705040": {
        "nationality": 7,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 705044,
        "skin_id": 705040,
        "english_name": "SN Sovetskaya Belorussiya !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "705040",
        "painting": "suweiaibeilaluosi",
        "jp_name": "ソビエツカヤ・ベラルーシア",
        "en_name": "Sovetskaya Belorussiya",
        "cn_name": "苏维埃贝拉罗斯",
        "tw_name": "蘇維埃貝拉羅斯*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1.1
        ],
        "reload": [
            57,
            400,
            0,
            43,
            0
        ]
    },
    "705010": {
        "nationality": 7,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 705014,
        "skin_id": 705010,
        "english_name": "SN Gangut",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "705010",
        "painting": "gangute",
        "jp_name": "ガングート",
        "en_name": "Gangut",
        "cn_name": "甘古特",
        "tw_name": "甘古特",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            2,
            1
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "703010": {
        "nationality": 7,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 703014,
        "skin_id": 703010,
        "english_name": "SN Tallinn !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "703010",
        "painting": "talin",
        "jp_name": "タリン",
        "en_name": "Tallinn",
        "cn_name": "塔林",
        "tw_name": "塔林*",
        "equip_1": [
            2,
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1.25,
            1.15
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "702060": {
        "nationality": 7,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 702064,
        "skin_id": 702060,
        "english_name": "SN Murmansk !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "702060",
        "painting": "moermansike",
        "jp_name": "ムルマンスク",
        "en_name": "Murmansk",
        "cn_name": "摩尔曼斯克",
        "tw_name": "摩爾曼斯克*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "702040": {
        "nationality": 7,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 702044,
        "skin_id": 702040,
        "english_name": "SN Kirov !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "702040",
        "painting": "jiluofu",
        "jp_name": "キーロフ",
        "en_name": "Kirov",
        "cn_name": "基洛夫",
        "tw_name": "基洛夫*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.35,
            1.1
        ],
        "reload": [
            69,
            478,
            0,
            51,
            0
        ]
    },
    "702030": {
        "nationality": 7,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 702034,
        "skin_id": 702030,
        "english_name": "SN Chapayev",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "702030",
        "painting": "qiabayefu",
        "jp_name": "チャパエフ",
        "en_name": "Chapayev",
        "cn_name": "恰巴耶夫",
        "tw_name": "恰巴耶夫",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.75,
            1.2
        ],
        "reload": [
            72,
            498,
            0,
            53,
            0
        ]
    },
    "702029": {
        "nationality": 7,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 702124,
        "skin_id": 702029,
        "english_name": "SN Pamiat' Merkuria",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "702029",
        "painting": "shuixingjinian_g",
        "jp_name": "パーミャチ・メルクーリヤ改",
        "en_name": "Pamiat' Merkuria (Retrofit)",
        "cn_name": "水星纪念改",
        "tw_name": "水星紀念改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.25,
            0.9
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "702020": {
        "nationality": 7,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 702024,
        "skin_id": 702020,
        "english_name": "SN Pamiat' Merkuria",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "702020",
        "painting": "shuixingjinian",
        "jp_name": "パーミャチ・メルクーリヤ",
        "en_name": "Pamiat' Merkuria",
        "cn_name": "水星纪念",
        "tw_name": "水星紀念",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.2,
            0.8
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "702010": {
        "nationality": 7,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 702014,
        "skin_id": 702010,
        "english_name": "SN Avrora",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "702010",
        "painting": "afuleer",
        "jp_name": "アヴローラ",
        "en_name": "Avrora",
        "cn_name": "阿芙乐尔",
        "tw_name": "曙光",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.25,
            0.8
        ],
        "reload": [
            55,
            385,
            0,
            41,
            0
        ]
    },
    "701080": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701084,
        "skin_id": 701080,
        "english_name": "SN Gromky !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "701080",
        "painting": "hongliang",
        "jp_name": "グロームキィ",
        "en_name": "Gromky",
        "cn_name": "洪亮",
        "tw_name": "洪亮*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.1
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "701070": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701074,
        "skin_id": 701070,
        "english_name": "SN Gremyashchy !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "701070",
        "painting": "leiming",
        "jp_name": "グレミャーシュチ",
        "en_name": "Gremyashchy",
        "cn_name": "雷鸣",
        "tw_name": "雷鳴*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.1,
            1.1
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "701060": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701064,
        "skin_id": 701060,
        "english_name": "SN Stremitelny",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "701060",
        "painting": "shensu",
        "jp_name": "ストレミテルヌイ",
        "en_name": "Stremitelny",
        "cn_name": "神速",
        "tw_name": "神速",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.1
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "701050": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701054,
        "skin_id": 701050,
        "english_name": "SN Tashkent !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "701050",
        "painting": "tashigan_idol",
        "jp_name": "タシュケント(μ兵装)",
        "en_name": "Tashkent μ",
        "cn_name": "塔什干(μ兵装)",
        "tw_name": "塔什干(μ兵裝)*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.65,
            1.25,
            1.05
        ],
        "reload": [
            78,
            541,
            0,
            58,
            0
        ]
    },
    "701040": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701044,
        "skin_id": 701040,
        "english_name": "SN Tashkent",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "701040",
        "painting": "tashigan",
        "jp_name": "タシュケント",
        "en_name": "Tashkent",
        "cn_name": "塔什干",
        "tw_name": "塔什干",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.65,
            1.25,
            1.05
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "701030": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701034,
        "skin_id": 701030,
        "english_name": "SN Minsk",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "701030",
        "painting": "mingsike",
        "jp_name": "ミンスク",
        "en_name": "Minsk",
        "cn_name": "明斯克",
        "tw_name": "明斯克",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1.1,
            1
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "701020": {
        "nationality": 7,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 701024,
        "skin_id": 701020,
        "english_name": "SN Grozny",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "701020",
        "painting": "weiyan",
        "jp_name": "グロズヌイ",
        "en_name": "Grozny",
        "cn_name": "威严",
        "tw_name": "威嚴",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.1
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "608010": {
        "nationality": 6,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 608014,
        "skin_id": 608010,
        "english_name": "RN Torricelli !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "608010",
        "painting": "tuolichaili",
        "jp_name": "トリチェリ",
        "en_name": "Torricelli",
        "cn_name": "托里拆利",
        "tw_name": "托里拆利*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            214,
            0,
            23,
            0
        ]
    },
    "607010": {
        "nationality": 6,
        "type": 7,
        "base_list": [
            2,
            2,
            4
        ],
        "id": 607014,
        "skin_id": 607010,
        "english_name": "RN Aquila !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "607010",
        "painting": "tianying",
        "jp_name": "アクィラ",
        "en_name": "Aquila",
        "cn_name": "天鹰",
        "tw_name": "天鷹*",
        "equip_1": [
            7
        ],
        "equip_2": [
            7,
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.2,
            1.3
        ],
        "reload": [
            47,
            325,
            0,
            35,
            0
        ]
    },
    "699010": {
        "nationality": 6,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 699014,
        "skin_id": 699010,
        "english_name": "RN Marco Polo !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "699010",
        "painting": "makeboluo",
        "jp_name": "マルコ・ポーロ",
        "en_name": "Marco Polo",
        "cn_name": "马可波罗",
        "tw_name": "馬可波羅*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            2,
            1.2
        ],
        "reload": [
            57,
            399,
            0,
            43,
            0
        ]
    },
    "605060": {
        "nationality": 6,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 605064,
        "skin_id": 605060,
        "english_name": "RN Giulio Cesare",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "605060",
        "painting": "kaisa",
        "jp_name": "ジュリオ・チェザーレ",
        "en_name": "Giulio Cesare",
        "cn_name": "朱利奥·凯撒",
        "tw_name": "朱利奧·凱撒",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.5,
            0.7
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "605050": {
        "nationality": 6,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 605054,
        "skin_id": 605050,
        "english_name": "RN Conte di Cavour",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "605050",
        "painting": "jiafuerbojue",
        "jp_name": "コンテ・ディ・カブール",
        "en_name": "Conte di Cavour",
        "cn_name": "加富尔伯爵",
        "tw_name": "加富爾伯爵",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.5,
            0.7
        ],
        "reload": [
            51,
            353,
            0,
            38,
            0
        ]
    },
    "605020": {
        "nationality": 6,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 605024,
        "skin_id": 605020,
        "english_name": "RN Littorio",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "605020",
        "painting": "lituoliao",
        "jp_name": "リットリオ",
        "en_name": "Littorio",
        "cn_name": "利托里奥",
        "tw_name": "利托里奧",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            57,
            394,
            0,
            42,
            0
        ]
    },
    "605010": {
        "nationality": 6,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 605014,
        "skin_id": 605010,
        "english_name": "RN Vittorio Veneto !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "605010",
        "painting": "weineituo",
        "jp_name": "ヴィットリオ・ヴェネト",
        "en_name": "Vittorio Veneto",
        "cn_name": "维托里奥·维内托",
        "tw_name": "維托里奧·維內托*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "603030": {
        "nationality": 6,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 603034,
        "skin_id": 603030,
        "english_name": "RN Pola !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "603030",
        "painting": "bola",
        "jp_name": "ポーラ",
        "en_name": "Pola",
        "cn_name": "波拉",
        "tw_name": "波拉*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            0.6,
            1
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "603020": {
        "nationality": 6,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 603024,
        "skin_id": 603020,
        "english_name": "RN Zara",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "603020",
        "painting": "zhala",
        "jp_name": "ザラ",
        "en_name": "Zara",
        "cn_name": "扎拉",
        "tw_name": "扎拉",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.55,
            1
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "603010": {
        "nationality": 6,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 603014,
        "skin_id": 603010,
        "english_name": "RN Trento",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "603010",
        "painting": "teluntuo",
        "jp_name": "トレント",
        "en_name": "Trento",
        "cn_name": "特伦托",
        "tw_name": "特倫托",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "602010": {
        "nationality": 6,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 602014,
        "skin_id": 602010,
        "english_name": "RN Duca degli Abruzzi !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "602010",
        "painting": "abuluqi",
        "jp_name": "ドゥーカ・デッリ・アブルッツィ",
        "en_name": "Duca degli Abruzzi",
        "cn_name": "阿布鲁齐公爵",
        "tw_name": "阿布魯齊公爵*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.6,
            1.1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "601060": {
        "nationality": 6,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 601064,
        "skin_id": 601060,
        "english_name": "RN Nicoloso da Recco !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "601060",
        "painting": "daleike",
        "jp_name": "ニコロソ・ダ・レッコ",
        "en_name": "Nicoloso da Recco",
        "cn_name": "尼科洛索·达雷科",
        "tw_name": "尼科洛索·達雷科*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.2,
            0.85
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "601050": {
        "nationality": 6,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 601054,
        "skin_id": 601050,
        "english_name": "RN Libeccio !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "601050",
        "painting": "xinanfeng",
        "jp_name": "リベッチオ",
        "en_name": "Libeccio",
        "cn_name": "西南风",
        "tw_name": "西南風*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.3,
            1.1
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "601040": {
        "nationality": 6,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 601044,
        "skin_id": 601040,
        "english_name": "RN Maestrale !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "601040",
        "painting": "xibeifeng",
        "jp_name": "マエストラーレ",
        "en_name": "Maestrale",
        "cn_name": "西北风",
        "tw_name": "西北風*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.3,
            1.1
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "601030": {
        "nationality": 6,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 601034,
        "skin_id": 601030,
        "english_name": "RN Vincenzo Gioberti !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "601030",
        "painting": "wenqinzuojiaobeidi",
        "jp_name": "ヴィンチェンツォ・ジョベルティ",
        "en_name": "Vincenzo Gioberti",
        "cn_name": "文琴佐·焦贝蒂",
        "tw_name": "文琴佐·焦貝蒂*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.05
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "601020": {
        "nationality": 6,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 601024,
        "skin_id": 601020,
        "english_name": "RN Carabiniere",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "601020",
        "painting": "longqibing",
        "jp_name": "カラビニエーレ",
        "en_name": "Carabiniere",
        "cn_name": "龙骑兵",
        "tw_name": "龍騎兵",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            0.75
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "506010": {
        "nationality": 5,
        "type": 6,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 506014,
        "skin_id": 506010,
        "english_name": "Chen Hai !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "506010",
        "painting": "zhenhai",
        "jp_name": "鎮海",
        "en_name": "Chen Hai",
        "cn_name": "镇海",
        "tw_name": "鎮海*",
        "equip_1": [
            12
        ],
        "equip_2": [
            1,
            12
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.5,
            0.8
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "502080": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 502084,
        "skin_id": 502080,
        "english_name": "Hai Chi !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "502080",
        "painting": "haiqi",
        "jp_name": "海圻",
        "en_name": "Hai Chi",
        "cn_name": "海圻",
        "tw_name": "海圻*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            5
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.3,
            1.2,
            0.8
        ],
        "reload": [
            55,
            385,
            0,
            41,
            0
        ]
    },
    "502070": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 502074,
        "skin_id": 502070,
        "english_name": "Hai Tien !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "502070",
        "painting": "haitian",
        "jp_name": "海天",
        "en_name": "Hai Tien",
        "cn_name": "海天",
        "tw_name": "海天*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            5
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.3,
            1.2,
            0.8
        ],
        "reload": [
            55,
            385,
            0,
            41,
            0
        ]
    },
    "502050": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 502054,
        "skin_id": 502050,
        "english_name": "ROC Chao Ho",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "502050",
        "painting": "zhaohe",
        "jp_name": "肇和",
        "en_name": "Chao Ho",
        "cn_name": "肇和",
        "tw_name": "肇和",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            5
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            0.9,
            0.8
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "502040": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 502044,
        "skin_id": 502040,
        "english_name": "ROC Ying Swei",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "502040",
        "painting": "yingrui",
        "jp_name": "応瑞",
        "en_name": "Ying Swei",
        "cn_name": "应瑞",
        "tw_name": "應瑞",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            5
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            0.9,
            0.8
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "502039": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 502034,
        "skin_id": 502039,
        "english_name": "ROC Ping Hai",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "502039",
        "painting": "pinghai_g",
        "jp_name": "平海改",
        "en_name": "Ping Hai (Retrofit)",
        "cn_name": "平海改",
        "tw_name": "平海改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.55,
            1.35
        ],
        "reload": [
            67,
            467,
            0,
            50,
            5
        ]
    },
    "502030": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 502034,
        "skin_id": 502030,
        "english_name": "ROC Ping Hai",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "502030",
        "painting": "pinghai",
        "jp_name": "平海",
        "en_name": "Ping Hai",
        "cn_name": "平海",
        "tw_name": "平海",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.55,
            1.3
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "502029": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 502024,
        "skin_id": 502029,
        "english_name": "ROC Ning Hai",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "502029",
        "painting": "ninghai_g",
        "jp_name": "寧海改",
        "en_name": "Ning Hai (Retrofit)",
        "cn_name": "宁海改",
        "tw_name": "寧海改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.55,
            1.35
        ],
        "reload": [
            67,
            467,
            0,
            50,
            5
        ]
    },
    "502020": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 502024,
        "skin_id": 502020,
        "english_name": "ROC Ning Hai",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "502020",
        "painting": "ninghai",
        "jp_name": "寧海",
        "en_name": "Ning Hai",
        "cn_name": "宁海",
        "tw_name": "寧海",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.55,
            1.3
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "502010": {
        "nationality": 5,
        "type": 2,
        "base_list": [
            1,
            1,
            2
        ],
        "id": 502014,
        "skin_id": 502010,
        "english_name": "ROC Yat Sen",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "502010",
        "painting": "yixian",
        "jp_name": "逸仙",
        "en_name": "Yat Sen",
        "cn_name": "逸仙",
        "tw_name": "逸仙",
        "equip_1": [
            2
        ],
        "equip_2": [
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.2,
            0.8
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "501040": {
        "nationality": 5,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 501044,
        "skin_id": 501040,
        "english_name": "PRAN Tai Yuan",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "501040",
        "painting": "taiyuan",
        "jp_name": "太原",
        "en_name": "Tai Yuan",
        "cn_name": "太原",
        "tw_name": "太原",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.05
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "501039": {
        "nationality": 5,
        "type": 20,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 520034,
        "skin_id": 501039,
        "english_name": "PRAN Chang Chun",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "501039",
        "painting": "changchun_g",
        "jp_name": "長春改",
        "en_name": "Chang Chun (Retrofit)",
        "cn_name": "长春改",
        "tw_name": "長春改",
        "equip_1": [
            1
        ],
        "equip_2": [
            20
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.0,
            1.5,
            1.05
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "501030": {
        "nationality": 5,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 501034,
        "skin_id": 501030,
        "english_name": "PRAN Chang Chun",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "501030",
        "painting": "changchun",
        "jp_name": "長春",
        "en_name": "Chang Chun",
        "cn_name": "长春",
        "tw_name": "長春",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.05
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "501020": {
        "nationality": 5,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 501024,
        "skin_id": 501020,
        "english_name": "PRAN Fu shun",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "501020",
        "painting": "fushun",
        "jp_name": "撫順",
        "en_name": "Fu Shun",
        "cn_name": "抚顺",
        "tw_name": "撫順",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.05
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "501019": {
        "nationality": 5,
        "type": 20,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 520014,
        "skin_id": 501019,
        "english_name": "PRAN An shan",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "501019",
        "painting": "anshan_g",
        "jp_name": "鞍山改",
        "en_name": "An Shan (Retrofit)",
        "cn_name": "鞍山改",
        "tw_name": "鞍山改",
        "equip_1": [
            1
        ],
        "equip_2": [
            20
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.0,
            1.5,
            1.05
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "501010": {
        "nationality": 5,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 501014,
        "skin_id": 501010,
        "english_name": "PRAN An shan",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "501010",
        "painting": "anshan",
        "jp_name": "鞍山",
        "en_name": "An Shan",
        "cn_name": "鞍山",
        "tw_name": "鞍山",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1,
            1.05
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "499050": {
        "nationality": 4,
        "type": 18,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 499054,
        "skin_id": 499050,
        "english_name": "KMS Agir !TWnoData",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "499050",
        "painting": "aijier",
        "jp_name": "エーギル",
        "en_name": "Ägir",
        "cn_name": "埃吉尔",
        "tw_name": "埃吉爾*",
        "equip_1": [
            3,
            11
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.1,
            1.1
        ],
        "reload": [
            62,
            430,
            0,
            46,
            0
        ]
    },
    "408120": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408124,
        "skin_id": 408120,
        "english_name": "KMS U-1206 !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408120",
        "painting": "u1206",
        "jp_name": "U-1206",
        "en_name": "U-1206",
        "cn_name": "U-1206",
        "tw_name": "U-1206*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            214,
            0,
            24,
            0
        ]
    },
    "408110": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408114,
        "skin_id": 408110,
        "english_name": "KMS U-410",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408110",
        "painting": "U410",
        "jp_name": "U-410",
        "en_name": "U-410",
        "cn_name": "U-410",
        "tw_name": "U-410",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            214,
            0,
            23,
            0
        ]
    },
    "408100": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408104,
        "skin_id": 408100,
        "english_name": "KMS U-37",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "408100",
        "painting": "U37",
        "jp_name": "U-37",
        "en_name": "U-37",
        "cn_name": "U-37",
        "tw_name": "U-37",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            0.85
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "408090": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408094,
        "skin_id": 408090,
        "english_name": "KMS U-96 !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "408090",
        "painting": "U96",
        "jp_name": "U-96",
        "en_name": "U-96",
        "cn_name": "U-96",
        "tw_name": "U-96*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            0.85
        ],
        "reload": [
            40,
            279,
            0,
            30,
            0
        ]
    },
    "408080": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408084,
        "skin_id": 408080,
        "english_name": "KMS U-110",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408080",
        "painting": "U110",
        "jp_name": "U-110",
        "en_name": "U-110",
        "cn_name": "U-110",
        "tw_name": "U-110",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            30,
            210,
            0,
            23,
            0
        ]
    },
    "408070": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408074,
        "skin_id": 408070,
        "english_name": "KMS U-522",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408070",
        "painting": "U522",
        "jp_name": "U-522",
        "en_name": "U-522",
        "cn_name": "U-522",
        "tw_name": "U-522",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            214,
            0,
            23,
            0
        ]
    },
    "408060": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408064,
        "skin_id": 408060,
        "english_name": "KMS U-101",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "408060",
        "painting": "U101",
        "jp_name": "U-101",
        "en_name": "U-101",
        "cn_name": "U-101",
        "tw_name": "U-101",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            0.85
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "408050": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408054,
        "skin_id": 408050,
        "english_name": "KMS U-73",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408050",
        "painting": "U73",
        "jp_name": "U-73",
        "en_name": "U-73",
        "cn_name": "U-73",
        "tw_name": "U-73",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            216,
            0,
            23,
            0
        ]
    },
    "408040": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408044,
        "skin_id": 408040,
        "english_name": "KMS U-556",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408040",
        "painting": "U556",
        "jp_name": "U-556",
        "en_name": "U-556",
        "cn_name": "U-556",
        "tw_name": "U-556",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            214,
            0,
            23,
            0
        ]
    },
    "408030": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408034,
        "skin_id": 408030,
        "english_name": "KMS U-557",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "408030",
        "painting": "U557",
        "jp_name": "U557",
        "en_name": "U-557",
        "cn_name": "U-557",
        "tw_name": "U-557",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.85
        ],
        "reload": [
            31,
            214,
            0,
            23,
            0
        ]
    },
    "408020": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408024,
        "skin_id": 408020,
        "english_name": "KMS U-47",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "408020",
        "painting": "U47",
        "jp_name": "U-47",
        "en_name": "U-47",
        "cn_name": "U-47",
        "tw_name": "U-47",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            0.85
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "408010": {
        "nationality": 4,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 408014,
        "skin_id": 408010,
        "english_name": "KMS U-81",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "408010",
        "painting": "U81",
        "jp_name": "U-81",
        "en_name": "U-81",
        "cn_name": "U-81",
        "tw_name": "U-81",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.25,
            0.85
        ],
        "reload": [
            40,
            279,
            0,
            30,
            0
        ]
    },
    "499060": {
        "nationality": 4,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 499064,
        "skin_id": 499060,
        "english_name": "KMS August von Parseval !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "499060",
        "painting": "aogusite",
        "jp_name": "アウグスト・フォン・パーセヴァル",
        "en_name": "August von Parseval",
        "cn_name": "奥古斯特·冯·帕塞瓦尔",
        "tw_name": "奧古斯特·馮·帕塞瓦爾*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.1,
            1.4
        ],
        "reload": [
            44,
            307,
            0,
            33,
            0
        ]
    },
    "407030": {
        "nationality": 4,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 407034,
        "skin_id": 407030,
        "english_name": "KMS Peter Strasser",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "407030",
        "painting": "shitelasai",
        "jp_name": "ペーター・シュトラッサー",
        "en_name": "Peter Strasser",
        "cn_name": "彼得·史特拉塞",
        "tw_name": "彼得·史特拉塞",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.4
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "407020": {
        "nationality": 4,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 407024,
        "skin_id": 407020,
        "english_name": "KMS Graf Zeppelin",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "407020",
        "painting": "qibolin_younv",
        "jp_name": "ツェッペリンちゃん",
        "en_name": "Zeppy",
        "cn_name": "小齐柏林",
        "tw_name": "小齊柏林",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            2,
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            1.3,
            1
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "407010": {
        "nationality": 4,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 407014,
        "skin_id": 407010,
        "english_name": "KMS Graf Zeppelin",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "407010",
        "painting": "qibolin",
        "jp_name": "グラーフ・ツェッペリン",
        "en_name": "Graf Zeppelin",
        "cn_name": "齐柏林伯爵",
        "tw_name": "齊柏林伯爵",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8,
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            47,
            325,
            0,
            35,
            0
        ]
    },
    "406020": {
        "nationality": 4,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 406024,
        "skin_id": 406020,
        "english_name": "KMS Elbe !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "406020",
        "painting": "yibei",
        "jp_name": "エルベ",
        "en_name": "Elbe",
        "cn_name": "易北",
        "tw_name": "易北*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.45,
            1.35,
            0.8
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "406010": {
        "nationality": 4,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 406014,
        "skin_id": 406010,
        "english_name": "KMS Weser",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "406010",
        "painting": "weixi",
        "jp_name": "ヴェーザー",
        "en_name": "Weser",
        "cn_name": "威悉",
        "tw_name": "威悉",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "499020": {
        "nationality": 4,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 499024,
        "skin_id": 499020,
        "english_name": "KMS Friedrich der Grosse",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "499020",
        "painting": "feiteliedadi",
        "jp_name": "フリードリヒ・デア・グローセ",
        "en_name": "Friedrich der Große",
        "cn_name": "腓特烈大帝",
        "tw_name": "腓特烈大帝",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.6,
            2.2,
            1.0
        ],
        "reload": [
            58,
            402,
            0,
            43,
            0
        ]
    },
    "405030": {
        "nationality": 4,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 405034,
        "skin_id": 405030,
        "english_name": "KMS Ulrich von Hutten !TWnoData",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "405030",
        "painting": "wuerlixi",
        "jp_name": "ウルリッヒ・フォン・フッテン",
        "en_name": "Ulrich von Hutten",
        "cn_name": "乌尔里希·冯·胡滕",
        "tw_name": "烏爾里希·馮·胡滕*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.55,
            2.1,
            0.9
        ],
        "reload": [
            65,
            454,
            0,
            49,
            0
        ]
    },
    "405020": {
        "nationality": 4,
        "type": 5,
        "base_list": [
            3,
            2,
            1
        ],
        "id": 405024,
        "skin_id": 405020,
        "english_name": "KMS Tirpitz",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "405020",
        "painting": "tierbici",
        "jp_name": "ティルピッツ",
        "en_name": "Tirpitz",
        "cn_name": "提尔比茨",
        "tw_name": "鐵必制",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            0.9
        ],
        "reload": [
            55,
            385,
            0,
            41,
            0
        ]
    },
    "405010": {
        "nationality": 4,
        "type": 5,
        "base_list": [
            3,
            2,
            1
        ],
        "id": 405014,
        "skin_id": 405010,
        "english_name": "KMS Bismarck",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "405010",
        "painting": "bisimai",
        "jp_name": "ビスマルク",
        "en_name": "Bismarck",
        "cn_name": "俾斯麦",
        "tw_name": "俾斯麥",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.8,
            0.9
        ],
        "reload": [
            56,
            389,
            0,
            42,
            0
        ]
    },
    "499040": {
        "nationality": 4,
        "type": 4,
        "base_list": [
            3,
            1,
            1
        ],
        "id": 499044,
        "skin_id": 499040,
        "english_name": "KMS Odin",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "499040",
        "painting": "aoding",
        "jp_name": "オーディン",
        "en_name": "Odin",
        "cn_name": "奥丁",
        "tw_name": "奧丁",
        "equip_1": [
            4
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            2,
            1.1
        ],
        "reload": [
            63,
            436,
            0,
            47,
            0
        ]
    },
    "404020": {
        "nationality": 4,
        "type": 4,
        "base_list": [
            3,
            1,
            1
        ],
        "id": 404024,
        "skin_id": 404020,
        "english_name": "KMS Gneisenau",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "404020",
        "painting": "genaisennao",
        "jp_name": "グナイゼナウ",
        "en_name": "Gneisenau",
        "cn_name": "格奈森瑙",
        "tw_name": "格奈森瑙",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.7
        ],
        "reload": [
            58,
            403,
            0,
            43,
            0
        ]
    },
    "404010": {
        "nationality": 4,
        "type": 4,
        "base_list": [
            3,
            1,
            1
        ],
        "id": 404014,
        "skin_id": 404010,
        "english_name": "KMS Scharnhorst",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "404010",
        "painting": "shaenhuosite",
        "jp_name": "シャルンホルスト",
        "en_name": "Scharnhorst",
        "cn_name": "沙恩霍斯特",
        "tw_name": "沙恩霍斯特",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.7
        ],
        "reload": [
            58,
            403,
            0,
            43,
            0
        ]
    },
    "499010": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 499014,
        "skin_id": 499010,
        "english_name": "KMS Roon",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "499010",
        "painting": "luoen",
        "jp_name": "ローン",
        "en_name": "Roon",
        "cn_name": "罗恩",
        "tw_name": "羅恩",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.1,
            1.1
        ],
        "reload": [
            63,
            439,
            0,
            47,
            0
        ]
    },
    "403100": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403104,
        "skin_id": 403100,
        "english_name": "KMS Prinz Adalbert !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "403100",
        "painting": "adaerbote",
        "jp_name": "プリンツ・アーダルベルト",
        "en_name": "Prinz Adalbert",
        "cn_name": "阿达尔伯特亲王",
        "tw_name": "阿達爾伯特親王*",
        "equip_1": [
            3,
            11
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.5,
            1.4,
            1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "403090": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403094,
        "skin_id": 403090,
        "english_name": "KMS Prinz Heinrich",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "403090",
        "painting": "haiyinlixi",
        "jp_name": "プリンツ・ハインリヒ",
        "en_name": "Prinz Heinrich",
        "cn_name": "海因里希亲王",
        "tw_name": "海因里希親王",
        "equip_1": [
            3,
            11
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.6,
            1.3,
            1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "403080": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 403084,
        "skin_id": 403080,
        "english_name": "KMS Roon !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "403080",
        "painting": "luoen_idol",
        "jp_name": "ローン(μ兵装)",
        "en_name": "Roon μ",
        "cn_name": "罗恩(μ兵装)",
        "tw_name": "羅恩(μ兵裝)*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.1,
            1.1
        ],
        "reload": [
            63,
            440,
            0,
            47,
            0
        ]
    },
    "403070": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403074,
        "skin_id": 403070,
        "english_name": "KMS Admiral Hipper",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "403070",
        "painting": "xipeier_idol",
        "jp_name": "アドミラル・ヒッパー(μ兵装)",
        "en_name": "Admiral Hipper μ",
        "cn_name": "希佩尔海军上将(μ兵装)",
        "tw_name": "希佩爾將軍(μ兵裝)",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.6,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "403050": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403054,
        "skin_id": 403050,
        "english_name": "KMS Admiral Graf Spee",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "403050",
        "painting": "sipeibojue",
        "jp_name": "アドミラル・グラーフ・シュペー",
        "en_name": "Admiral Graf Spee",
        "cn_name": "斯佩伯爵海军上将",
        "tw_name": "施佩伯爵將軍",
        "equip_1": [
            3,
            11
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1
        ],
        "reload": [
            64,
            445,
            0,
            48,
            0
        ]
    },
    "403040": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403044,
        "skin_id": 403040,
        "english_name": "KMS Deutschland",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "403040",
        "painting": "deyizhi",
        "jp_name": "ドイッチュラント",
        "en_name": "Deutschland",
        "cn_name": "德意志",
        "tw_name": "德意志",
        "equip_1": [
            3,
            11
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "403030": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403034,
        "skin_id": 403030,
        "english_name": "KMS Prinz Eugen",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "403030",
        "painting": "ougen",
        "jp_name": "プリンツ・オイゲン",
        "en_name": "Prinz Eugen",
        "cn_name": "欧根亲王",
        "tw_name": "歐根親王",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.6,
            1.2
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "403010": {
        "nationality": 4,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 403014,
        "skin_id": 403010,
        "english_name": "KMS Admiral Hipper",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "403010",
        "painting": "xipeierhaijunshangjiang",
        "jp_name": "アドミラル・ヒッパー",
        "en_name": "Admiral Hipper",
        "cn_name": "希佩尔海军上将",
        "tw_name": "希佩爾將軍",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.6,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "499030": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 499034,
        "skin_id": 499030,
        "english_name": "KMS Mainz",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "499030",
        "painting": "meiyinci",
        "jp_name": "マインツ",
        "en_name": "Mainz",
        "cn_name": "美因茨",
        "tw_name": "美因茲",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.1,
            1.1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "402060": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402064,
        "skin_id": 402060,
        "english_name": "KMS Magdeburg !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "402060",
        "painting": "magedebao",
        "jp_name": "マクデブルク",
        "en_name": "Magdeburg",
        "cn_name": "马格德堡",
        "tw_name": "馬格德堡*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.35,
            1.2
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "402050": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402054,
        "skin_id": 402050,
        "english_name": "KMS Nurnberg",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "402050",
        "painting": "niulunbao",
        "jp_name": "ニュルンベルク",
        "en_name": "Nürnberg",
        "cn_name": "纽伦堡",
        "tw_name": "紐倫堡",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.7,
            1.4
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "402049": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402044,
        "skin_id": 402049,
        "english_name": "KMS Leipzig",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "402049",
        "painting": "laibixi_g",
        "jp_name": "ライプツィヒ改",
        "en_name": "Leipzig (Retrofit)",
        "cn_name": "莱比锡改",
        "tw_name": "萊比錫改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.75,
            1.35
        ],
        "reload": [
            68,
            475,
            0,
            51,
            5
        ]
    },
    "402040": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402044,
        "skin_id": 402040,
        "english_name": "KMS Leipzig",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "402040",
        "painting": "laibixi",
        "jp_name": "ライプツィヒ",
        "en_name": "Leipzig",
        "cn_name": "莱比锡",
        "tw_name": "萊比錫",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.6,
            1.3
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "402039": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402134,
        "skin_id": 402039,
        "english_name": "KMS Köln",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "402039",
        "painting": "kelong_g",
        "jp_name": "ケルン改",
        "en_name": "Köln (Retrofit)",
        "cn_name": "科隆改",
        "tw_name": "科隆改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14,
            17
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.7,
            1.35
        ],
        "reload": [
            64,
            447,
            0,
            48,
            5
        ]
    },
    "402030": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402034,
        "skin_id": 402030,
        "english_name": "KMS Koln",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "402030",
        "painting": "kelong",
        "jp_name": "ケルン",
        "en_name": "Köln",
        "cn_name": "科隆",
        "tw_name": "科隆",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "402029": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402024,
        "skin_id": 402029,
        "english_name": "KMS Karlsruhe",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "402029",
        "painting": "kaersilue_g",
        "jp_name": "カールスルーエ改",
        "en_name": "Karlsruhe (Retrofit)",
        "cn_name": "卡尔斯鲁厄改",
        "tw_name": "卡爾斯魯厄改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.7,
            1.35
        ],
        "reload": [
            64,
            447,
            0,
            48,
            5
        ]
    },
    "402020": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402024,
        "skin_id": 402020,
        "english_name": "KMS Karlsruhe",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "402020",
        "painting": "kaersilue",
        "jp_name": "カールスルーエ",
        "en_name": "Karlsruhe",
        "cn_name": "卡尔斯鲁厄",
        "tw_name": "卡爾斯魯厄",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "402010": {
        "nationality": 4,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 402014,
        "skin_id": 402010,
        "english_name": "KMS Konigsberg",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "402010",
        "painting": "kenisibao",
        "jp_name": "ケーニヒスベルク",
        "en_name": "Königsberg",
        "cn_name": "柯尼斯堡",
        "tw_name": "柯尼斯堡",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "401460": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401464,
        "skin_id": 401460,
        "english_name": "KMS Z46",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "401460",
        "painting": "Z46",
        "jp_name": "Z46",
        "en_name": "Z46",
        "cn_name": "Z46",
        "tw_name": "Z46",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            1.4
        ],
        "reload": [
            78,
            543,
            0,
            58,
            0
        ]
    },
    "401360": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401364,
        "skin_id": 401360,
        "english_name": "KMS Z36",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401360",
        "painting": "Z36",
        "jp_name": "Z36",
        "en_name": "Z36",
        "cn_name": "Z36",
        "tw_name": "Z36",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.25,
            1.25
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "401350": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401354,
        "skin_id": 401350,
        "english_name": "KMS Z35",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401350",
        "painting": "Z35",
        "jp_name": "Z35",
        "en_name": "Z35",
        "cn_name": "Z35",
        "tw_name": "Z35",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.2,
            1.25
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "401280": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401284,
        "skin_id": 401280,
        "english_name": "KMS Z28",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401280",
        "painting": "Z28",
        "jp_name": "Z28",
        "en_name": "Z28",
        "cn_name": "Z28",
        "tw_name": "Z28",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            0.75
        ],
        "reload": [
            76,
            531,
            0,
            57,
            0
        ]
    },
    "401260": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401264,
        "skin_id": 401260,
        "english_name": "KMS Z26 !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401260",
        "painting": "Z26",
        "jp_name": "Z26",
        "en_name": "Z26",
        "cn_name": "Z26",
        "tw_name": "Z26*",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            0.75
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "401250": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401254,
        "skin_id": 401250,
        "english_name": "KMS Z25",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401250",
        "painting": "Z25",
        "jp_name": "Z25",
        "en_name": "Z25",
        "cn_name": "Z25",
        "tw_name": "Z25",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            0.75
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "401240": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401244,
        "skin_id": 401240,
        "english_name": "KMS Z24",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401240",
        "painting": "Z24",
        "jp_name": "Z24",
        "en_name": "Z24",
        "cn_name": "Z24",
        "tw_name": "Z24",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            0.75
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "401239": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401234,
        "skin_id": 401239,
        "english_name": "KMS Z23",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "401239",
        "painting": "z23_g",
        "jp_name": "Z23改",
        "en_name": "Z23 (Retrofit)",
        "cn_name": "Z23改",
        "tw_name": "Z23改",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.75,
            1.2,
            0.85
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "401230": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401234,
        "skin_id": 401230,
        "english_name": "KMS Z23",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "401230",
        "painting": "z23",
        "jp_name": "Z23",
        "en_name": "Z23",
        "cn_name": "Z23",
        "tw_name": "Z23",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.2,
            0.75
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "401210": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401214,
        "skin_id": 401210,
        "english_name": "KMS Wilhelm Heidkamp",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "401210",
        "painting": "z21",
        "jp_name": "Z21",
        "en_name": "Z21",
        "cn_name": "Z21",
        "tw_name": "Z21",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "401200": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401204,
        "skin_id": 401200,
        "english_name": "KMS Karl Galster",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "401200",
        "painting": "z20",
        "jp_name": "Z20",
        "en_name": "Z20",
        "cn_name": "Z20",
        "tw_name": "Z20",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "401190": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401194,
        "skin_id": 401190,
        "english_name": "KMS Hermann Kunne",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "401190",
        "painting": "z19",
        "jp_name": "Z19",
        "en_name": "Z19",
        "cn_name": "Z19",
        "tw_name": "Z19",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "401180": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401184,
        "skin_id": 401180,
        "english_name": "KMS Hans Ludemann",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "401180",
        "painting": "z18",
        "jp_name": "Z18",
        "en_name": "Z18",
        "cn_name": "Z18",
        "tw_name": "Z18",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "401020": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401024,
        "skin_id": 401020,
        "english_name": "KMS Georg Thiele",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "401020",
        "painting": "z2",
        "jp_name": "Z2",
        "en_name": "Z2",
        "cn_name": "Z2",
        "tw_name": "Z2",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.4,
            0.75
        ],
        "reload": [
            76,
            526,
            0,
            56,
            0
        ]
    },
    "401019": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401014,
        "skin_id": 401019,
        "english_name": "KMS Leberecht Maass",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "401019",
        "painting": "Z1_g",
        "jp_name": "Z1改",
        "en_name": "Z1 (Retrofit)",
        "cn_name": "Z1改",
        "tw_name": "Z1改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.55,
            0.85
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "401010": {
        "nationality": 4,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 401014,
        "skin_id": 401010,
        "english_name": "KMS Leberecht Maass",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "401010",
        "painting": "z1",
        "jp_name": "Z1",
        "en_name": "Z1",
        "cn_name": "Z1",
        "tw_name": "Z1",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.4,
            0.75
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "319010": {
        "nationality": 3,
        "type": 19,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 319014,
        "skin_id": 319010,
        "english_name": "IJN Kashino",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "319010",
        "painting": "jianye",
        "jp_name": "樫野",
        "en_name": "Kashino",
        "cn_name": "樫野",
        "tw_name": "樫野",
        "equip_1": [
            1
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            10,
            18
        ],
        "equip_4": [
            10,
            18
        ],
        "equip_5": [
            10,
            18
        ],
        "eq_p": [
            1.1,
            0.8,
            1
        ],
        "reload": [
            75,
            521,
            0,
            56,
            0
        ]
    },
    "399040": {
        "nationality": 3,
        "type": 18,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 399044,
        "skin_id": 399040,
        "english_name": "IJN Azuma",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "399040",
        "painting": "wuqi",
        "jp_name": "吾妻",
        "en_name": "Azuma",
        "cn_name": "吾妻",
        "tw_name": "吾妻",
        "equip_1": [
            3,
            11
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.0,
            0.6,
            1.1
        ],
        "reload": [
            62,
            433,
            0,
            47,
            0
        ]
    },
    "317010": {
        "nationality": 3,
        "type": 17,
        "base_list": [
            2,
            2,
            2
        ],
        "id": 317014,
        "skin_id": 317010,
        "english_name": "IJN I13",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "317010",
        "painting": "I13",
        "jp_name": "伊13",
        "en_name": "I-13",
        "cn_name": "伊13",
        "tw_name": "伊13",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            12
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.15,
            1.5
        ],
        "reload": [
            40,
            277,
            0,
            30,
            0
        ]
    },
    "312010": {
        "nationality": 3,
        "type": 12,
        "base_list": [
            1,
            2,
            2
        ],
        "id": 312014,
        "skin_id": 312010,
        "english_name": "IJN Akashi",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "312010",
        "painting": "mingshi",
        "jp_name": "明石",
        "en_name": "Akashi",
        "cn_name": "明石",
        "tw_name": "明石",
        "equip_1": [
            10
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1,
            1,
            1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "308060": {
        "nationality": 3,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 308064,
        "skin_id": 308060,
        "english_name": "IJN I168",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "308060",
        "painting": "I168",
        "jp_name": "伊168",
        "en_name": "I-168",
        "cn_name": "伊168",
        "tw_name": "伊168",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.15,
            0.8
        ],
        "reload": [
            42,
            294,
            0,
            32,
            0
        ]
    },
    "308050": {
        "nationality": 3,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 308054,
        "skin_id": 308050,
        "english_name": "IJN I56",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "308050",
        "painting": "I56",
        "jp_name": "伊56",
        "en_name": "I-56",
        "cn_name": "伊56",
        "tw_name": "伊56",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            1.15,
            0.85
        ],
        "reload": [
            23,
            161,
            0,
            17,
            0
        ]
    },
    "308040": {
        "nationality": 3,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 308044,
        "skin_id": 308040,
        "english_name": "IJN I25",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "308040",
        "painting": "I25",
        "jp_name": "伊25",
        "en_name": "I-25",
        "cn_name": "伊25",
        "tw_name": "伊25",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.15,
            0.85
        ],
        "reload": [
            26,
            179,
            0,
            19,
            0
        ]
    },
    "308030": {
        "nationality": 3,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 308034,
        "skin_id": 308030,
        "english_name": "IJN I58",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "308030",
        "painting": "I58",
        "jp_name": "伊58",
        "en_name": "I-58",
        "cn_name": "伊58",
        "tw_name": "伊58",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.15,
            0.85
        ],
        "reload": [
            29,
            202,
            0,
            22,
            0
        ]
    },
    "308020": {
        "nationality": 3,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 308024,
        "skin_id": 308020,
        "english_name": "IJN I26",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "308020",
        "painting": "I26",
        "jp_name": "伊26",
        "en_name": "I-26",
        "cn_name": "伊26",
        "tw_name": "伊26",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.15,
            0.85
        ],
        "reload": [
            40,
            279,
            0,
            30,
            0
        ]
    },
    "308010": {
        "nationality": 3,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 308014,
        "skin_id": 308010,
        "english_name": "IJN I19",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "308010",
        "painting": "I19",
        "jp_name": "伊19",
        "en_name": "I-19",
        "cn_name": "伊19",
        "tw_name": "伊19",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.15,
            0.8
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "399050": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            4,
            2
        ],
        "id": 399054,
        "skin_id": 399050,
        "english_name": "IJN Hakuryu !TWnoData",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "399050",
        "painting": "bailong",
        "jp_name": "白龍",
        "en_name": "Hakuryuu",
        "cn_name": "白龙",
        "tw_name": "白龍*",
        "equip_1": [
            7,
            8
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8,
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.5,
            1.3
        ],
        "reload": [
            46,
            321,
            0,
            35,
            0
        ]
    },
    "307120": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307124,
        "skin_id": 307120,
        "english_name": "IJN Katsuragi !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307120",
        "painting": "gecheng",
        "jp_name": "葛城",
        "en_name": "Katsuragi",
        "cn_name": "葛城",
        "tw_name": "葛城*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.15,
            1.35
        ],
        "reload": [
            44,
            307,
            0,
            33,
            0
        ]
    },
    "307110": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 307114,
        "skin_id": 307110,
        "english_name": "IJN Taiho !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307110",
        "painting": "dafeng_idol",
        "jp_name": "大鳳(μ兵装)",
        "en_name": "Taihou μ",
        "cn_name": "大凤(μ兵装)",
        "tw_name": "大鳳(μ兵裝)*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.4
        ],
        "reload": [
            44,
            307,
            0,
            33,
            0
        ]
    },
    "307100": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307104,
        "skin_id": 307100,
        "english_name": "IJN Akagi",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307100",
        "painting": "chicheng_idol",
        "jp_name": "赤城(μ兵装)",
        "en_name": "Akagi μ",
        "cn_name": "赤城(μ兵装)",
        "tw_name": "赤城(μ兵裝)",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "307090": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307094,
        "skin_id": 307090,
        "english_name": "IJN Akagi",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "307090",
        "painting": "chicheng_younv",
        "jp_name": "赤城ちゃん",
        "en_name": "Akagi-chan",
        "cn_name": "小赤城",
        "tw_name": "小赤城",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.15,
            1.25
        ],
        "reload": [
            46,
            319,
            0,
            34,
            0
        ]
    },
    "307080": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            2,
            3,
            4
        ],
        "id": 307084,
        "skin_id": 307080,
        "english_name": "IJN Shinano",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "307080",
        "painting": "xinnong",
        "jp_name": "信濃",
        "en_name": "Shinano",
        "cn_name": "信浓",
        "tw_name": "信濃",
        "equip_1": [
            7,
            8,
            9
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.3,
            1.4
        ],
        "reload": [
            46,
            322,
            0,
            35,
            0
        ]
    },
    "307070": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 307074,
        "skin_id": 307070,
        "english_name": "IJN Taiho",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307070",
        "painting": "dafeng",
        "jp_name": "大鳳",
        "en_name": "Taihou",
        "cn_name": "大凤",
        "tw_name": "大鳳",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.4
        ],
        "reload": [
            44,
            307,
            0,
            33,
            0
        ]
    },
    "307060": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 307064,
        "skin_id": 307060,
        "english_name": "IJN Zuikaku",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307060",
        "painting": "ruihe",
        "jp_name": "瑞鹤",
        "en_name": "Zuikaku",
        "cn_name": "瑞鹤",
        "tw_name": "瑞鶴",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.25,
            1.25
        ],
        "reload": [
            44,
            307,
            0,
            33,
            0
        ]
    },
    "307050": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            2,
            2,
            4
        ],
        "id": 307054,
        "skin_id": 307050,
        "english_name": "IJN Shokaku",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307050",
        "painting": "xianghe",
        "jp_name": "翔鶴",
        "en_name": "Shoukaku",
        "cn_name": "翔鹤",
        "tw_name": "翔鶴",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.1,
            1.5
        ],
        "reload": [
            44,
            307,
            0,
            33,
            0
        ]
    },
    "307049": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307044,
        "skin_id": 307049,
        "english_name": "IJN Hiryu",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307049",
        "painting": "feilong_g",
        "jp_name": "飛龍改",
        "en_name": "Hiryuu (Retrofit)",
        "cn_name": "飞龙改",
        "tw_name": "飛龍改",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.15,
            1.5
        ],
        "reload": [
            45,
            310,
            0,
            33,
            20
        ]
    },
    "307040": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307044,
        "skin_id": 307040,
        "english_name": "IJN Hiryu",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "307040",
        "painting": "feilong",
        "jp_name": "飛龍",
        "en_name": "Hiryuu",
        "cn_name": "飞龙",
        "tw_name": "飛龍",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.1,
            1.5
        ],
        "reload": [
            45,
            310,
            0,
            33,
            0
        ]
    },
    "307039": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 307034,
        "skin_id": 307039,
        "english_name": "IJN Soryu",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307039",
        "painting": "canglong_g",
        "jp_name": "蒼龍改",
        "en_name": "Souryuu (Retrofit)",
        "cn_name": "苍龙改",
        "tw_name": "蒼龍改",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.5,
            1.15
        ],
        "reload": [
            45,
            310,
            0,
            33,
            20
        ]
    },
    "307030": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 307034,
        "skin_id": 307030,
        "english_name": "IJN Soryu",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "307030",
        "painting": "canglong",
        "jp_name": "蒼龍",
        "en_name": "Souryuu",
        "cn_name": "苍龙",
        "tw_name": "蒼龍",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.5,
            1.1
        ],
        "reload": [
            45,
            310,
            0,
            33,
            0
        ]
    },
    "307020": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307024,
        "skin_id": 307020,
        "english_name": "IJN Kaga",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307020",
        "painting": "jiahe",
        "jp_name": "加賀",
        "en_name": "Kaga",
        "cn_name": "加贺",
        "tw_name": "加賀",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            1.1,
            1.5
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "307010": {
        "nationality": 3,
        "type": 7,
        "base_list": [
            3,
            2,
            3
        ],
        "id": 307014,
        "skin_id": 307010,
        "english_name": "IJN Akagi",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "307010",
        "painting": "chicheng",
        "jp_name": "赤城",
        "en_name": "Akagi",
        "cn_name": "赤城",
        "tw_name": "赤城",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "306090": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 306094,
        "skin_id": 306090,
        "english_name": "IJN Chiyoda",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "306090",
        "painting": "qiandaitian",
        "jp_name": "千代田",
        "en_name": "Chiyoda",
        "cn_name": "千代田",
        "tw_name": "千代田",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "306080": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 306084,
        "skin_id": 306080,
        "english_name": "IJN Chitose",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "306080",
        "painting": "qiansui",
        "jp_name": "千歳",
        "en_name": "Chitose",
        "cn_name": "千岁",
        "tw_name": "千歲",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            68,
            473,
            0,
            51,
            0
        ]
    },
    "306070": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 306074,
        "skin_id": 306070,
        "english_name": "IJN Ryuho",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "306070",
        "painting": "longfeng",
        "jp_name": "龍鳳",
        "en_name": "Ryuuhou",
        "cn_name": "龙凤",
        "tw_name": "龍鳳",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    },
    "306060": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 306064,
        "skin_id": 306060,
        "english_name": "IJN Ryujo",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "306060",
        "painting": "longxiang",
        "jp_name": "龍驤",
        "en_name": "Ryuujou",
        "cn_name": "龙骧",
        "tw_name": "龍驤",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            66,
            457,
            0,
            49,
            0
        ]
    },
    "306059": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 306054,
        "skin_id": 306059,
        "english_name": "IJN Shoho",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "306059",
        "painting": "xiangfeng_g",
        "jp_name": "祥鳳改",
        "en_name": "Shouhou (Retrofit)",
        "cn_name": "祥凤改",
        "tw_name": "祥鳳改",
        "equip_1": [
            9
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.45,
            1.35,
            0.8
        ],
        "reload": [
            65,
            454,
            0,
            49,
            5
        ]
    },
    "306050": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 306054,
        "skin_id": 306050,
        "english_name": "IJN Shoho",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "306050",
        "painting": "xiangfeng",
        "jp_name": "祥鳳",
        "en_name": "Shouhou",
        "cn_name": "祥凤",
        "tw_name": "祥鳳",
        "equip_1": [
            9
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.3,
            0.8
        ],
        "reload": [
            65,
            454,
            0,
            49,
            0
        ]
    },
    "306030": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            1,
            3,
            3
        ],
        "id": 306034,
        "skin_id": 306030,
        "english_name": "IJN Hosho",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "306030",
        "painting": "fengxiang",
        "jp_name": "鳳翔",
        "en_name": "Houshou",
        "cn_name": "凤翔",
        "tw_name": "鳳翔",
        "equip_1": [
            2
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1.3,
            1.3
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "306020": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            2,
            2,
            3
        ],
        "id": 306024,
        "skin_id": 306020,
        "english_name": "IJN Jun'yo",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "306020",
        "painting": "sunying",
        "jp_name": "隼鷹",
        "en_name": "Junyou",
        "cn_name": "隼鹰",
        "tw_name": "隼鷹",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1.1,
            1.2
        ],
        "reload": [
            58,
            403,
            0,
            43,
            0
        ]
    },
    "306010": {
        "nationality": 3,
        "type": 6,
        "base_list": [
            2,
            3,
            2
        ],
        "id": 306014,
        "skin_id": 306010,
        "english_name": "IJN Hiyo",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "306010",
        "painting": "feiying",
        "jp_name": "飛鷹",
        "en_name": "Hiyou",
        "cn_name": "飞鹰",
        "tw_name": "飛鷹",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1.2,
            1.1
        ],
        "reload": [
            58,
            403,
            0,
            43,
            0
        ]
    },
    "399020": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 399024,
        "skin_id": 399020,
        "english_name": "IJN Izumo",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "399020",
        "painting": "chuyun",
        "jp_name": "出雲",
        "en_name": "Izumo",
        "cn_name": "出云",
        "tw_name": "出雲",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            2.1,
            0.9
        ],
        "reload": [
            54,
            374,
            0,
            40,
            0
        ]
    },
    "305140": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305144,
        "skin_id": 305140,
        "english_name": "IJN Suruga",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "305140",
        "painting": "junhe",
        "jp_name": "駿河",
        "en_name": "Suruga",
        "cn_name": "骏河",
        "tw_name": "駿河",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            51,
            356,
            0,
            38,
            0
        ]
    },
    "305120": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305124,
        "skin_id": 305120,
        "english_name": "IJN Kii",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "305120",
        "painting": "jiyi",
        "jp_name": "紀伊",
        "en_name": "Kii",
        "cn_name": "纪伊",
        "tw_name": "紀伊",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            53,
            370,
            0,
            40,
            0
        ]
    },
    "305110": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            2,
            2
        ],
        "id": 305114,
        "skin_id": 305110,
        "english_name": "IJN Mikasa",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "305110",
        "painting": "sanli",
        "jp_name": "三笠",
        "en_name": "Mikasa",
        "cn_name": "三笠",
        "tw_name": "三笠",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.5,
            1.5
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "305080": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305084,
        "skin_id": 305080,
        "english_name": "IJN Tosa !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "305080",
        "painting": "tuzuo",
        "jp_name": "土佐",
        "en_name": "Tosa",
        "cn_name": "土佐",
        "tw_name": "土佐*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            0.9
        ],
        "reload": [
            53,
            370,
            0,
            40,
            0
        ]
    },
    "305070": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305074,
        "skin_id": 305070,
        "english_name": "IJN Kaga",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "305070",
        "painting": "jiahezhanlie",
        "jp_name": "加賀",
        "en_name": "Kaga(BB)",
        "cn_name": "加贺",
        "tw_name": "加賀",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            0.9
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "305060": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305064,
        "skin_id": 305060,
        "english_name": "IJN Mutsu",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "305060",
        "painting": "luao",
        "jp_name": "陸奧",
        "en_name": "Mutsu",
        "cn_name": "陆奥",
        "tw_name": "陸奧",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2.1,
            1
        ],
        "reload": [
            53,
            372,
            0,
            40,
            0
        ]
    },
    "305050": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305054,
        "skin_id": 305050,
        "english_name": "IJN Nagato",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "305050",
        "painting": "changmen",
        "jp_name": "長門",
        "en_name": "Nagato",
        "cn_name": "长门",
        "tw_name": "長門",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2.1,
            1
        ],
        "reload": [
            54,
            375,
            0,
            40,
            0
        ]
    },
    "305049": {
        "nationality": 3,
        "type": 10,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 310044,
        "skin_id": 305049,
        "english_name": "IJN Hyūga",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "305049",
        "painting": "rixiang_g",
        "jp_name": "日向改",
        "en_name": "Hyuuga (Retrofit)",
        "cn_name": "日向改",
        "tw_name": "日向改",
        "equip_1": [
            4
        ],
        "equip_2": [
            7,
            8,
            9,
            12
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.75,
            2,
            0.95
        ],
        "reload": [
            47,
            329,
            0,
            39,
            0
        ]
    },
    "305040": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305044,
        "skin_id": 305040,
        "english_name": "IJN Hyuga",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "305040",
        "painting": "rixiang",
        "jp_name": "日向",
        "en_name": "Hyuuga",
        "cn_name": "日向",
        "tw_name": "日向",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.8,
            0.8
        ],
        "reload": [
            52,
            361,
            0,
            39,
            0
        ]
    },
    "305039": {
        "nationality": 3,
        "type": 10,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 310034,
        "skin_id": 305039,
        "english_name": "IJN Ise",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "305039",
        "painting": "yishi_g",
        "jp_name": "伊勢改",
        "en_name": "Ise (Retrofit)",
        "cn_name": "伊势改",
        "tw_name": "伊勢改",
        "equip_1": [
            4
        ],
        "equip_2": [
            7,
            8,
            9,
            12
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.8,
            1.8,
            0.95
        ],
        "reload": [
            47,
            329,
            0,
            39,
            0
        ]
    },
    "305030": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305034,
        "skin_id": 305030,
        "english_name": "IJN Ise",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "305030",
        "painting": "yishi",
        "jp_name": "伊勢",
        "en_name": "Ise",
        "cn_name": "伊势",
        "tw_name": "伊勢",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            2,
            0.8
        ],
        "reload": [
            52,
            361,
            0,
            39,
            0
        ]
    },
    "305029": {
        "nationality": 3,
        "type": 10,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 310024,
        "skin_id": 305029,
        "english_name": "IJN Yamashiro",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "305029",
        "painting": "shancheng_g",
        "jp_name": "山城改",
        "en_name": "Yamashiro (Retrofit)",
        "cn_name": "山城改",
        "tw_name": "山城改",
        "equip_1": [
            4
        ],
        "equip_2": [
            7,
            8,
            9,
            12
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.65,
            2,
            0.85
        ],
        "reload": [
            46,
            322,
            0,
            38,
            5
        ]
    },
    "305020": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305024,
        "skin_id": 305020,
        "english_name": "IJN Yamashiro",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "305020",
        "painting": "shancheng",
        "jp_name": "山城",
        "en_name": "Yamashiro",
        "cn_name": "山城",
        "tw_name": "山城",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            0.8
        ],
        "reload": [
            51,
            353,
            0,
            38,
            0
        ]
    },
    "305019": {
        "nationality": 3,
        "type": 10,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 310014,
        "skin_id": 305019,
        "english_name": "IJN Fuso",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "305019",
        "painting": "fusang_g",
        "jp_name": "扶桑改",
        "en_name": "Fusou (Retrofit)",
        "cn_name": "扶桑改",
        "tw_name": "扶桑改",
        "equip_1": [
            4
        ],
        "equip_2": [
            7,
            8,
            9,
            12
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.65,
            2,
            0.85
        ],
        "reload": [
            46,
            322,
            0,
            38,
            5
        ]
    },
    "305010": {
        "nationality": 3,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 305014,
        "skin_id": 305010,
        "english_name": "IJN Fuso",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "305010",
        "painting": "fusang",
        "jp_name": "扶桑",
        "en_name": "Fusou",
        "cn_name": "扶桑",
        "tw_name": "扶桑",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            0.8
        ],
        "reload": [
            51,
            353,
            0,
            38,
            0
        ]
    },
    "304070": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304074,
        "skin_id": 304070,
        "english_name": "IJN Amagi !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "304070",
        "painting": "tiancheng_younv",
        "jp_name": "天城ちゃん",
        "en_name": "Amagi-chan",
        "cn_name": "小天城",
        "tw_name": "小天城*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.5,
            0.85
        ],
        "reload": [
            52,
            363,
            0,
            39,
            0
        ]
    },
    "304060": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304064,
        "skin_id": 304060,
        "english_name": "IJN Hiei",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "304060",
        "painting": "birui_younv",
        "jp_name": "比叡ちゃん",
        "en_name": "Hiei-chan",
        "cn_name": "小比叡",
        "tw_name": "小比叡",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.5,
            0.85
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "304050": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304054,
        "skin_id": 304050,
        "english_name": "IJN Amagi",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "304050",
        "painting": "tiancheng",
        "jp_name": "天城",
        "en_name": "Amagi",
        "cn_name": "天城",
        "tw_name": "天城",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.8,
            0.9
        ],
        "reload": [
            54,
            378,
            0,
            41,
            0
        ]
    },
    "304040": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304044,
        "skin_id": 304040,
        "english_name": "IJN Kirishima",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "304040",
        "painting": "wudao",
        "jp_name": "霧島",
        "en_name": "Kirishima",
        "cn_name": "雾岛",
        "tw_name": "霧島",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.9
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "304030": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304034,
        "skin_id": 304030,
        "english_name": "IJN Haruna",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "304030",
        "painting": "zhenming",
        "jp_name": "榛名",
        "en_name": "Haruna",
        "cn_name": "榛名",
        "tw_name": "榛名",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.9
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "304020": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304024,
        "skin_id": 304020,
        "english_name": "IJN Hiei",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "304020",
        "painting": "birui",
        "jp_name": "比叡",
        "en_name": "Hiei",
        "cn_name": "比叡",
        "tw_name": "比叡",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.9
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "304010": {
        "nationality": 3,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 304014,
        "skin_id": 304010,
        "english_name": "IJN Kongo",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "304010",
        "painting": "jingang",
        "jp_name": "金剛",
        "en_name": "Kongou",
        "cn_name": "金刚",
        "tw_name": "金剛",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.9
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "399010": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 399014,
        "skin_id": 399010,
        "english_name": "IJN Ibuki",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "399010",
        "painting": "yichui",
        "jp_name": "伊吹",
        "en_name": "Ibuki",
        "cn_name": "伊吹",
        "tw_name": "伊吹",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.85,
            1.1
        ],
        "reload": [
            69,
            477,
            0,
            51,
            0
        ]
    },
    "303180": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303184,
        "skin_id": 303180,
        "english_name": "IJN Kumano",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "303180",
        "painting": "xiongye",
        "jp_name": "熊野",
        "en_name": "Kumano",
        "cn_name": "熊野",
        "tw_name": "熊野",
        "equip_1": [
            2,
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.45,
            1.1
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "303170": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303174,
        "skin_id": 303170,
        "english_name": "IJN Suzuya",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "303170",
        "painting": "linggu",
        "jp_name": "鈴谷",
        "en_name": "Suzuya",
        "cn_name": "铃谷",
        "tw_name": "鈴谷",
        "equip_1": [
            2,
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.45,
            1.1
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "303140": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303144,
        "skin_id": 303140,
        "english_name": "IJN Chokai",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "303140",
        "painting": "niaohai",
        "jp_name": "鳥海",
        "en_name": "Choukai",
        "cn_name": "鸟海",
        "tw_name": "鳥海",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.3,
            1.1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "303130": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303134,
        "skin_id": 303130,
        "english_name": "IJN Maya",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "303130",
        "painting": "moye",
        "jp_name": "摩耶",
        "en_name": "Maya",
        "cn_name": "摩耶",
        "tw_name": "摩耶",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.7,
            1.2
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "303120": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303124,
        "skin_id": 303120,
        "english_name": "IJN Atago",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "303120",
        "painting": "aidang",
        "jp_name": "愛宕",
        "en_name": "Atago",
        "cn_name": "爱宕",
        "tw_name": "愛宕",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.7,
            1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "303110": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303114,
        "skin_id": 303110,
        "english_name": "IJN Takao",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "303110",
        "painting": "gaoxiong",
        "jp_name": "高雄",
        "en_name": "Takao",
        "cn_name": "高雄",
        "tw_name": "高雄",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.75,
            1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "303090": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303094,
        "skin_id": 303090,
        "english_name": "IJN Ashigara",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "303090",
        "painting": "zubing",
        "jp_name": "足柄",
        "en_name": "Ashigara",
        "cn_name": "足柄",
        "tw_name": "足柄",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1
        ],
        "reload": [
            62,
            431,
            0,
            46,
            0
        ]
    },
    "303080": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303084,
        "skin_id": 303080,
        "english_name": "IJN Nachi",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "303080",
        "painting": "nazhi",
        "jp_name": "那智",
        "en_name": "Nachi",
        "cn_name": "那智",
        "tw_name": "那智",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "303070": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303074,
        "skin_id": 303070,
        "english_name": "IJN Myoko",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "303070",
        "painting": "miaogao",
        "jp_name": "妙高",
        "en_name": "Myoukou",
        "cn_name": "妙高",
        "tw_name": "妙高",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "303060": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303064,
        "skin_id": 303060,
        "english_name": "IJN Chikuma !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "303060",
        "painting": "zhumo",
        "jp_name": "筑摩",
        "en_name": "Chikuma",
        "cn_name": "筑摩",
        "tw_name": "築摩*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.75,
            1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "303040": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303044,
        "skin_id": 303040,
        "english_name": "IJN Kinugasa",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "303040",
        "painting": "yili",
        "jp_name": "衣笠",
        "en_name": "Kinugasa",
        "cn_name": "衣笠",
        "tw_name": "衣笠",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "303030": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303034,
        "skin_id": 303030,
        "english_name": "IJN Aoba",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "303030",
        "painting": "qingye",
        "jp_name": "青葉",
        "en_name": "Aoba",
        "cn_name": "青叶",
        "tw_name": "青葉",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.65,
            1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "303029": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303024,
        "skin_id": 303029,
        "english_name": "IJN Kako",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "303029",
        "painting": "jiagu_g",
        "jp_name": "加古改",
        "en_name": "Kako (Retrofit)",
        "cn_name": "加古改",
        "tw_name": "加古改",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.8,
            1.05
        ],
        "reload": [
            60,
            417,
            0,
            45,
            5
        ]
    },
    "303020": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303024,
        "skin_id": 303020,
        "english_name": "IJN Kako",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "303020",
        "painting": "jiagu",
        "jp_name": "加古",
        "en_name": "Kako",
        "cn_name": "加古",
        "tw_name": "加古",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.7,
            1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "303019": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303014,
        "skin_id": 303019,
        "english_name": "IJN Furutaka",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "303019",
        "painting": "guying_g",
        "jp_name": "古鷹改",
        "en_name": "Furutaka (Retrofit)",
        "cn_name": "古鹰改",
        "tw_name": "古鷹改",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.8,
            1.05
        ],
        "reload": [
            60,
            417,
            0,
            45,
            5
        ]
    },
    "303010": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 303014,
        "skin_id": 303010,
        "english_name": "IJN Furutaka",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "303010",
        "painting": "guying",
        "jp_name": "古鷹",
        "en_name": "Furutaka",
        "cn_name": "古鹰",
        "tw_name": "古鷹",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.7,
            1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "302210": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302214,
        "skin_id": 302210,
        "english_name": "IJN Noshiro",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "302210",
        "painting": "nengdai",
        "jp_name": "能代",
        "en_name": "Noshiro",
        "cn_name": "能代",
        "tw_name": "能代",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.75,
            1.1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "302200": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302204,
        "skin_id": 302200,
        "english_name": "IJN Agano",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "302200",
        "painting": "aheye",
        "jp_name": "阿賀野",
        "en_name": "Agano",
        "cn_name": "阿贺野",
        "tw_name": "阿賀野",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1.7,
            1
        ],
        "reload": [
            62,
            431,
            0,
            46,
            0
        ]
    },
    "302140": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302144,
        "skin_id": 302140,
        "english_name": "IJN Naka",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "302140",
        "painting": "nake",
        "jp_name": "那珂",
        "en_name": "Naka",
        "cn_name": "那珂",
        "tw_name": "那珂",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.65,
            1.15
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "302139": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302134,
        "skin_id": 302139,
        "english_name": "IJN Jintsu",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "302139",
        "painting": "shentong_g",
        "jp_name": "神通改",
        "en_name": "Jintsuu (Retrofit)",
        "cn_name": "神通改",
        "tw_name": "神通改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.8,
            1.15
        ],
        "reload": [
            70,
            490,
            0,
            53,
            5
        ]
    },
    "302130": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302134,
        "skin_id": 302130,
        "english_name": "IJN Jintsu",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "302130",
        "painting": "shentong",
        "jp_name": "神通",
        "en_name": "Jintsuu",
        "cn_name": "神通",
        "tw_name": "神通",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.65,
            1.15
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "302129": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302124,
        "skin_id": 302129,
        "english_name": "IJN Sendai",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "302129",
        "painting": "chuannei_g",
        "jp_name": "川内改",
        "en_name": "Sendai (Retrofit)",
        "cn_name": "川内改",
        "tw_name": "川內改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.8,
            1.15
        ],
        "reload": [
            68,
            475,
            0,
            51,
            5
        ]
    },
    "302120": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302124,
        "skin_id": 302120,
        "english_name": "IJN Sendai",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "302120",
        "painting": "chuannei",
        "jp_name": "川内",
        "en_name": "Sendai",
        "cn_name": "川内",
        "tw_name": "川內",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.65,
            1.15
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "302110": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302114,
        "skin_id": 302110,
        "english_name": "IJN Mikuma",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "302110",
        "painting": "sanwei",
        "jp_name": "三隈",
        "en_name": "Mikuma",
        "cn_name": "三隈",
        "tw_name": "三隈",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.6,
            1
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    },
    "302109": {
        "nationality": 3,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 303154,
        "skin_id": 302109,
        "english_name": "IJN Mogami",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "302109",
        "painting": "zuishang_g",
        "jp_name": "最上改",
        "en_name": "Mogami (Retrofit)",
        "cn_name": "最上改",
        "tw_name": "最上改",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.6,
            1.05
        ],
        "reload": [
            66,
            462,
            0,
            52,
            5
        ]
    },
    "302100": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302104,
        "skin_id": 302100,
        "english_name": "IJN Mogami",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "302100",
        "painting": "zuishang",
        "jp_name": "最上",
        "en_name": "Mogami",
        "cn_name": "最上",
        "tw_name": "最上",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.6,
            1
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    },
    "302099": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302094,
        "skin_id": 302099,
        "english_name": "IJN Abukuma",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "302099",
        "painting": "awuwei_g",
        "jp_name": "阿武隈改",
        "en_name": "Abukuma (Retrofit)",
        "cn_name": "阿武隈改",
        "tw_name": "阿武隈改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.75,
            1.25
        ],
        "reload": [
            64,
            442,
            0,
            47,
            5
        ]
    },
    "302090": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302094,
        "skin_id": 302090,
        "english_name": "IJN Abukuma",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "302090",
        "painting": "awuwei",
        "jp_name": "阿武隈",
        "en_name": "Abukuma",
        "cn_name": "阿武隈",
        "tw_name": "阿武隈",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.6,
            1.25
        ],
        "reload": [
            64,
            442,
            0,
            47,
            0
        ]
    },
    "302089": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302084,
        "skin_id": 302089,
        "english_name": "IJN Kinu",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "302089",
        "painting": "guinu_g",
        "jp_name": "鬼怒改",
        "en_name": "Kinu (Retrofit)",
        "cn_name": "鬼怒改",
        "tw_name": "鬼怒改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.8,
            1.3
        ],
        "reload": [
            66,
            462,
            0,
            50,
            5
        ]
    },
    "302080": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302084,
        "skin_id": 302080,
        "english_name": "IJN Kinu",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "302080",
        "painting": "guinu",
        "jp_name": "鬼怒",
        "en_name": "Kinu",
        "cn_name": "鬼怒",
        "tw_name": "鬼怒",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.65,
            1.25
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "302070": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302074,
        "skin_id": 302070,
        "english_name": "IJN Yura !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "302070",
        "painting": "youliang",
        "jp_name": "由良",
        "en_name": "Yura",
        "cn_name": "由良",
        "tw_name": "由良*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.65,
            1.25
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "302059": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            1,
            2
        ],
        "id": 302054,
        "skin_id": 302059,
        "english_name": "IJN Isuzu",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "302059",
        "painting": "wushiling_g",
        "jp_name": "五十鈴改",
        "en_name": "Isuzu (Retrofit)",
        "cn_name": "五十铃改",
        "tw_name": "五十鈴改",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.45,
            1.75
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "302050": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            1,
            2
        ],
        "id": 302054,
        "skin_id": 302050,
        "english_name": "IJN Isuzu",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "302050",
        "painting": "wushiling",
        "jp_name": "五十鈴",
        "en_name": "Isuzu",
        "cn_name": "五十铃",
        "tw_name": "五十鈴",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.4,
            1.6
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "302040": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302044,
        "skin_id": 302040,
        "english_name": "IJN Nagara",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "302040",
        "painting": "changliang",
        "jp_name": "長良",
        "en_name": "Nagara",
        "cn_name": "长良",
        "tw_name": "長良",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.6,
            1.25
        ],
        "reload": [
            64,
            442,
            0,
            47,
            0
        ]
    },
    "302019": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302014,
        "skin_id": 302019,
        "english_name": "IJN Yubari",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "302019",
        "painting": "xizhang_g",
        "jp_name": "夕張改",
        "en_name": "Yuubari (Retrofit)",
        "cn_name": "夕张改",
        "tw_name": "夕張改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.65,
            1.25
        ],
        "reload": [
            67,
            467,
            0,
            50,
            20
        ]
    },
    "302010": {
        "nationality": 3,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 302014,
        "skin_id": 302010,
        "english_name": "IJN Yubari",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "302010",
        "painting": "xizhang",
        "jp_name": "夕張",
        "en_name": "Yuubari",
        "cn_name": "夕张",
        "tw_name": "夕張",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.6,
            1.25
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "399030": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 399034,
        "skin_id": 399030,
        "english_name": "IJN Kitakaze",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "399030",
        "painting": "beifeng",
        "jp_name": "北風",
        "en_name": "Kitakaze",
        "cn_name": "北风",
        "tw_name": "北風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.35,
            1.35
        ],
        "reload": [
            82,
            570,
            0,
            61,
            0
        ]
    },
    "301860": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301864,
        "skin_id": 301860,
        "english_name": "IJN Kazagumo !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301860",
        "painting": "fengyun",
        "jp_name": "風雲",
        "en_name": "Kazagumo",
        "cn_name": "风云",
        "tw_name": "風雲*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.6,
            0.8
        ],
        "reload": [
            82,
            571,
            0,
            61,
            0
        ]
    },
    "301850": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301854,
        "skin_id": 301850,
        "english_name": "IJN Oite !TWnoData",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301850",
        "painting": "zhuifeng",
        "jp_name": "追風",
        "en_name": "Oite",
        "cn_name": "追风",
        "tw_name": "追風*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.4,
            0.75
        ],
        "reload": [
            74,
            518,
            0,
            56,
            0
        ]
    },
    "301840": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 301844,
        "skin_id": 301840,
        "english_name": "IJN Suzutsuki",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301840",
        "painting": "liangyue",
        "jp_name": "涼月",
        "en_name": "Suzutsuki",
        "cn_name": "凉月",
        "tw_name": "涼月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            1.35,
            1.45
        ],
        "reload": [
            80,
            557,
            0,
            60,
            0
        ]
    },
    "301830": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301834,
        "skin_id": 301830,
        "english_name": "IJN Naganami !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301830",
        "painting": "changbo",
        "jp_name": "長波",
        "en_name": "Naganami",
        "cn_name": "长波",
        "tw_name": "長波*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.55,
            0.75
        ],
        "reload": [
            79,
            548,
            0,
            59,
            0
        ]
    },
    "301820": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 301824,
        "skin_id": 301820,
        "english_name": "IJN Hanazuki !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301820",
        "painting": "huayue",
        "jp_name": "花月",
        "en_name": "Hanazuki",
        "cn_name": "花月",
        "tw_name": "花月*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.35,
            1.35
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301819": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301534,
        "skin_id": 301819,
        "english_name": "IJN Kasumi",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301819",
        "painting": "xia_g",
        "jp_name": "霞改",
        "en_name": "Kasumi (Retrofit)",
        "cn_name": "霞改",
        "tw_name": "霞改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.55,
            0.75
        ],
        "reload": [
            74,
            515,
            0,
            55,
            15
        ]
    },
    "301810": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301814,
        "skin_id": 301810,
        "english_name": "IJN Kasumi",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "301810",
        "painting": "xia",
        "jp_name": "霞",
        "en_name": "Kasumi",
        "cn_name": "霞",
        "tw_name": "霞",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.5,
            0.75
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "301800": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301804,
        "skin_id": 301800,
        "english_name": "IJN Makinami",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301800",
        "painting": "juanbo",
        "jp_name": "巻波",
        "en_name": "Makinami",
        "cn_name": "卷波",
        "tw_name": "卷波",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.55,
            0.75
        ],
        "reload": [
            79,
            548,
            0,
            59,
            0
        ]
    },
    "301790": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301794,
        "skin_id": 301790,
        "english_name": "IJN Hatakaze",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301790",
        "painting": "qifeng",
        "jp_name": "旗風",
        "en_name": "Hatakaze",
        "cn_name": "旗风",
        "tw_name": "旗風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.4,
            0.75
        ],
        "reload": [
            74,
            518,
            0,
            56,
            0
        ]
    },
    "301720": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301724,
        "skin_id": 301720,
        "english_name": "IJN Uranami",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301720",
        "painting": "pubo",
        "jp_name": "浦波",
        "en_name": "Uranami",
        "cn_name": "浦波",
        "tw_name": "浦波",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.6,
            0.75
        ],
        "reload": [
            76,
            531,
            0,
            57,
            0
        ]
    },
    "301660": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301664,
        "skin_id": 301660,
        "english_name": "IJN Arashio",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301660",
        "painting": "huangchao",
        "jp_name": "荒潮",
        "en_name": "Arashio",
        "cn_name": "荒潮",
        "tw_name": "荒潮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301650": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301654,
        "skin_id": 301650,
        "english_name": "IJN Michishio",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301650",
        "painting": "manchao",
        "jp_name": "満潮",
        "en_name": "Michishio",
        "cn_name": "满潮",
        "tw_name": "滿潮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301640": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301644,
        "skin_id": 301640,
        "english_name": "IJN Oshio",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301640",
        "painting": "dachao",
        "jp_name": "大潮",
        "en_name": "Ooshio",
        "cn_name": "大潮",
        "tw_name": "大潮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301630": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301634,
        "skin_id": 301630,
        "english_name": "IJN Asashio",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301630",
        "painting": "zhaochao",
        "jp_name": "朝潮",
        "en_name": "Asashio",
        "cn_name": "朝潮",
        "tw_name": "朝潮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301629": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301624,
        "skin_id": 301629,
        "english_name": "IJN Tanikaze",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301629",
        "painting": "gufeng_g",
        "jp_name": "谷風改",
        "en_name": "Tanikaze (Retrofit)",
        "cn_name": "谷风改",
        "tw_name": "谷風改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.65,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301620": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301624,
        "skin_id": 301620,
        "english_name": "IJN Tanikaze",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301620",
        "painting": "gufeng",
        "jp_name": "谷風",
        "en_name": "Tanikaze",
        "cn_name": "谷风",
        "tw_name": "谷風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301619": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301614,
        "skin_id": 301619,
        "english_name": "IJN Hamakaze",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301619",
        "painting": "bangfeng_g",
        "jp_name": "浜風改",
        "en_name": "Hamakaze (Retrofit)",
        "cn_name": "滨风改",
        "tw_name": "濱風改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.65,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301610": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301614,
        "skin_id": 301610,
        "english_name": "IJN Hamakaze",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301610",
        "painting": "bangfeng",
        "jp_name": "浜風",
        "en_name": "Hamakaze",
        "cn_name": "滨风",
        "tw_name": "濱風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301600": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301604,
        "skin_id": 301600,
        "english_name": "IJN Isokaze",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301600",
        "painting": "jifeng",
        "jp_name": "磯風",
        "en_name": "Isokaze",
        "cn_name": "矶风",
        "tw_name": "磯風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301590": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301594,
        "skin_id": 301590,
        "english_name": "IJN Urakaze",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301590",
        "painting": "pufeng",
        "jp_name": "浦風",
        "en_name": "Urakaze",
        "cn_name": "浦风",
        "tw_name": "浦風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301580": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 301584,
        "skin_id": 301580,
        "english_name": "IJN Yoizuki",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301580",
        "painting": "xiaoyue",
        "jp_name": "宵月",
        "en_name": "Yoizuki",
        "cn_name": "宵月",
        "tw_name": "宵月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1.35,
            1.35
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301570": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 301574,
        "skin_id": 301570,
        "english_name": "IJN Harutsuki",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301570",
        "painting": "chunyue",
        "jp_name": "春月",
        "en_name": "Harutsuki",
        "cn_name": "春月",
        "tw_name": "春月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1.35,
            1.35
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301560": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 301564,
        "skin_id": 301560,
        "english_name": "IJN Niizuki",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301560",
        "painting": "xinyue_jp",
        "jp_name": "新月",
        "en_name": "Niizuki",
        "cn_name": "新月",
        "tw_name": "新月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1.35,
            1.35
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301540": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301544,
        "skin_id": 301540,
        "english_name": "IJN Kiyonami",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301540",
        "painting": "qingbo",
        "jp_name": "清波",
        "en_name": "Kiyonami",
        "cn_name": "清波",
        "tw_name": "清波",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301490": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301494,
        "skin_id": 301490,
        "english_name": "IJN Kawakaze",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301490",
        "painting": "jiangfeng",
        "jp_name": "江風",
        "en_name": "Kawakaze",
        "cn_name": "江风",
        "tw_name": "江風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.5,
            0.85
        ],
        "reload": [
            80,
            554,
            0,
            59,
            0
        ]
    },
    "301480": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301484,
        "skin_id": 301480,
        "english_name": "IJN Yamakaze !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301480",
        "painting": "shanfeng",
        "jp_name": "山風",
        "en_name": "Yamakaze",
        "cn_name": "山风",
        "tw_name": "山風*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "301470": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301474,
        "skin_id": 301470,
        "english_name": "IJN Umikaze !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301470",
        "painting": "haifeng",
        "jp_name": "海風",
        "en_name": "Umikaze",
        "cn_name": "海风",
        "tw_name": "海風*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "301410": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301414,
        "skin_id": 301410,
        "english_name": "IJN Mikazuki",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "301410",
        "painting": "sanriyue",
        "jp_name": "三日月",
        "en_name": "Mikazuki",
        "cn_name": "三日月",
        "tw_name": "三日月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301390": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301394,
        "skin_id": 301390,
        "english_name": "IJN Nagatsuki",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301390",
        "painting": "changyue",
        "jp_name": "長月",
        "en_name": "Nagatsuki",
        "cn_name": "长月",
        "tw_name": "長月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301380": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301384,
        "skin_id": 301380,
        "english_name": "IJN Fumizuki",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301380",
        "painting": "wenyue",
        "jp_name": "文月",
        "en_name": "Fumizuki",
        "cn_name": "文月",
        "tw_name": "文月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301370": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301374,
        "skin_id": 301370,
        "english_name": "IJN Minazuki",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "301370",
        "painting": "shuiwuyue",
        "jp_name": "水無月",
        "en_name": "Minazuki",
        "cn_name": "水无月",
        "tw_name": "水無月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301350": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301354,
        "skin_id": 301350,
        "english_name": "IJN Uzuki",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "301350",
        "painting": "maoyue",
        "jp_name": "卯月",
        "en_name": "Uzuki",
        "cn_name": "卯月",
        "tw_name": "卯月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301339": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301334,
        "skin_id": 301339,
        "english_name": "IJN Kisaragi",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301339",
        "painting": "ruyue_g",
        "jp_name": "如月改",
        "en_name": "Kisaragi (Retrofit)",
        "cn_name": "如月改",
        "tw_name": "如月改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.8
        ],
        "reload": [
            72,
            503,
            0,
            54,
            20
        ]
    },
    "301330": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301334,
        "skin_id": 301330,
        "english_name": "IJN Kisaragi",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "301330",
        "painting": "ruyue",
        "jp_name": "如月",
        "en_name": "Kisaragi",
        "cn_name": "如月",
        "tw_name": "如月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301329": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301324,
        "skin_id": 301329,
        "english_name": "IJN Mutsuki",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301329",
        "painting": "muyue_g",
        "jp_name": "睦月改",
        "en_name": "Mutsuki (Retrofit)",
        "cn_name": "睦月改",
        "tw_name": "睦月改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.8
        ],
        "reload": [
            72,
            503,
            0,
            54,
            20
        ]
    },
    "301320": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301324,
        "skin_id": 301320,
        "english_name": "IJN Mutsuki",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "301320",
        "painting": "muyue",
        "jp_name": "睦月",
        "en_name": "Mutsuki",
        "cn_name": "睦月",
        "tw_name": "睦月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301319": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301314,
        "skin_id": 301319,
        "english_name": "IJN Matsukaze",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301319",
        "painting": "songfeng_g",
        "jp_name": "松風改",
        "en_name": "Matsukaze (Retrofit)",
        "cn_name": "松风改",
        "tw_name": "松風改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.8
        ],
        "reload": [
            74,
            518,
            0,
            56,
            20
        ]
    },
    "301310": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301314,
        "skin_id": 301310,
        "english_name": "IJN Matsukaze",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301310",
        "painting": "songfeng",
        "jp_name": "松風",
        "en_name": "Matsukaze",
        "cn_name": "松风",
        "tw_name": "松風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.4,
            0.75
        ],
        "reload": [
            74,
            518,
            0,
            56,
            0
        ]
    },
    "301309": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301304,
        "skin_id": 301309,
        "english_name": "IJN Kamikaze",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301309",
        "painting": "shenfeng_g",
        "jp_name": "神風改",
        "en_name": "Kamikaze (Retrofit)",
        "cn_name": "神风改",
        "tw_name": "神風改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.45,
            0.8
        ],
        "reload": [
            77,
            534,
            0,
            57,
            20
        ]
    },
    "301300": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301304,
        "skin_id": 301300,
        "english_name": "IJN Kamikaze",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301300",
        "painting": "shenfeng",
        "jp_name": "神風",
        "en_name": "Kamikaze",
        "cn_name": "神风",
        "tw_name": "神風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.4,
            0.75
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "301290": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301294,
        "skin_id": 301290,
        "english_name": "IJN Shimakaze !TWnoData",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "301290",
        "painting": "daofeng",
        "jp_name": "島風",
        "en_name": "Shimakaze",
        "cn_name": "岛风",
        "tw_name": "島風*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.7,
            0.9
        ],
        "reload": [
            82,
            574,
            0,
            62,
            0
        ]
    },
    "301280": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301284,
        "skin_id": 301280,
        "english_name": "IJN Oyashio",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301280",
        "painting": "qinchao",
        "jp_name": "親潮",
        "en_name": "Oyashio",
        "cn_name": "亲潮",
        "tw_name": "親潮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301270": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301274,
        "skin_id": 301270,
        "english_name": "IJN Kuroshio",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301270",
        "painting": "heichao",
        "jp_name": "黒潮",
        "en_name": "Kuroshio",
        "cn_name": "黑潮",
        "tw_name": "黑潮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301269": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301264,
        "skin_id": 301269,
        "english_name": "IJN Yugure",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301269",
        "painting": "ximu_g",
        "jp_name": "夕暮改",
        "en_name": "Yuugure (Retrofit)",
        "cn_name": "夕暮改",
        "tw_name": "夕暮改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.55,
            0.8
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301260": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301264,
        "skin_id": 301260,
        "english_name": "IJN Yugure",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301260",
        "painting": "ximu",
        "jp_name": "夕暮",
        "en_name": "Yuugure",
        "cn_name": "夕暮",
        "tw_name": "夕暮",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301259": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301254,
        "skin_id": 301259,
        "english_name": "IJN Ariake",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301259",
        "painting": "youming_g",
        "jp_name": "有明改",
        "en_name": "Ariake (Retrofit)",
        "cn_name": "有明改",
        "tw_name": "有明改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.55,
            0.8
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301250": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301254,
        "skin_id": 301250,
        "english_name": "IJN Ariake",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301250",
        "painting": "youming",
        "jp_name": "有明",
        "en_name": "Ariake",
        "cn_name": "有明",
        "tw_name": "有明",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301249": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301244,
        "skin_id": 301249,
        "english_name": "IJN Hatsushimo",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301249",
        "painting": "chushuang_g",
        "jp_name": "初霜改",
        "en_name": "Hatsushimo (Retrofit)",
        "cn_name": "初霜改",
        "tw_name": "初霜改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.55,
            0.8
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301240": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301244,
        "skin_id": 301240,
        "english_name": "IJN Hatsushimo",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301240",
        "painting": "chushuang",
        "jp_name": "初霜",
        "en_name": "Hatsushimo",
        "cn_name": "初霜",
        "tw_name": "初霜",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301230": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301234,
        "skin_id": 301230,
        "english_name": "IJN Wakaba",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301230",
        "painting": "ruoye",
        "jp_name": "若葉",
        "en_name": "Wakaba",
        "cn_name": "若叶",
        "tw_name": "若葉",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301219": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301214,
        "skin_id": 301219,
        "english_name": "IJN Hatsuharu",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301219",
        "painting": "chuchun_g",
        "jp_name": "初春改",
        "en_name": "Hatsuharu (Retrofit)",
        "cn_name": "初春改",
        "tw_name": "初春改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.55,
            0.8
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301210": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301214,
        "skin_id": 301210,
        "english_name": "IJN Hatsuharu",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301210",
        "painting": "chuchun",
        "jp_name": "初春",
        "en_name": "Hatsuharu",
        "cn_name": "初春",
        "tw_name": "初春",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            501,
            0,
            54,
            0
        ]
    },
    "301200": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301204,
        "skin_id": 301200,
        "english_name": "IJN Nowaki",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301200",
        "painting": "yefen",
        "jp_name": "野分",
        "en_name": "Nowaki",
        "cn_name": "野分",
        "tw_name": "野分",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.55,
            0.75
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301189": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301184,
        "skin_id": 301189,
        "english_name": "IJN Shiranui",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301189",
        "painting": "buzhihuo_g",
        "jp_name": "不知火改",
        "en_name": "Shiranui (Retrofit)",
        "cn_name": "不知火改",
        "tw_name": "不知火改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.65,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301180": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301184,
        "skin_id": 301180,
        "english_name": "IJN Shiranui",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "301180",
        "painting": "buzhihuo",
        "jp_name": "不知火",
        "en_name": "Shiranui",
        "cn_name": "不知火",
        "tw_name": "不知火",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301179": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301174,
        "skin_id": 301179,
        "english_name": "IJN Kagero",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301179",
        "painting": "yangyan_g",
        "jp_name": "陽炎改",
        "en_name": "Kagerou (Retrofit)",
        "cn_name": "阳炎改",
        "tw_name": "陽炎改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.55,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            20
        ]
    },
    "301170": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301174,
        "skin_id": 301170,
        "english_name": "IJN Kagero",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "301170",
        "painting": "yangyan",
        "jp_name": "陽炎",
        "en_name": "Kagerou",
        "cn_name": "阳炎",
        "tw_name": "陽炎",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "301160": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301164,
        "skin_id": 301160,
        "english_name": "IJN Yukikaze",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301160",
        "painting": "xuefeng",
        "jp_name": "雪風",
        "en_name": "Yukikaze",
        "cn_name": "雪风",
        "tw_name": "雪風",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            82,
            571,
            0,
            61,
            0
        ]
    },
    "301159": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301154,
        "skin_id": 301159,
        "english_name": "IJN Shigure",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301159",
        "painting": "shiyu_g",
        "jp_name": "時雨改",
        "en_name": "Shigure (Retrofit)",
        "cn_name": "时雨改",
        "tw_name": "時雨改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.65,
            0.75
        ],
        "reload": [
            78,
            543,
            0,
            58,
            0
        ]
    },
    "301150": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301154,
        "skin_id": 301150,
        "english_name": "IJN Shigure",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "301150",
        "painting": "shiyu",
        "jp_name": "時雨",
        "en_name": "Shigure",
        "cn_name": "时雨",
        "tw_name": "時雨",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            78,
            543,
            0,
            58,
            0
        ]
    },
    "301149": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 301874,
        "skin_id": 301149,
        "english_name": "IJN Yūdachi",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "301149",
        "painting": "xili_g",
        "jp_name": "夕立改",
        "en_name": "Yuudachi (Retrofit)",
        "cn_name": "夕立改",
        "tw_name": "夕立改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.0,
            1.6,
            0.85
        ],
        "reload": [
            83,
            578,
            0,
            62,
            0
        ]
    },
    "301140": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301144,
        "skin_id": 301140,
        "english_name": "IJN Yudachi",
        "star": 6,
        "rarity": 5,
        "retro": 1,
        "uni_id": "301140",
        "painting": "xili",
        "jp_name": "夕立",
        "en_name": "Yuudachi",
        "cn_name": "夕立",
        "tw_name": "夕立",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.5,
            0.85
        ],
        "reload": [
            83,
            578,
            0,
            62,
            0
        ]
    },
    "301130": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301134,
        "skin_id": 301130,
        "english_name": "IJN Shiratsuyu",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301130",
        "painting": "bailu",
        "jp_name": "白露",
        "en_name": "Shiratsuyu",
        "cn_name": "白露",
        "tw_name": "白露",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "301120": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301124,
        "skin_id": 301120,
        "english_name": "IJN Inazuma",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301120",
        "painting": "dian",
        "jp_name": "電",
        "en_name": "Inazuma",
        "cn_name": "电",
        "tw_name": "電",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301110": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301114,
        "skin_id": 301110,
        "english_name": "IJN Ikazuchi",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301110",
        "painting": "lei",
        "jp_name": "雷",
        "en_name": "Ikazuchi",
        "cn_name": "雷",
        "tw_name": "雷",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301100": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301104,
        "skin_id": 301100,
        "english_name": "IJN Hibiki",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301100",
        "painting": "xiang",
        "jp_name": "響",
        "en_name": "Hibiki",
        "cn_name": "响",
        "tw_name": "響",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.55,
            0.75
        ],
        "reload": [
            79,
            551,
            0,
            59,
            0
        ]
    },
    "301090": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301094,
        "skin_id": 301090,
        "english_name": "IJN Akatsuki",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "301090",
        "painting": "xiao",
        "jp_name": "暁",
        "en_name": "Akatsuki",
        "cn_name": "晓",
        "tw_name": "曉",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.5,
            0.75
        ],
        "reload": [
            77,
            538,
            0,
            58,
            0
        ]
    },
    "301059": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301054,
        "skin_id": 301059,
        "english_name": "IJN Ayanami",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "301059",
        "painting": "lingbo_g",
        "jp_name": "綾波改",
        "en_name": "Ayanami (Retrofit)",
        "cn_name": "绫波改",
        "tw_name": "綾波改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.85,
            1.65,
            0.75
        ],
        "reload": [
            78,
            546,
            0,
            59,
            15
        ]
    },
    "301050": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301054,
        "skin_id": 301050,
        "english_name": "IJN Ayanami",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "301050",
        "painting": "lingbo",
        "jp_name": "綾波",
        "en_name": "Ayanami",
        "cn_name": "绫波",
        "tw_name": "綾波",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.8,
            1.6,
            0.75
        ],
        "reload": [
            78,
            546,
            0,
            59,
            0
        ]
    },
    "301020": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301024,
        "skin_id": 301020,
        "english_name": "IJN Shirayuki !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301020",
        "painting": "baixue",
        "jp_name": "白雪",
        "en_name": "Shirayuki",
        "cn_name": "白雪",
        "tw_name": "白雪*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.6,
            0.75
        ],
        "reload": [
            78,
            546,
            0,
            59,
            0
        ]
    },
    "301010": {
        "nationality": 3,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 301014,
        "skin_id": 301010,
        "english_name": "IJN Fubuki",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "301010",
        "painting": "chuixue",
        "jp_name": "吹雪",
        "en_name": "Fubuki",
        "cn_name": "吹雪",
        "tw_name": "吹雪",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            0.75,
            1.6,
            0.75
        ],
        "reload": [
            78,
            546,
            0,
            59,
            0
        ]
    },
    "213040": {
        "nationality": 2,
        "type": 13,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 213044,
        "skin_id": 213040,
        "english_name": "HMS Abercrombie",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "213040",
        "painting": "abeikelongbi",
        "jp_name": "アバークロンビー",
        "en_name": "Abercrombie",
        "cn_name": "阿贝克隆比",
        "tw_name": "阿貝克隆比",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            2.05,
            1
        ],
        "reload": [
            54,
            378,
            0,
            41,
            0
        ]
    },
    "213020": {
        "nationality": 2,
        "type": 13,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 213024,
        "skin_id": 213020,
        "english_name": "HMS Terror",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "213020",
        "painting": "kongbu",
        "jp_name": "テラー",
        "en_name": "Terror",
        "cn_name": "恐怖",
        "tw_name": "恐怖",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            2,
            1
        ],
        "reload": [
            53,
            372,
            0,
            40,
            0
        ]
    },
    "213010": {
        "nationality": 2,
        "type": 13,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 213014,
        "skin_id": 213010,
        "english_name": "HMS Erebus",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "213010",
        "painting": "heianjie",
        "jp_name": "エレバス",
        "en_name": "Erebus",
        "cn_name": "黑暗界",
        "tw_name": "黑暗界",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            2,
            1
        ],
        "reload": [
            53,
            372,
            0,
            40,
            0
        ]
    },
    "207110": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 207114,
        "skin_id": 207110,
        "english_name": "HMS Illustrious !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "207110",
        "painting": "guanghui_idol",
        "jp_name": "イラストリアス(μ兵装)",
        "en_name": "Illustrious μ",
        "cn_name": "光辉(μ兵装)",
        "tw_name": "光輝(μ兵裝)*",
        "equip_1": [
            7
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.35
        ],
        "reload": [
            43,
            301,
            0,
            32,
            0
        ]
    },
    "207090": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 207094,
        "skin_id": 207090,
        "english_name": "HMS Illustrious",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "207090",
        "painting": "guanghui_younv",
        "jp_name": "リトル・イラストリアス",
        "en_name": "Little Illustrious",
        "cn_name": "小光辉",
        "tw_name": "小光輝",
        "equip_1": [
            7
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.2
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "207060": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            2,
            2
        ],
        "id": 207064,
        "skin_id": 207060,
        "english_name": "HMS Glorious",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "207060",
        "painting": "guangrong",
        "jp_name": "グロリアス",
        "en_name": "Glorious",
        "cn_name": "光荣",
        "tw_name": "光榮",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.15,
            1.15
        ],
        "reload": [
            40,
            279,
            0,
            30,
            0
        ]
    },
    "207050": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 207054,
        "skin_id": 207050,
        "english_name": "HMS Formidable",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "207050",
        "painting": "kewei",
        "jp_name": "フォーミダブル",
        "en_name": "Formidable",
        "cn_name": "可畏",
        "tw_name": "可畏",
        "equip_1": [
            7,
            9
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.35,
            1.25
        ],
        "reload": [
            43,
            301,
            0,
            32,
            0
        ]
    },
    "207040": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 207044,
        "skin_id": 207040,
        "english_name": "HMS Victorious",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "207040",
        "painting": "shengli",
        "jp_name": "ヴィクトリアス",
        "en_name": "Victorious",
        "cn_name": "胜利",
        "tw_name": "勝利",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            38,
            266,
            0,
            29,
            0
        ]
    },
    "207030": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 207034,
        "skin_id": 207030,
        "english_name": "HMS Illustrious",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "207030",
        "painting": "guanghui",
        "jp_name": "イラストリアス",
        "en_name": "Illustrious",
        "cn_name": "光辉",
        "tw_name": "光輝",
        "equip_1": [
            7
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.35,
            1.1
        ],
        "reload": [
            43,
            301,
            0,
            32,
            0
        ]
    },
    "207029": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 207024,
        "skin_id": 207029,
        "english_name": "HMS Ark Royal",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "207029",
        "painting": "huangjiafangzhou_g",
        "jp_name": "アーク・ロイヤル改",
        "en_name": "Ark Royal (Retrofit)",
        "cn_name": "皇家方舟改",
        "tw_name": "皇家方舟改",
        "equip_1": [
            8
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.43,
            1.43,
            0.95
        ],
        "reload": [
            43,
            301,
            0,
            32,
            15
        ]
    },
    "207020": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 207024,
        "skin_id": 207020,
        "english_name": "HMS Ark Royal",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "207020",
        "painting": "huangjiafangzhou",
        "jp_name": "アーク・ロイヤル",
        "en_name": "Ark Royal",
        "cn_name": "皇家方舟",
        "tw_name": "皇家方舟",
        "equip_1": [
            8
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.4,
            0.8
        ],
        "reload": [
            43,
            301,
            0,
            32,
            0
        ]
    },
    "207010": {
        "nationality": 2,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 207014,
        "skin_id": 207010,
        "english_name": "HMS Eagle",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "207010",
        "painting": "ying",
        "jp_name": "イーグル",
        "en_name": "Eagle",
        "cn_name": "鹰",
        "tw_name": "鷹",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            2,
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.4,
            0.55
        ],
        "reload": [
            41,
            288,
            0,
            31,
            0
        ]
    },
    "206060": {
        "nationality": 2,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 206064,
        "skin_id": 206060,
        "english_name": "HMS Perseus",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "206060",
        "painting": "yingxianzuo",
        "jp_name": "パーシュース",
        "en_name": "Perseus",
        "cn_name": "英仙座",
        "tw_name": "英仙座",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1,
            1.1
        ],
        "reload": [
            62,
            431,
            0,
            46,
            0
        ]
    },
    "206050": {
        "nationality": 2,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 206054,
        "skin_id": 206050,
        "english_name": "HMS Chaser",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "206050",
        "painting": "zhuiganzhe",
        "jp_name": "チェイサー",
        "en_name": "Chaser",
        "cn_name": "追赶者",
        "tw_name": "追趕者",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "206040": {
        "nationality": 2,
        "type": 6,
        "base_list": [
            2,
            2,
            4
        ],
        "id": 206044,
        "skin_id": 206040,
        "english_name": "HMS Centaur",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "206040",
        "painting": "banrenma",
        "jp_name": "セントー",
        "en_name": "Centaur",
        "cn_name": "半人马",
        "tw_name": "半人馬",
        "equip_1": [
            7
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.25,
            1.2,
            1.4
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "206030": {
        "nationality": 2,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 206034,
        "skin_id": 206030,
        "english_name": "HMS Unicorn",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "206030",
        "painting": "dujiaoshou",
        "jp_name": "ユニコーン",
        "en_name": "Unicorn",
        "cn_name": "独角兽",
        "tw_name": "獨角獸",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.3,
            0.8
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "206019": {
        "nationality": 2,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 206014,
        "skin_id": 206019,
        "english_name": "HMS Hermes",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "206019",
        "painting": "jingjishen_g",
        "jp_name": "ハーミーズ改",
        "en_name": "Hermes (Retrofit)",
        "cn_name": "竞技神改",
        "tw_name": "競技神改",
        "equip_1": [
            8
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.4,
            1.4,
            0.85
        ],
        "reload": [
            64,
            442,
            0,
            47,
            20
        ]
    },
    "206010": {
        "nationality": 2,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 206014,
        "skin_id": 206010,
        "english_name": "HMS Hermes",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "206010",
        "painting": "jingjishen",
        "jp_name": "ハーミーズ",
        "en_name": "Hermes",
        "cn_name": "竞技神",
        "tw_name": "競技神",
        "equip_1": [
            8
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.3,
            0.8
        ],
        "reload": [
            64,
            442,
            0,
            47,
            0
        ]
    },
    "299020": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 299024,
        "skin_id": 299020,
        "english_name": "HMS Monarch",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "299020",
        "painting": "junzhu",
        "jp_name": "モナーク",
        "en_name": "Monarch",
        "cn_name": "君主",
        "tw_name": "君主",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            2.1,
            1.1
        ],
        "reload": [
            62,
            430,
            0,
            46,
            0
        ]
    },
    "205100": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205104,
        "skin_id": 205100,
        "english_name": "HMS Valiant",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "205100",
        "painting": "yingyong",
        "jp_name": "ヴァリアント",
        "en_name": "Valiant",
        "cn_name": "英勇",
        "tw_name": "英勇",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            55,
            385,
            0,
            41,
            0
        ]
    },
    "205090": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205094,
        "skin_id": 205090,
        "english_name": "HMS Howe",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "205090",
        "painting": "hao",
        "jp_name": "ハウ",
        "en_name": "Howe",
        "cn_name": "豪",
        "tw_name": "豪",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            2,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "205070": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205074,
        "skin_id": 205070,
        "english_name": "HMS Duke of York",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "205070",
        "painting": "yuekegongjue",
        "jp_name": "デューク・オブ・ヨーク",
        "en_name": "Duke of York",
        "cn_name": "约克公爵",
        "tw_name": "約克公爵",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            56,
            391,
            0,
            42,
            0
        ]
    },
    "205060": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205064,
        "skin_id": 205060,
        "english_name": "HMS Prince of Wales",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "205060",
        "painting": "weiershiqinwang",
        "jp_name": "プリンス・オブ・ウェールズ",
        "en_name": "Prince of Wales",
        "cn_name": "威尔士亲王",
        "tw_name": "威爾斯親王",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            57,
            400,
            0,
            43,
            0
        ]
    },
    "205050": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205054,
        "skin_id": 205050,
        "english_name": "HMS King George V",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "205050",
        "painting": "qiaozhiwushi",
        "jp_name": "キング・ジョージ5世",
        "en_name": "King George V",
        "cn_name": "英王乔治五世",
        "tw_name": "英王喬治五世",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2,
            1
        ],
        "reload": [
            57,
            400,
            0,
            43,
            0
        ]
    },
    "205040": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205044,
        "skin_id": 205040,
        "english_name": "HMS Rodney",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "205040",
        "painting": "luodeni",
        "jp_name": "ロドニー",
        "en_name": "Rodney",
        "cn_name": "罗德尼",
        "tw_name": "羅德尼",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "205030": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205034,
        "skin_id": 205030,
        "english_name": "HMS Nelson",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "205030",
        "painting": "naerxun",
        "jp_name": "ネルソン",
        "en_name": "Nelson",
        "cn_name": "纳尔逊",
        "tw_name": "納爾遜",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "205029": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205124,
        "skin_id": 205029,
        "english_name": "HMS Warspite",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "205029",
        "painting": "yanzhan_g",
        "jp_name": "ウォースパイト改",
        "en_name": "Warspite (Retrofit)",
        "cn_name": "厌战改",
        "tw_name": "厭戰改",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            2,
            1.15
        ],
        "reload": [
            58,
            406,
            0,
            44,
            20
        ]
    },
    "205020": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205024,
        "skin_id": 205020,
        "english_name": "HMS Warspite",
        "star": 6,
        "rarity": 5,
        "retro": 1,
        "uni_id": "205020",
        "painting": "yanzhan",
        "jp_name": "ウォースパイト",
        "en_name": "Warspite",
        "cn_name": "厌战",
        "tw_name": "厭戰",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "205010": {
        "nationality": 2,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 205014,
        "skin_id": 205010,
        "english_name": "HMS Queen Elizabeth",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "205010",
        "painting": "yilishabai",
        "jp_name": "クイーン・エリザベス",
        "en_name": "Queen Elizabeth",
        "cn_name": "伊丽莎白女王",
        "tw_name": "伊莉莎白女王",
        "equip_1": [
            4
        ],
        "equip_2": [
            1,
            2
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            53,
            372,
            0,
            40,
            0
        ]
    },
    "204040": {
        "nationality": 2,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 204044,
        "skin_id": 204040,
        "english_name": "HMS Renown !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "204040",
        "painting": "shengwang_younv",
        "jp_name": "リトル・レナウン",
        "en_name": "Little Renown",
        "cn_name": "小声望",
        "tw_name": "小聲望*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.7
        ],
        "reload": [
            56,
            391,
            0,
            42,
            0
        ]
    },
    "204030": {
        "nationality": 2,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 204034,
        "skin_id": 204030,
        "english_name": "HMS Hood",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "204030",
        "painting": "hude",
        "jp_name": "フッド",
        "en_name": "Hood",
        "cn_name": "胡德",
        "tw_name": "胡德",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.5,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "204020": {
        "nationality": 2,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 204024,
        "skin_id": 204020,
        "english_name": "HMS Repulse",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "204020",
        "painting": "fanji",
        "jp_name": "レパルス",
        "en_name": "Repulse",
        "cn_name": "反击",
        "tw_name": "反擊",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.7
        ],
        "reload": [
            56,
            389,
            0,
            42,
            0
        ]
    },
    "204010": {
        "nationality": 2,
        "type": 4,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 204014,
        "skin_id": 204010,
        "english_name": "HMS Renown",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "204010",
        "painting": "shengwang",
        "jp_name": "レナウン",
        "en_name": "Renown",
        "cn_name": "声望",
        "tw_name": "聲望",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            1.5,
            0.7
        ],
        "reload": [
            57,
            400,
            0,
            43,
            0
        ]
    },
    "299040": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 299044,
        "skin_id": 299040,
        "english_name": "HMS Drake",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "299040",
        "painting": "deleike",
        "jp_name": "ドレイク",
        "en_name": "Drake",
        "cn_name": "德雷克",
        "tw_name": "德雷克",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.2,
            1.25
        ],
        "reload": [
            51,
            355,
            0,
            38,
            0
        ]
    },
    "299030": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            1,
            2
        ],
        "id": 299034,
        "skin_id": 299030,
        "english_name": "HMS Cheshire",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "299030",
        "painting": "chaijun",
        "jp_name": "チェシャー",
        "en_name": "Cheshire",
        "cn_name": "柴郡",
        "tw_name": "柴郡",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.55,
            1.65
        ],
        "reload": [
            57,
            399,
            0,
            43,
            0
        ]
    },
    "203090": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203094,
        "skin_id": 203090,
        "english_name": "HMS Sussex",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "203090",
        "painting": "susaikesi",
        "jp_name": "サセックス",
        "en_name": "Sussex",
        "cn_name": "苏塞克斯",
        "tw_name": "蘇塞克斯",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.6,
            1
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "203089": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203084,
        "skin_id": 203089,
        "english_name": "HMS Exeter",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "203089",
        "painting": "aikesaite_g",
        "jp_name": "エクセター改",
        "en_name": "Exeter (Retrofit)",
        "cn_name": "埃克塞特改",
        "tw_name": "埃克塞特改",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.5,
            1.7,
            1.15
        ],
        "reload": [
            65,
            450,
            0,
            48,
            15
        ]
    },
    "203080": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203084,
        "skin_id": 203080,
        "english_name": "HMS Exeter",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "203080",
        "painting": "aikesaite",
        "jp_name": "エクセター",
        "en_name": "Exeter",
        "cn_name": "埃克塞特",
        "tw_name": "埃克塞特",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.7,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "203079": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203074,
        "skin_id": 203079,
        "english_name": "HMS York",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "203079",
        "painting": "yueke_g",
        "jp_name": "ヨーク改",
        "en_name": "York (Retrofit)",
        "cn_name": "约克改",
        "tw_name": "約克改",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.55,
            1.65,
            1.05
        ],
        "reload": [
            65,
            450,
            0,
            48,
            15
        ]
    },
    "203070": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203074,
        "skin_id": 203070,
        "english_name": "HMS York",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "203070",
        "painting": "yueke",
        "jp_name": "ヨーク",
        "en_name": "York",
        "cn_name": "约克",
        "tw_name": "約克",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.65,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "203060": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203064,
        "skin_id": 203060,
        "english_name": "HMS Dorsetshire",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "203060",
        "painting": "duosaitejun",
        "jp_name": "ドーセットシャー",
        "en_name": "Dorsetshire",
        "cn_name": "多塞特郡",
        "tw_name": "多塞特郡",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.5,
            1.2
        ],
        "reload": [
            61,
            422,
            0,
            45,
            0
        ]
    },
    "203050": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203054,
        "skin_id": 203050,
        "english_name": "HMS Norfolk",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "203050",
        "painting": "nuofuke",
        "jp_name": "ノーフォーク",
        "en_name": "Norfolk",
        "cn_name": "诺福克",
        "tw_name": "諾福克",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.6,
            1.2
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "203049": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203044,
        "skin_id": 203049,
        "english_name": "HMS Suffolk",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "203049",
        "painting": "safuke_g",
        "jp_name": "サフォーク改",
        "en_name": "Suffolk (Retrofit)",
        "cn_name": "萨福克改",
        "tw_name": "薩福克改",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.6,
            1.65,
            1
        ],
        "reload": [
            59,
            409,
            0,
            44,
            5
        ]
    },
    "203040": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203044,
        "skin_id": 203040,
        "english_name": "HMS Suffolk",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "203040",
        "painting": "safuke",
        "jp_name": "サフォーク",
        "en_name": "Suffolk",
        "cn_name": "萨福克",
        "tw_name": "薩福克",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.6,
            1
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "203030": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203034,
        "skin_id": 203030,
        "english_name": "HMS Kent",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "203030",
        "painting": "kente",
        "jp_name": "ケント",
        "en_name": "Kent",
        "cn_name": "肯特",
        "tw_name": "肯特",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.6,
            1
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "203020": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203024,
        "skin_id": 203020,
        "english_name": "HMS Shropshire",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "203020",
        "painting": "shiluopujun",
        "jp_name": "シュロップシャー",
        "en_name": "Shropshire",
        "cn_name": "什罗普郡",
        "tw_name": "什羅普郡",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.6,
            1
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "203019": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            1,
            1
        ],
        "id": 203114,
        "skin_id": 203019,
        "english_name": "HMS London",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "203019",
        "painting": "lundun_g",
        "jp_name": "ロンドン改",
        "en_name": "London (Retrofit)",
        "cn_name": "伦敦改",
        "tw_name": "倫敦改",
        "equip_1": [
            3
        ],
        "equip_2": [
            1,
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.5,
            1.6,
            1.15
        ],
        "reload": [
            61,
            422,
            0,
            45,
            0
        ]
    },
    "203010": {
        "nationality": 2,
        "type": 3,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 203014,
        "skin_id": 203010,
        "english_name": "HMS London",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "203010",
        "painting": "lundun",
        "jp_name": "ロンドン",
        "en_name": "London",
        "cn_name": "伦敦",
        "tw_name": "倫敦",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.45,
            1.6,
            1
        ],
        "reload": [
            61,
            422,
            0,
            45,
            0
        ]
    },
    "299010": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 299014,
        "skin_id": 299010,
        "english_name": "HMS Neptune",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "299010",
        "painting": "haiwangxing",
        "jp_name": "ネプチューン",
        "en_name": "Neptune",
        "cn_name": "海王星",
        "tw_name": "海王星",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.6,
            1
        ],
        "reload": [
            60,
            418,
            0,
            45,
            0
        ]
    },
    "202300": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202304,
        "skin_id": 202300,
        "english_name": "HMS Charybdis !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202300",
        "painting": "kalvbudisi",
        "jp_name": "カリブディス",
        "en_name": "Charybdis",
        "cn_name": "卡律布狄斯",
        "tw_name": "卡律布狄斯*",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.4
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "202290": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202294,
        "skin_id": 202290,
        "english_name": "HMS Penelope",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202290",
        "painting": "peineiluopo",
        "jp_name": "ペネロピ",
        "en_name": "Penelope",
        "cn_name": "佩内洛珀",
        "tw_name": "佩內洛珀",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.55,
            1.3
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "202280": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202284,
        "skin_id": 202280,
        "english_name": "HMS Dido !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202280",
        "painting": "daiduo_idol",
        "jp_name": "ダイドー(μ兵装)",
        "en_name": "Dido μ",
        "cn_name": "黛朵(μ兵装)",
        "tw_name": "黛朵(μ兵裝)*",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.4
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "202270": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202274,
        "skin_id": 202270,
        "english_name": "HMS Hermione",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202270",
        "painting": "hemin",
        "jp_name": "ハーマイオニー",
        "en_name": "Hermione",
        "cn_name": "赫敏",
        "tw_name": "赫敏",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.3,
            1.3
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "202260": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202264,
        "skin_id": 202260,
        "english_name": "HMS Glasgow !TWnoData",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202260",
        "painting": "gelasige",
        "jp_name": "グラスゴー",
        "en_name": "Glasgow",
        "cn_name": "格拉斯哥",
        "tw_name": "格拉斯哥*",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.35
        ],
        "reload": [
            63,
            440,
            0,
            47,
            0
        ]
    },
    "202250": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202254,
        "skin_id": 202250,
        "english_name": "HMS Sheffield",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202250",
        "painting": "xiefeierde_idol",
        "jp_name": "シェフィールド(μ兵装)",
        "en_name": "Sheffield μ",
        "cn_name": "谢菲尔德(μ兵装)",
        "tw_name": "謝菲爾德(μ兵裝)",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.5,
            1.1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "202240": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202244,
        "skin_id": 202240,
        "english_name": "HMS Black Prince",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202240",
        "painting": "heitaizi",
        "jp_name": "ブラック・プリンス",
        "en_name": "Black Prince",
        "cn_name": "黑太子",
        "tw_name": "黑太子",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.35
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "202230": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202234,
        "skin_id": 202230,
        "english_name": "HMS Swiftsure",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202230",
        "painting": "quejie",
        "jp_name": "スウィフトシュア",
        "en_name": "Swiftsure",
        "cn_name": "确捷",
        "tw_name": "確捷",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1.55,
            1.1
        ],
        "reload": [
            70,
            485,
            0,
            52,
            0
        ]
    },
    "202229": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 202224,
        "skin_id": 202229,
        "english_name": "HMS Curlew",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202229",
        "painting": "biaoyu_g",
        "jp_name": "カーリュー改",
        "en_name": "Curlew (Retrofit)",
        "cn_name": "杓鹬改",
        "tw_name": "杓鷸改",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            0.9,
            0.9
        ],
        "reload": [
            70,
            485,
            0,
            52,
            0
        ]
    },
    "202220": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 202224,
        "skin_id": 202220,
        "english_name": "HMS Curlew",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "202220",
        "painting": "biaoyu",
        "jp_name": "カーリュー",
        "en_name": "Curlew",
        "cn_name": "杓鹬",
        "tw_name": "杓鷸",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.1,
            0.8,
            0.8
        ],
        "reload": [
            70,
            485,
            0,
            52,
            0
        ]
    },
    "202219": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 202214,
        "skin_id": 202219,
        "english_name": "HMS Curacoa",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202219",
        "painting": "kulasuo_g",
        "jp_name": "キュラソー改",
        "en_name": "Curacoa (Retrofit)",
        "cn_name": "库拉索改",
        "tw_name": "庫拉索改",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            0.9,
            0.9
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "202210": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 202214,
        "skin_id": 202210,
        "english_name": "HMS Curacoa",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "202210",
        "painting": "kulasuo",
        "jp_name": "キュラソー",
        "en_name": "Curacoa",
        "cn_name": "库拉索",
        "tw_name": "庫拉索",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            0.8,
            0.8
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "202200": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202204,
        "skin_id": 202200,
        "english_name": "HMS Sirius",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202200",
        "painting": "tianlangxing",
        "jp_name": "シリアス",
        "en_name": "Sirius",
        "cn_name": "天狼星",
        "tw_name": "天狼星",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.3
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "202199": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202194,
        "skin_id": 202199,
        "english_name": "HMS Newcastle",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202199",
        "painting": "niukasier_g",
        "jp_name": "ニューカッスル改",
        "en_name": "Newcastle (Retrofit)",
        "cn_name": "纽卡斯尔改",
        "tw_name": "紐卡斯爾改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.55,
            1.25,
            1.45
        ],
        "reload": [
            66,
            457,
            0,
            49,
            15
        ]
    },
    "202190": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202194,
        "skin_id": 202190,
        "english_name": "HMS Newcastle",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "202190",
        "painting": "niukasier",
        "jp_name": "ニューカッスル",
        "en_name": "Newcastle",
        "cn_name": "纽卡斯尔",
        "tw_name": "紐卡斯爾",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.25,
            1.4
        ],
        "reload": [
            66,
            457,
            0,
            49,
            0
        ]
    },
    "202180": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202184,
        "skin_id": 202180,
        "english_name": "HMS Belfast",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202180",
        "painting": "beierfasite_younv",
        "jp_name": "ベルファスト",
        "en_name": "Little Bel",
        "cn_name": "小贝法",
        "tw_name": "小貝法",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.5,
            1
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "202170": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202174,
        "skin_id": 202170,
        "english_name": "HMS Jamaica",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202170",
        "painting": "yamaijia",
        "jp_name": "ジャマイカ",
        "en_name": "Jamaica",
        "cn_name": "牙买加",
        "tw_name": "牙買加",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.55,
            1.1
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "202160": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202164,
        "skin_id": 202160,
        "english_name": "HMS Fiji",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202160",
        "painting": "feiji",
        "jp_name": "フィジー",
        "en_name": "Fiji",
        "cn_name": "斐济",
        "tw_name": "斐濟",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.55,
            1.1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "202150": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202154,
        "skin_id": 202150,
        "english_name": "HMS Aurora",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202150",
        "painting": "ouruola",
        "jp_name": "オーロラ",
        "en_name": "Aurora",
        "cn_name": "欧若拉",
        "tw_name": "歐若拉",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.55,
            1.3
        ],
        "reload": [
            72,
            498,
            0,
            53,
            0
        ]
    },
    "202140": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202144,
        "skin_id": 202140,
        "english_name": "HMS Galatea",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202140",
        "painting": "jialadiya",
        "jp_name": "ガラティア",
        "en_name": "Galatea",
        "cn_name": "加拉蒂亚",
        "tw_name": "加拉蒂亞",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.55,
            1.3
        ],
        "reload": [
            69,
            478,
            0,
            51,
            0
        ]
    },
    "202130": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202134,
        "skin_id": 202130,
        "english_name": "HMS Arethusa",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202130",
        "painting": "aruituosha",
        "jp_name": "アリシューザ",
        "en_name": "Arethusa",
        "cn_name": "阿瑞托莎",
        "tw_name": "阿瑞托莎",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.55,
            1.3
        ],
        "reload": [
            69,
            478,
            0,
            51,
            0
        ]
    },
    "202120": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202124,
        "skin_id": 202120,
        "english_name": "HMS Belfast",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202120",
        "painting": "beierfasite",
        "jp_name": "ベルファスト",
        "en_name": "Belfast",
        "cn_name": "贝尔法斯特",
        "tw_name": "貝爾法斯特",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.55,
            1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "202110": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202114,
        "skin_id": 202110,
        "english_name": "HMS Edinburgh",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202110",
        "painting": "aidingbao",
        "jp_name": "エディンバラ",
        "en_name": "Edinburgh",
        "cn_name": "爱丁堡",
        "tw_name": "愛丁堡",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.55,
            1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "202100": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202104,
        "skin_id": 202100,
        "english_name": "HMS Gloucester",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202100",
        "painting": "geluosite",
        "jp_name": "グロスター",
        "en_name": "Gloucester",
        "cn_name": "格罗斯特",
        "tw_name": "格洛斯特",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.5,
            1.1
        ],
        "reload": [
            65,
            450,
            0,
            48,
            0
        ]
    },
    "202080": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202084,
        "skin_id": 202080,
        "english_name": "HMS Sheffield",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202080",
        "painting": "xiefeierde",
        "jp_name": "シェフィールド",
        "en_name": "Sheffield",
        "cn_name": "谢菲尔德",
        "tw_name": "謝菲爾德",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.5,
            1.5,
            1.1
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "202070": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202074,
        "skin_id": 202070,
        "english_name": "HMS Southampton",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202070",
        "painting": "nananpudun",
        "jp_name": "サウサンプトン",
        "en_name": "Southampton",
        "cn_name": "南安普顿",
        "tw_name": "南安普敦",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.1
        ],
        "reload": [
            63,
            440,
            0,
            47,
            0
        ]
    },
    "202040": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202044,
        "skin_id": 202040,
        "english_name": "HMS Dido",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "202040",
        "painting": "daiduo",
        "jp_name": "ダイドー",
        "en_name": "Dido",
        "cn_name": "黛朵",
        "tw_name": "黛朵",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.3,
            1.35
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "202039": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202034,
        "skin_id": 202039,
        "english_name": "HMS Ajax",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202039",
        "painting": "ajiakesi_g",
        "jp_name": "エイジャックス改",
        "en_name": "Ajax (Retrofit)",
        "cn_name": "阿贾克斯改",
        "tw_name": "阿賈克斯改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.6,
            1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            5
        ]
    },
    "202030": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202034,
        "skin_id": 202030,
        "english_name": "HMS Ajax",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "202030",
        "painting": "ajiakesi",
        "jp_name": "エイジャックス",
        "en_name": "Ajax",
        "cn_name": "阿贾克斯",
        "tw_name": "阿賈克斯",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.55,
            1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "202029": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202024,
        "skin_id": 202029,
        "english_name": "HMS Achilles",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "202029",
        "painting": "ajilisi_g",
        "jp_name": "アキリーズ改",
        "en_name": "Achilles (Retrofit)",
        "cn_name": "阿基里斯改",
        "tw_name": "阿基里斯改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.6,
            1.6,
            1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            5
        ]
    },
    "202020": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202024,
        "skin_id": 202020,
        "english_name": "HMS Achilles",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "202020",
        "painting": "ajilisi",
        "jp_name": "アキリーズ",
        "en_name": "Achilles",
        "cn_name": "阿基里斯",
        "tw_name": "阿基里斯",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            1.55,
            1
        ],
        "reload": [
            64,
            447,
            0,
            48,
            0
        ]
    },
    "202019": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202014,
        "skin_id": 202019,
        "english_name": "HMS Leander",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "202019",
        "painting": "liande_g",
        "jp_name": "リアンダー改",
        "en_name": "Leander (Retrofit)",
        "cn_name": "利安得改",
        "tw_name": "利安得改",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.65,
            1.3
        ],
        "reload": [
            63,
            440,
            0,
            47,
            5
        ]
    },
    "202010": {
        "nationality": 2,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 202014,
        "skin_id": 202010,
        "english_name": "HMS Leander",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "202010",
        "painting": "liande",
        "jp_name": "リアンダー",
        "en_name": "Leander",
        "cn_name": "利安得",
        "tw_name": "利安得",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.6,
            1.3
        ],
        "reload": [
            63,
            440,
            0,
            47,
            0
        ]
    },
    "201330": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201334,
        "skin_id": 201330,
        "english_name": "HMS Icarus",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201330",
        "painting": "yikaluosi",
        "jp_name": "イカルス",
        "en_name": "Icarus",
        "cn_name": "伊卡洛斯",
        "tw_name": "伊卡洛斯",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.45,
            1
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "201320": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 201324,
        "skin_id": 201320,
        "english_name": "HMS Eskimo",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201320",
        "painting": "aisijimo",
        "jp_name": "エスキモー",
        "en_name": "Eskimo",
        "cn_name": "爱斯基摩人",
        "tw_name": "愛斯基摩",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1.35,
            1
        ],
        "reload": [
            78,
            541,
            0,
            58,
            0
        ]
    },
    "201290": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201294,
        "skin_id": 201290,
        "english_name": "HMS Echo",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201290",
        "painting": "huisheng",
        "jp_name": "エコー",
        "en_name": "Echo",
        "cn_name": "回声",
        "tw_name": "回聲",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.4,
            1.05
        ],
        "reload": [
            71,
            496,
            0,
            53,
            0
        ]
    },
    "201270": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201274,
        "skin_id": 201270,
        "english_name": "HMS Musketeer",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201270",
        "painting": "huoqiangshou",
        "jp_name": "マスケティーア",
        "en_name": "Musketeer",
        "cn_name": "火枪手",
        "tw_name": "火槍手",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.45,
            1
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "201260": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201264,
        "skin_id": 201260,
        "english_name": "HMS Matchless",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201260",
        "painting": "wudi",
        "jp_name": "マッチレス",
        "en_name": "Matchless",
        "cn_name": "无敌",
        "tw_name": "無敵",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.45,
            1
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "201250": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201254,
        "skin_id": 201250,
        "english_name": "HMS Jersey",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201250",
        "painting": "zexi",
        "jp_name": "ジャージー",
        "en_name": "Jersey",
        "cn_name": "泽西",
        "tw_name": "澤西",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.4,
            1.05
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "201240": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201244,
        "skin_id": 201240,
        "english_name": "HMS Jupiter",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201240",
        "painting": "qiubite",
        "jp_name": "ジュピター",
        "en_name": "Jupiter",
        "cn_name": "丘比特",
        "tw_name": "丘比特",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.4,
            1.05
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "201230": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201234,
        "skin_id": 201230,
        "english_name": "HMS Vampire",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201230",
        "painting": "xixuegui",
        "jp_name": "ヴァンパイア",
        "en_name": "Vampire",
        "cn_name": "吸血鬼",
        "tw_name": "吸血鬼",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.45,
            1.05
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "201220": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201224,
        "skin_id": 201220,
        "english_name": "HMS Juno",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201220",
        "painting": "tianhou",
        "jp_name": "ジュノー",
        "en_name": "Juno",
        "cn_name": "天后",
        "tw_name": "天后",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.4,
            1.05
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "201219": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201214,
        "skin_id": 201219,
        "english_name": "HMS Javelin",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "201219",
        "painting": "biaoqiang_g",
        "jp_name": "ジャベリン改",
        "en_name": "Javelin (Retrofit)",
        "cn_name": "标枪改",
        "tw_name": "標槍改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.55,
            1.05
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "201210": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201214,
        "skin_id": 201210,
        "english_name": "HMS Javelin",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "201210",
        "painting": "biaoqiang",
        "jp_name": "ジャベリン",
        "en_name": "Javelin",
        "cn_name": "标枪",
        "tw_name": "標槍",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.5,
            1.05
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "201200": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201204,
        "skin_id": 201200,
        "english_name": "HMS Hunter",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201200",
        "painting": "lieren",
        "jp_name": "ハンター",
        "en_name": "Hunter",
        "cn_name": "猎人",
        "tw_name": "獵人",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.05
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "201160": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201164,
        "skin_id": 201160,
        "english_name": "HMS Hardy",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201160",
        "painting": "yonggan",
        "jp_name": "ハーディ",
        "en_name": "Hardy",
        "cn_name": "勇敢",
        "tw_name": "勇敢",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.35,
            1.05
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "201140": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201144,
        "skin_id": 201140,
        "english_name": "HMS Glowworm",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201140",
        "painting": "yinghuochong",
        "jp_name": "グローウォーム",
        "en_name": "Glowworm",
        "cn_name": "萤火虫",
        "tw_name": "螢火蟲",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.35,
            1.05
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "201130": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201134,
        "skin_id": 201130,
        "english_name": "HMS Grenville",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201130",
        "painting": "gelunweier",
        "jp_name": "グレンヴィル",
        "en_name": "Grenville",
        "cn_name": "格伦维尔",
        "tw_name": "格倫維爾",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.3,
            1.05
        ],
        "reload": [
            74,
            515,
            0,
            55,
            0
        ]
    },
    "201129": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201124,
        "skin_id": 201129,
        "english_name": "HMS Fortune",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201129",
        "painting": "mingyunnvshen_g",
        "jp_name": "フォーチュン改",
        "en_name": "Fortune (Retrofit)",
        "cn_name": "命运女神改",
        "tw_name": "命運女神改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.1
        ],
        "reload": [
            72,
            498,
            0,
            53,
            0
        ]
    },
    "201120": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201124,
        "skin_id": 201120,
        "english_name": "HMS Fortune",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "201120",
        "painting": "mingyunnvshen",
        "jp_name": "フォーチュン",
        "en_name": "Fortune",
        "cn_name": "命运女神",
        "tw_name": "命運女神",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            72,
            498,
            0,
            53,
            0
        ]
    },
    "201119": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201114,
        "skin_id": 201119,
        "english_name": "HMS Foxhound",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201119",
        "painting": "huti_g",
        "jp_name": "フォックスハウンド改",
        "en_name": "Foxhound (Retrofit)",
        "cn_name": "狐提改",
        "tw_name": "狐提改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.1
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "201110": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201114,
        "skin_id": 201110,
        "english_name": "HMS Foxhound",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "201110",
        "painting": "huti",
        "jp_name": "フォックスハウンド",
        "en_name": "Foxhound",
        "cn_name": "狐提",
        "tw_name": "狐提",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "201109": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201104,
        "skin_id": 201109,
        "english_name": "HMS Cygnet",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201109",
        "painting": "xiaotiane_g",
        "jp_name": "シグニット改",
        "en_name": "Cygnet (Retrofit)",
        "cn_name": "小天鹅改",
        "tw_name": "小天鵝改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.1
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "201100": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201104,
        "skin_id": 201100,
        "english_name": "HMS Cygnet",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "201100",
        "painting": "xiaotiane",
        "jp_name": "シグニット",
        "en_name": "Cygnet",
        "cn_name": "小天鹅",
        "tw_name": "小天鵝",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "201099": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201094,
        "skin_id": 201099,
        "english_name": "HMS Crescent",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201099",
        "painting": "xinyue_g",
        "jp_name": "クレセント改",
        "en_name": "Crescent (Retrofit)",
        "cn_name": "新月改",
        "tw_name": "新月改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.1
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "201090": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201094,
        "skin_id": 201090,
        "english_name": "HMS Crescent",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "201090",
        "painting": "xinyue",
        "jp_name": "クレセント",
        "en_name": "Crescent",
        "cn_name": "新月",
        "tw_name": "新月",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "201089": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201084,
        "skin_id": 201089,
        "english_name": "HMS Comet",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "201089",
        "painting": "huixing_g",
        "jp_name": "コメット改",
        "en_name": "Comet (Retrofit)",
        "cn_name": "彗星改",
        "tw_name": "彗星改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.4,
            1.1
        ],
        "reload": [
            70,
            487,
            0,
            52,
            5
        ]
    },
    "201080": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201084,
        "skin_id": 201080,
        "english_name": "HMS Comet",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "201080",
        "painting": "huixing",
        "jp_name": "コメット",
        "en_name": "Comet",
        "cn_name": "彗星",
        "tw_name": "彗星",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "201070": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201074,
        "skin_id": 201070,
        "english_name": "HMS Bulldog",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "201070",
        "painting": "dadouquan",
        "jp_name": "ブルドッグ",
        "en_name": "Bulldog",
        "cn_name": "大斗犬",
        "tw_name": "大鬥犬",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            485,
            0,
            52,
            0
        ]
    },
    "201060": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201064,
        "skin_id": 201060,
        "english_name": "HMS Beagle",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "201060",
        "painting": "xiaolietuquan",
        "jp_name": "ビーグル",
        "en_name": "Beagle",
        "cn_name": "小猎兔犬",
        "tw_name": "小獵兔犬",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            485,
            0,
            52,
            0
        ]
    },
    "201039": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201034,
        "skin_id": 201039,
        "english_name": "HMS Ardent",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201039",
        "painting": "rexin_g",
        "jp_name": "アーデント改",
        "en_name": "Ardent (Retrofit)",
        "cn_name": "热心改",
        "tw_name": "熱心改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.45,
            1.1
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "201030": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201034,
        "skin_id": 201030,
        "english_name": "HMS Ardent",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "201030",
        "painting": "rexin",
        "jp_name": "アーデント",
        "en_name": "Ardent",
        "cn_name": "热心",
        "tw_name": "熱心",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.4,
            1.05
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "201029": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201024,
        "skin_id": 201029,
        "english_name": "HMS Acasta",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201029",
        "painting": "akasita_g",
        "jp_name": "アカスタ改",
        "en_name": "Acasta (Retrofit)",
        "cn_name": "阿卡司塔改",
        "tw_name": "阿卡司塔改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.5,
            1.1
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "201020": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201024,
        "skin_id": 201020,
        "english_name": "HMS Acasta",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "201020",
        "painting": "akasita",
        "jp_name": "アカスタ",
        "en_name": "Acasta",
        "cn_name": "阿卡司塔",
        "tw_name": "阿卡司塔",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.45,
            1.05
        ],
        "reload": [
            71,
            492,
            0,
            53,
            0
        ]
    },
    "201019": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            1,
            2
        ],
        "id": 201514,
        "skin_id": 201019,
        "english_name": "HMS Amazon",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "201019",
        "painting": "nvjiang_g",
        "jp_name": "アマゾン改",
        "en_name": "Amazon (Retrofit)",
        "cn_name": "女将改",
        "tw_name": "女將改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.15
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "201010": {
        "nationality": 2,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 201014,
        "skin_id": 201010,
        "english_name": "HMS Amazon",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "201010",
        "painting": "nvjiang",
        "jp_name": "アマゾン",
        "en_name": "Amazon",
        "cn_name": "女将",
        "tw_name": "女將",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.35,
            1.05
        ],
        "reload": [
            70,
            490,
            0,
            53,
            0
        ]
    },
    "112010": {
        "nationality": 1,
        "type": 12,
        "base_list": [
            1,
            2,
            2
        ],
        "id": 112014,
        "skin_id": 112010,
        "english_name": "USS Vestal",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "112010",
        "painting": "zaoshen",
        "jp_name": "ヴェスタル",
        "en_name": "Vestal",
        "cn_name": "女灶神",
        "tw_name": "女灶神",
        "equip_1": [
            10
        ],
        "equip_2": [
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1,
            1,
            1
        ],
        "reload": [
            62,
            431,
            0,
            46,
            0
        ]
    },
    "108070": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108074,
        "skin_id": 108070,
        "english_name": "USS Nautilus !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "108070",
        "painting": "yingwuluo",
        "jp_name": "ノーチラス",
        "en_name": "Nautilus",
        "cn_name": "鹦鹉螺",
        "tw_name": "鸚鵡螺*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1,
            2
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.9
        ],
        "reload": [
            34,
            235,
            0,
            25,
            0
        ]
    },
    "108060": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108064,
        "skin_id": 108060,
        "english_name": "USS Archerfish !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "108060",
        "painting": "sheshuiyu",
        "jp_name": "アーチャーフィッシュ",
        "en_name": "Archerfish",
        "cn_name": "射水鱼",
        "tw_name": "射水魚*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.3,
            0.85
        ],
        "reload": [
            35,
            244,
            0,
            26,
            0
        ]
    },
    "108050": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108054,
        "skin_id": 108050,
        "english_name": "USS Albacore !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "108050",
        "painting": "daqinghuayu_idol",
        "jp_name": "アルバコア(μ兵装)",
        "en_name": "Albacore μ",
        "cn_name": "大青花鱼(μ兵装)",
        "tw_name": "大青花魚(μ兵裝)*",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.9
        ],
        "reload": [
            34,
            235,
            0,
            25,
            0
        ]
    },
    "108040": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108044,
        "skin_id": 108040,
        "english_name": "USS Bluegill",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "108040",
        "painting": "lansaiyu",
        "jp_name": "ブルーギル",
        "en_name": "Bluegill",
        "cn_name": "蓝鳃鱼",
        "tw_name": "藍鰓魚",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.9
        ],
        "reload": [
            32,
            223,
            0,
            24,
            0
        ]
    },
    "108030": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108034,
        "skin_id": 108030,
        "english_name": "USS Cavalla",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "108030",
        "painting": "jiqi",
        "jp_name": "カヴァラ",
        "en_name": "Cavalla",
        "cn_name": "棘鳍",
        "tw_name": "棘鰭",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            0.85
        ],
        "reload": [
            34,
            238,
            0,
            26,
            0
        ]
    },
    "108020": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108024,
        "skin_id": 108020,
        "english_name": "USS Albacore",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "108020",
        "painting": "daqinghuayu",
        "jp_name": "アルバコア",
        "en_name": "Albacore",
        "cn_name": "大青花鱼",
        "tw_name": "大青花魚",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.2,
            0.9
        ],
        "reload": [
            35,
            244,
            0,
            26,
            0
        ]
    },
    "108010": {
        "nationality": 1,
        "type": 8,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 108014,
        "skin_id": 108010,
        "english_name": "USS Dace",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "108010",
        "painting": "tiaoyu",
        "jp_name": "デイス",
        "en_name": "Dace",
        "cn_name": "鲦鱼",
        "tw_name": "鰷魚",
        "equip_1": [
            13
        ],
        "equip_2": [
            13
        ],
        "equip_3": [
            1
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.2,
            0.9
        ],
        "reload": [
            33,
            230,
            0,
            25,
            0
        ]
    },
    "107990": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107994,
        "skin_id": 107990,
        "english_name": "USS Enterprise",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "107990",
        "painting": "qiye_younv",
        "jp_name": "リトル・エンタープライズ",
        "en_name": "Little Enterprise",
        "cn_name": "小企业",
        "tw_name": "小企業",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            43,
            297,
            0,
            32,
            0
        ]
    },
    "107380": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107384,
        "skin_id": 107380,
        "english_name": "USS Shangri-La",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107380",
        "painting": "xianggelila",
        "jp_name": "シャングリラ",
        "en_name": "Shangri-La",
        "cn_name": "香格里拉",
        "tw_name": "香格里拉",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1.15
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "107170": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107174,
        "skin_id": 107170,
        "english_name": "USS Bunker Hill",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107170",
        "painting": "bangkeshan",
        "jp_name": "バンカー・ヒル",
        "en_name": "Bunker Hill",
        "cn_name": "邦克山",
        "tw_name": "碉堡山",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1.15
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "107140": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107144,
        "skin_id": 107140,
        "english_name": "USS Ticonderoga !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107140",
        "painting": "tikangdeluojia",
        "jp_name": "タイコンデロガ",
        "en_name": "Ticonderoga",
        "cn_name": "提康德罗加",
        "tw_name": "提康德羅加*",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1.2
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "107110": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107114,
        "skin_id": 107110,
        "english_name": "USS Intrepid",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107110",
        "painting": "wuwei",
        "jp_name": "イントレピッド",
        "en_name": "Intrepid",
        "cn_name": "无畏",
        "tw_name": "無畏",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1.2
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "107090": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107094,
        "skin_id": 107090,
        "english_name": "USS Essex",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107090",
        "painting": "aisaikesi",
        "jp_name": "エセックス",
        "en_name": "Essex",
        "cn_name": "埃塞克斯",
        "tw_name": "艾塞克斯",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.4,
            1.3,
            1.2
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "107080": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107084,
        "skin_id": 107080,
        "english_name": "USS Wasp",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "107080",
        "painting": "hufeng",
        "jp_name": "ワスプ",
        "en_name": "Wasp",
        "cn_name": "胡蜂",
        "tw_name": "胡蜂",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            43,
            301,
            0,
            32,
            0
        ]
    },
    "107070": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107074,
        "skin_id": 107070,
        "english_name": "USS Hornet",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "107070",
        "painting": "dahuangfeng",
        "jp_name": "ホーネット",
        "en_name": "Hornet",
        "cn_name": "大黄蜂",
        "tw_name": "大黃蜂",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            45,
            310,
            0,
            33,
            0
        ]
    },
    "107060": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107064,
        "skin_id": 107060,
        "english_name": "USS Enterprise",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107060",
        "painting": "qiye",
        "jp_name": "エンタープライズ",
        "en_name": "Enterprise",
        "cn_name": "企业",
        "tw_name": "企業",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            49,
            338,
            0,
            36,
            0
        ]
    },
    "107050": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107054,
        "skin_id": 107050,
        "english_name": "USS Yorktown",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "107050",
        "painting": "yuekecheng",
        "jp_name": "ヨークタウン",
        "en_name": "Yorktown",
        "cn_name": "约克城",
        "tw_name": "約克鎮",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            8
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.25,
            1.25
        ],
        "reload": [
            45,
            310,
            0,
            33,
            0
        ]
    },
    "107039": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 107034,
        "skin_id": 107039,
        "english_name": "USS Saratoga",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107039",
        "painting": "salatuojia_g",
        "jp_name": "サラトガ改",
        "en_name": "Saratoga (Retrofit)",
        "cn_name": "萨拉托加改",
        "tw_name": "薩拉托加改",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            1.4,
            1.4
        ],
        "reload": [
            41,
            282,
            0,
            30,
            20
        ]
    },
    "107030": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 107034,
        "skin_id": 107030,
        "english_name": "USS Saratoga",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "107030",
        "painting": "salatuojia",
        "jp_name": "サラトガ",
        "en_name": "Saratoga",
        "cn_name": "萨拉托加",
        "tw_name": "薩拉托加",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "107020": {
        "nationality": 1,
        "type": 7,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 107024,
        "skin_id": 107020,
        "english_name": "USS Lexington",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "107020",
        "painting": "liekexingdun",
        "jp_name": "レキシントン",
        "en_name": "Lexington",
        "cn_name": "列克星敦",
        "tw_name": "列星頓",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            41,
            282,
            0,
            30,
            0
        ]
    },
    "107290": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 107294,
        "skin_id": 107290,
        "english_name": "USS Bataan",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "107290",
        "painting": "badan",
        "jp_name": "バターン",
        "en_name": "Bataan",
        "cn_name": "巴丹",
        "tw_name": "巴丹",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.25,
            1.55,
            0.8
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "107230": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 107234,
        "skin_id": 107230,
        "english_name": "USS Princeton",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "107230",
        "painting": "pulinsidun",
        "jp_name": "プリンストン",
        "en_name": "Princeton",
        "cn_name": "普林斯顿",
        "tw_name": "普林斯頓",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.25,
            1.55,
            0.8
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "107229": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            4,
            4,
            1
        ],
        "id": 107984,
        "skin_id": 107229,
        "english_name": "USS Independence",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "107229",
        "painting": "duli_g",
        "jp_name": "インディペンデンス改",
        "en_name": "Independence (Retrofit)",
        "cn_name": "独立改",
        "tw_name": "獨立改",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.45,
            1.5,
            0.8
        ],
        "reload": [
            67,
            465,
            0,
            50,
            20
        ]
    },
    "107220": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 107224,
        "skin_id": 107220,
        "english_name": "USS Independence",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "107220",
        "painting": "duli",
        "jp_name": "インディペンデンス",
        "en_name": "Independence",
        "cn_name": "独立",
        "tw_name": "獨立",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.8
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "107049": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 107044,
        "skin_id": 107049,
        "english_name": "USS Ranger",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "107049",
        "painting": "tujizhe_g",
        "jp_name": "レンジャー改",
        "en_name": "Ranger (Retrofit)",
        "cn_name": "突击者改",
        "tw_name": "遊騎兵改",
        "equip_1": [
            8
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.05,
            1.45,
            1.45
        ],
        "reload": [
            48,
            333,
            0,
            36,
            5
        ]
    },
    "107040": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            2,
            3,
            3
        ],
        "id": 107044,
        "skin_id": 107040,
        "english_name": "USS Ranger",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "107040",
        "painting": "tujizhe",
        "jp_name": "レンジャー",
        "en_name": "Ranger",
        "cn_name": "突击者",
        "tw_name": "遊騎兵",
        "equip_1": [
            8
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1,
            1.3,
            1.3
        ],
        "reload": [
            48,
            333,
            0,
            36,
            0
        ]
    },
    "107019": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107014,
        "skin_id": 107019,
        "english_name": "USS Langley",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "107019",
        "painting": "lanli_g",
        "jp_name": "ラングレー改",
        "en_name": "Langley (Retrofit)",
        "cn_name": "兰利改",
        "tw_name": "蘭利改",
        "equip_1": [
            7
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.45,
            1.45,
            0.85
        ],
        "reload": [
            45,
            316,
            0,
            34,
            5
        ]
    },
    "107010": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            2
        ],
        "id": 107014,
        "skin_id": 107010,
        "english_name": "USS Langley",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "107010",
        "painting": "lanli",
        "jp_name": "ラングレー",
        "en_name": "Langley",
        "cn_name": "兰利",
        "tw_name": "蘭利",
        "equip_1": [
            7
        ],
        "equip_2": [
            7
        ],
        "equip_3": [
            9
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.3,
            0.8
        ],
        "reload": [
            45,
            316,
            0,
            34,
            0
        ]
    },
    "106550": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 106554,
        "skin_id": 106550,
        "english_name": "USS Casablanca",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "106550",
        "painting": "kasabulanka",
        "jp_name": "カサブランカ",
        "en_name": "Casablanca",
        "cn_name": "卡萨布兰卡",
        "tw_name": "卡薩布蘭卡",
        "equip_1": [
            7
        ],
        "equip_2": [
            8
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.35,
            1.35,
            1
        ],
        "reload": [
            71,
            496,
            0,
            53,
            0
        ]
    },
    "106029": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 106024,
        "skin_id": 106029,
        "english_name": "USS Bogue",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "106029",
        "painting": "boge_g",
        "jp_name": "ボーグ改",
        "en_name": "Bogue (Retrofit)",
        "cn_name": "博格改",
        "tw_name": "博格改",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.45,
            0.85
        ],
        "reload": [
            66,
            457,
            0,
            49,
            5
        ]
    },
    "106020": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 106024,
        "skin_id": 106020,
        "english_name": "USS Bogue",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "106020",
        "painting": "boge",
        "jp_name": "ボーグ",
        "en_name": "Bogue",
        "cn_name": "博格",
        "tw_name": "博格",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.3,
            0.8
        ],
        "reload": [
            66,
            457,
            0,
            49,
            0
        ]
    },
    "106019": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 106014,
        "skin_id": 106019,
        "english_name": "USS Long Island",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "106019",
        "painting": "changdao_g",
        "jp_name": "ロング・アイランド改",
        "en_name": "Long Island (Retrofit)",
        "cn_name": "长岛改",
        "tw_name": "長島改",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.45,
            1.3,
            0.85
        ],
        "reload": [
            67,
            465,
            0,
            50,
            5
        ]
    },
    "106010": {
        "nationality": 1,
        "type": 6,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 106014,
        "skin_id": 106010,
        "english_name": "USS Long Island",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "106010",
        "painting": "changdao",
        "jp_name": "ロング・アイランド",
        "en_name": "Long Island",
        "cn_name": "长岛",
        "tw_name": "長島",
        "equip_1": [
            7
        ],
        "equip_2": [
            9
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            15
        ],
        "equip_5": [
            10,
            15
        ],
        "eq_p": [
            1.3,
            1.3,
            0.8
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "199020": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            2,
            3,
            1
        ],
        "id": 199024,
        "skin_id": 199020,
        "english_name": "USS Georgia",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "199020",
        "painting": "zuozhiya",
        "jp_name": "ジョージア",
        "en_name": "Georgia",
        "cn_name": "佐治亚",
        "tw_name": "喬治亞",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.65,
            2,
            1.1
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "105200": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105204,
        "skin_id": 105200,
        "english_name": "USS Alabama",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "105200",
        "painting": "alabama",
        "jp_name": "アラバマ",
        "en_name": "Alabama",
        "cn_name": "阿拉巴马",
        "tw_name": "阿拉巴馬",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            57,
            394,
            0,
            42,
            0
        ]
    },
    "105190": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105194,
        "skin_id": 105190,
        "english_name": "USS Massachusetts",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "105190",
        "painting": "masazhusai",
        "jp_name": "マサチューセッツ",
        "en_name": "Massachusetts",
        "cn_name": "马萨诸塞",
        "tw_name": "麻薩諸塞",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            57,
            400,
            0,
            43,
            0
        ]
    },
    "105170": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105174,
        "skin_id": 105170,
        "english_name": "USS New Jersey !TWnoData",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "105170",
        "painting": "xinzexi",
        "jp_name": "ニュージャージー",
        "en_name": "New Jersey",
        "cn_name": "新泽西",
        "tw_name": "新澤西*",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.5,
            2.1,
            1.3
        ],
        "reload": [
            62,
            434,
            0,
            47,
            0
        ]
    },
    "105140": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105144,
        "skin_id": 105140,
        "english_name": "USS South Dakota",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "105140",
        "painting": "nandaketa",
        "jp_name": "サウスダコタ",
        "en_name": "South Dakota",
        "cn_name": "南达科他",
        "tw_name": "南達科他",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "105130": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105134,
        "skin_id": 105130,
        "english_name": "USS Washington",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "105130",
        "painting": "huashengdun",
        "jp_name": "ワシントン",
        "en_name": "Washington",
        "cn_name": "华盛顿",
        "tw_name": "華盛頓",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "105120": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105124,
        "skin_id": 105120,
        "english_name": "USS North Carolina",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "105120",
        "painting": "beikaluolaina",
        "jp_name": "ノースカロライナ",
        "en_name": "North Carolina",
        "cn_name": "北卡罗来纳",
        "tw_name": "北卡羅來納",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            58,
            406,
            0,
            44,
            0
        ]
    },
    "105110": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105114,
        "skin_id": 105110,
        "english_name": "USS West Virginia",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "105110",
        "painting": "xifujiniya",
        "jp_name": "ウェストバージニア",
        "en_name": "West Virginia",
        "cn_name": "西弗吉尼亚",
        "tw_name": "西維吉尼亞",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "105100": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105104,
        "skin_id": 105100,
        "english_name": "USS Maryland",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "105100",
        "painting": "malilan",
        "jp_name": "メリーランド",
        "en_name": "Maryland",
        "cn_name": "马里兰",
        "tw_name": "馬里蘭",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            2,
            1
        ],
        "reload": [
            54,
            375,
            0,
            40,
            0
        ]
    },
    "105090": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105094,
        "skin_id": 105090,
        "english_name": "USS Colorado",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "105090",
        "painting": "keluoladuo",
        "jp_name": "コロラド",
        "en_name": "Colorado",
        "cn_name": "科罗拉多",
        "tw_name": "科羅拉多",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            55,
            381,
            0,
            41,
            0
        ]
    },
    "105080": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105084,
        "skin_id": 105080,
        "english_name": "USS California",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "105080",
        "painting": "jialifuniya",
        "jp_name": "カリフォルニア",
        "en_name": "California",
        "cn_name": "加利福尼亚",
        "tw_name": "加利福尼亞",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            51,
            357,
            0,
            38,
            0
        ]
    },
    "105070": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105074,
        "skin_id": 105070,
        "english_name": "USS Tennessee",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "105070",
        "painting": "tiannaxi",
        "jp_name": "テネシー",
        "en_name": "Tennessee",
        "cn_name": "田纳西",
        "tw_name": "田納西",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            51,
            357,
            0,
            38,
            0
        ]
    },
    "105040": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105044,
        "skin_id": 105040,
        "english_name": "USS Arizona",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "105040",
        "painting": "yalisangna",
        "jp_name": "アリゾナ",
        "en_name": "Arizona",
        "cn_name": "亚利桑那",
        "tw_name": "亞利桑那",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            51,
            357,
            0,
            38,
            0
        ]
    },
    "105030": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105034,
        "skin_id": 105030,
        "english_name": "USS Pennsylvania",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "105030",
        "painting": "binxifaniya",
        "jp_name": "ペンシルベニア",
        "en_name": "Pennsylvania",
        "cn_name": "宾夕法尼亚",
        "tw_name": "賓夕法尼亞",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            50,
            350,
            0,
            38,
            0
        ]
    },
    "105029": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105024,
        "skin_id": 105029,
        "english_name": "USS Oklahoma",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "105029",
        "painting": "ekelahema_g",
        "jp_name": "オクラホマ改",
        "en_name": "Oklahoma (Retrofit)",
        "cn_name": "俄克拉荷马改",
        "tw_name": "奧克拉荷馬改",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2.15,
            1
        ],
        "reload": [
            49,
            338,
            0,
            36,
            20
        ]
    },
    "105020": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105024,
        "skin_id": 105020,
        "english_name": "USS Oklahoma",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "105020",
        "painting": "ekelahema",
        "jp_name": "オクラホマ",
        "en_name": "Oklahoma",
        "cn_name": "俄克拉荷马",
        "tw_name": "奧克拉荷馬",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            49,
            338,
            0,
            36,
            0
        ]
    },
    "105019": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105014,
        "skin_id": 105019,
        "english_name": "USS Nevada",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "105019",
        "painting": "neihuada_g",
        "jp_name": "ネバダ改",
        "en_name": "Nevada (Retrofit)",
        "cn_name": "内华达改",
        "tw_name": "內華達改",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.35,
            2.15,
            1
        ],
        "reload": [
            49,
            338,
            0,
            36,
            20
        ]
    },
    "105010": {
        "nationality": 1,
        "type": 5,
        "base_list": [
            3,
            3,
            1
        ],
        "id": 105014,
        "skin_id": 105010,
        "english_name": "USS Nevada",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "105010",
        "painting": "neihuada",
        "jp_name": "ネバダ",
        "en_name": "Nevada",
        "cn_name": "内华达",
        "tw_name": "內華達",
        "equip_1": [
            4
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            2,
            1
        ],
        "reload": [
            49,
            338,
            0,
            36,
            0
        ]
    },
    "199030": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 199034,
        "skin_id": 199030,
        "english_name": "USS Anchorage !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "199030",
        "painting": "ankeleiqi",
        "jp_name": "アンカレッジ",
        "en_name": "Anchorage",
        "cn_name": "安克雷奇",
        "tw_name": "安克雷奇*",
        "equip_1": [
            3
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            1.15,
            1.15
        ],
        "reload": [
            60,
            417,
            0,
            45,
            0
        ]
    },
    "103250": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103254,
        "skin_id": 103250,
        "english_name": "USS Baltimore !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103250",
        "painting": "baerdimo_idol",
        "jp_name": "ボルチモア(μ兵装)",
        "en_name": "Baltimore μ",
        "cn_name": "巴尔的摩(μ兵装)",
        "tw_name": "巴爾的摩(μ兵裝)*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            0.55,
            1.35
        ],
        "reload": [
            65,
            454,
            0,
            49,
            0
        ]
    },
    "103240": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103244,
        "skin_id": 103240,
        "english_name": "USS Bremerton",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "103240",
        "painting": "bulaimodun",
        "jp_name": "ブレマートン",
        "en_name": "Bremerton",
        "cn_name": "布莱默顿",
        "tw_name": "布雷默頓",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            0.7,
            1.4
        ],
        "reload": [
            68,
            470,
            0,
            50,
            0
        ]
    },
    "103160": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103164,
        "skin_id": 103160,
        "english_name": "USS Baltimore",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "103160",
        "painting": "baerdimo",
        "jp_name": "ボルチモア",
        "en_name": "Baltimore",
        "cn_name": "巴尔的摩",
        "tw_name": "巴爾的摩",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            0.75,
            1.35
        ],
        "reload": [
            68,
            470,
            0,
            50,
            0
        ]
    },
    "103140": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103144,
        "skin_id": 103140,
        "english_name": "USS San Francisco !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "103140",
        "painting": "jiujinshan",
        "jp_name": "サンフランシスコ",
        "en_name": "San Francisco",
        "cn_name": "旧金山",
        "tw_name": "舊金山*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            0.75,
            1.25
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "103130": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103134,
        "skin_id": 103130,
        "english_name": "USS Minneapolis",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "103130",
        "painting": "mingniabolisi",
        "jp_name": "ミネアポリス",
        "en_name": "Minneapolis",
        "cn_name": "明尼阿波利斯",
        "tw_name": "明尼亞波利斯",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            0.7,
            1.25
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "103120": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103124,
        "skin_id": 103120,
        "english_name": "USS New Orleans !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "103120",
        "painting": "xinaoerliang",
        "jp_name": "ニューオリンズ",
        "en_name": "New Orleans",
        "cn_name": "新奥尔良",
        "tw_name": "新奧爾良*",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.25,
            0.7,
            1.25
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "103110": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103114,
        "skin_id": 103110,
        "english_name": "USS Wichita",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103110",
        "painting": "weiqita",
        "jp_name": "ウィチタ",
        "en_name": "Wichita",
        "cn_name": "威奇塔",
        "tw_name": "威奇塔",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.3,
            0.55,
            1.05
        ],
        "reload": [
            66,
            459,
            0,
            49,
            0
        ]
    },
    "103100": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103104,
        "skin_id": 103100,
        "english_name": "USS Vincennes",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103100",
        "painting": "wensensi",
        "jp_name": "ヴィンセンス",
        "en_name": "Vincennes",
        "cn_name": "文森斯",
        "tw_name": "文森尼斯",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            0.65,
            1.3
        ],
        "reload": [
            59,
            413,
            0,
            44,
            0
        ]
    },
    "103090": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103094,
        "skin_id": 103090,
        "english_name": "USS Quincy",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103090",
        "painting": "kunxi",
        "jp_name": "クインシー",
        "en_name": "Quincy",
        "cn_name": "昆西",
        "tw_name": "昆西",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            0.65,
            1.3
        ],
        "reload": [
            59,
            413,
            0,
            44,
            0
        ]
    },
    "103080": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103084,
        "skin_id": 103080,
        "english_name": "USS Astoria",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103080",
        "painting": "asituoliya",
        "jp_name": "アストリア",
        "en_name": "Astoria",
        "cn_name": "阿斯托利亚",
        "tw_name": "阿斯托利亞",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            0.6,
            1.3
        ],
        "reload": [
            59,
            411,
            0,
            44,
            0
        ]
    },
    "103070": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103074,
        "skin_id": 103070,
        "english_name": "USS Indianapolis",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103070",
        "painting": "bolisi",
        "jp_name": "インディアナポリス",
        "en_name": "Indianapolis",
        "cn_name": "印第安纳波利斯",
        "tw_name": "印第安納波利斯",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            0.6,
            1.3
        ],
        "reload": [
            64,
            445,
            0,
            48,
            0
        ]
    },
    "103069": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103064,
        "skin_id": 103069,
        "english_name": "USS Portland",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103069",
        "painting": "botelan_g",
        "jp_name": "ポートランド改",
        "en_name": "Portland (Retrofit)",
        "cn_name": "波特兰改",
        "tw_name": "波特蘭改",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.15,
            0.65,
            1.35
        ],
        "reload": [
            62,
            434,
            0,
            47,
            0
        ]
    },
    "103060": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103064,
        "skin_id": 103060,
        "english_name": "USS Portland",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "103060",
        "painting": "botelan",
        "jp_name": "ポートランド",
        "en_name": "Portland",
        "cn_name": "波特兰",
        "tw_name": "波特蘭",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.1,
            0.6,
            1.3
        ],
        "reload": [
            62,
            434,
            0,
            47,
            0
        ]
    },
    "103050": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103054,
        "skin_id": 103050,
        "english_name": "USS Houston",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "103050",
        "painting": "xiusidun",
        "jp_name": "ヒューストン",
        "en_name": "Houston",
        "cn_name": "休斯敦",
        "tw_name": "休士頓",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.55,
            1.05
        ],
        "reload": [
            63,
            440,
            0,
            47,
            0
        ]
    },
    "103040": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103044,
        "skin_id": 103040,
        "english_name": "USS Chicago",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "103040",
        "painting": "zhijiage",
        "jp_name": "シカゴ",
        "en_name": "Chicago",
        "cn_name": "芝加哥",
        "tw_name": "芝加哥",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.55,
            1.05
        ],
        "reload": [
            61,
            426,
            0,
            46,
            0
        ]
    },
    "103030": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103034,
        "skin_id": 103030,
        "english_name": "USS Northampton",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "103030",
        "painting": "beianpudun",
        "jp_name": "ノーザンプトン",
        "en_name": "Northampton",
        "cn_name": "北安普敦",
        "tw_name": "北安普敦",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.55,
            1.05
        ],
        "reload": [
            61,
            426,
            0,
            46,
            0
        ]
    },
    "103020": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103024,
        "skin_id": 103020,
        "english_name": "USS Salt Lake City",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "103020",
        "painting": "yanhucheng",
        "jp_name": "ソルトレイクシティ",
        "en_name": "Salt Lake City",
        "cn_name": "盐湖城",
        "tw_name": "鹽湖城",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.45,
            1.05
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "103010": {
        "nationality": 1,
        "type": 3,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 103014,
        "skin_id": 103010,
        "english_name": "USS Pensacola",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "103010",
        "painting": "pengsakela",
        "jp_name": "ペンサコーラ",
        "en_name": "Pensacola",
        "cn_name": "彭萨科拉",
        "tw_name": "彭薩科拉",
        "equip_1": [
            3
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10
        ],
        "equip_5": [
            10
        ],
        "eq_p": [
            1.2,
            0.45,
            1.05
        ],
        "reload": [
            59,
            409,
            0,
            44,
            0
        ]
    },
    "199010": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 199014,
        "skin_id": 199010,
        "english_name": "USS Seattle",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "199010",
        "painting": "xiyatu",
        "jp_name": "シアトル",
        "en_name": "Seattle",
        "cn_name": "西雅图",
        "tw_name": "西雅圖",
        "equip_1": [
            2
        ],
        "equip_2": [
            2,
            6
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.45,
            0.65,
            1.3
        ],
        "reload": [
            57,
            399,
            0,
            43,
            0
        ]
    },
    "102290": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102294,
        "skin_id": 102290,
        "english_name": "USS Boise !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102290",
        "painting": "boyixi",
        "jp_name": "ボイシ",
        "en_name": "Boise",
        "cn_name": "博伊西",
        "tw_name": "博伊西*",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.65,
            1
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    },
    "102270": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102274,
        "skin_id": 102270,
        "english_name": "USS Marblehead",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102270",
        "painting": "mabuerheide",
        "jp_name": "マーブルヘッド",
        "en_name": "Marblehead",
        "cn_name": "马布尔黑德",
        "tw_name": "馬布爾黑德",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.5,
            1.3
        ],
        "reload": [
            68,
            473,
            0,
            51,
            0
        ]
    },
    "102260": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102264,
        "skin_id": 102260,
        "english_name": "USS Reno",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "102260",
        "painting": "linuo",
        "jp_name": "リノ",
        "en_name": "Reno",
        "cn_name": "里诺",
        "tw_name": "雷諾",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.4,
            1.7
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "102250": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102254,
        "skin_id": 102250,
        "english_name": "USS Biloxi",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102250",
        "painting": "biluokexi",
        "jp_name": "ビロクシ",
        "en_name": "Biloxi",
        "cn_name": "比洛克西",
        "tw_name": "比洛克西",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.7,
            1.2
        ],
        "reload": [
            69,
            478,
            0,
            51,
            0
        ]
    },
    "102240": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102244,
        "skin_id": 102240,
        "english_name": "USS Cleveland",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102240",
        "painting": "kelifulan_idol",
        "jp_name": "クリーブランド(μ兵装)",
        "en_name": "Cleveland μ",
        "cn_name": "克利夫兰(μ兵装)",
        "tw_name": "克里夫蘭(μ兵裝)",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.7,
            1.2
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    },
    "102230": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102234,
        "skin_id": 102230,
        "english_name": "USS Birmingham",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102230",
        "painting": "bominghan",
        "jp_name": "バーミンガム",
        "en_name": "Birmingham",
        "cn_name": "伯明翰",
        "tw_name": "伯明罕",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.65,
            1.3
        ],
        "reload": [
            68,
            473,
            0,
            51,
            0
        ]
    },
    "102220": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102224,
        "skin_id": 102220,
        "english_name": "USS San Juan",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102220",
        "painting": "shenghuan",
        "jp_name": "サンフアン",
        "en_name": "San Juan",
        "cn_name": "圣胡安",
        "tw_name": "聖胡安",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.35,
            1.6
        ],
        "reload": [
            66,
            457,
            0,
            49,
            0
        ]
    },
    "102210": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102214,
        "skin_id": 102210,
        "english_name": "USS San Diego",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102210",
        "painting": "shengdiyage_younv",
        "jp_name": "リトル・サンディエゴ",
        "en_name": "Li'l Sandy",
        "cn_name": "小圣地亚哥",
        "tw_name": "小聖地牙哥",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1,
            1.15,
            1.65
        ],
        "reload": [
            67,
            467,
            0,
            50,
            0
        ]
    },
    "102200": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102204,
        "skin_id": 102200,
        "english_name": "USS Cleveland !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102200",
        "painting": "kelifulan_younv",
        "jp_name": "リトル・クリーブランド",
        "en_name": "Clevelad",
        "cn_name": "小克利夫兰",
        "tw_name": "小克利夫蘭*",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            0.65,
            1.2
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "102190": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102194,
        "skin_id": 102190,
        "english_name": "USS Helena !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102190",
        "painting": "hailunna_younv",
        "jp_name": "リトル・ヘレナ",
        "en_name": "Lena",
        "cn_name": "小海伦娜",
        "tw_name": "小海倫娜*",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "102180": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102184,
        "skin_id": 102180,
        "english_name": "USS Concord",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102180",
        "painting": "kangkede",
        "jp_name": "コンコード",
        "en_name": "Concord",
        "cn_name": "康克德",
        "tw_name": "康克德",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.5,
            1.3
        ],
        "reload": [
            68,
            473,
            0,
            51,
            0
        ]
    },
    "102160": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102164,
        "skin_id": 102160,
        "english_name": "USS Memphis",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102160",
        "painting": "mengfeisi",
        "jp_name": "メンフィス",
        "en_name": "Memphis",
        "cn_name": "孟菲斯",
        "tw_name": "曼非斯",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.55,
            1.25
        ],
        "reload": [
            68,
            473,
            0,
            51,
            0
        ]
    },
    "102150": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102154,
        "skin_id": 102150,
        "english_name": "USS Denver",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102150",
        "painting": "danfo",
        "jp_name": "デンバー",
        "en_name": "Denver",
        "cn_name": "丹佛",
        "tw_name": "丹佛",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            0.7,
            1.2
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "102140": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102144,
        "skin_id": 102140,
        "english_name": "USS Montpelier",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "102140",
        "painting": "mengbiliai",
        "jp_name": "モントピリア",
        "en_name": "Montpelier",
        "cn_name": "蒙彼利埃",
        "tw_name": "蒙彼利埃",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.75,
            1.2
        ],
        "reload": [
            71,
            496,
            0,
            53,
            0
        ]
    },
    "102130": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102134,
        "skin_id": 102130,
        "english_name": "USS St.Louis",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102130",
        "painting": "shengluyisi",
        "jp_name": "セントルイス",
        "en_name": "St. Louis",
        "cn_name": "圣路易斯",
        "tw_name": "聖路易斯",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "102120": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102124,
        "skin_id": 102120,
        "english_name": "USS Honolulu",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102120",
        "painting": "huonululu",
        "jp_name": "ホノルル",
        "en_name": "Honolulu",
        "cn_name": "火奴鲁鲁",
        "tw_name": "火奴魯魯",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "102110": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102114,
        "skin_id": 102110,
        "english_name": "USS Richmond",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "102110",
        "painting": "lishiman",
        "jp_name": "リッチモンド",
        "en_name": "Richmond",
        "cn_name": "里士满",
        "tw_name": "里奇蒙",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "102100": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102104,
        "skin_id": 102100,
        "english_name": "USS Columbia",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102100",
        "painting": "gelunbiya",
        "jp_name": "コロンビア",
        "en_name": "Columbia",
        "cn_name": "哥伦比亚",
        "tw_name": "哥倫比亞",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.7,
            1.2
        ],
        "reload": [
            69,
            478,
            0,
            51,
            0
        ]
    },
    "102090": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102094,
        "skin_id": 102090,
        "english_name": "USS Cleveland",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "102090",
        "painting": "kelifulan",
        "jp_name": "クリーブランド",
        "en_name": "Cleveland",
        "cn_name": "克利夫兰",
        "tw_name": "克里夫蘭",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            0.7,
            1.2
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    },
    "102089": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            2,
            1
        ],
        "id": 102174,
        "skin_id": 102089,
        "english_name": "USS San Diego",
        "star": 6,
        "rarity": 6,
        "retro": 0,
        "uni_id": "102089",
        "painting": "shengdiyage_g",
        "jp_name": "サンディエゴ改",
        "en_name": "San Diego (Retrofit)",
        "cn_name": "圣地亚哥改",
        "tw_name": "聖地牙哥改",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.35,
            1.85
        ],
        "reload": [
            70,
            487,
            0,
            52,
            20
        ]
    },
    "102080": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102084,
        "skin_id": 102080,
        "english_name": "USS San Diego",
        "star": 6,
        "rarity": 5,
        "retro": 1,
        "uni_id": "102080",
        "painting": "shengdiyage",
        "jp_name": "サンディエゴ",
        "en_name": "San Diego",
        "cn_name": "圣地亚哥",
        "tw_name": "聖地牙哥",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.35,
            1.7
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "102070": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102074,
        "skin_id": 102070,
        "english_name": "USS Juneau",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102070",
        "painting": "zhunuo",
        "jp_name": "ジュノー",
        "en_name": "Juneau",
        "cn_name": "朱诺",
        "tw_name": "朱諾",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.35,
            1.6
        ],
        "reload": [
            66,
            457,
            0,
            49,
            0
        ]
    },
    "102060": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102064,
        "skin_id": 102060,
        "english_name": "USS Atlanta",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102060",
        "painting": "yatelanda",
        "jp_name": "アトランタ",
        "en_name": "Atlanta",
        "cn_name": "亚特兰大",
        "tw_name": "亞特蘭大",
        "equip_1": [
            1,
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.05,
            1.35,
            1.6
        ],
        "reload": [
            66,
            457,
            0,
            49,
            0
        ]
    },
    "102059": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102284,
        "skin_id": 102059,
        "english_name": "USS Helena",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "102059",
        "painting": "hailunna_g",
        "jp_name": "ヘレナ改",
        "en_name": "Helena (Retrofit)",
        "cn_name": "海伦娜改",
        "tw_name": "海倫娜改",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            0.65,
            1.15
        ],
        "reload": [
            68,
            475,
            0,
            51,
            5
        ]
    },
    "102050": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102054,
        "skin_id": 102050,
        "english_name": "USS Helena",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "102050",
        "painting": "hailunna",
        "jp_name": "ヘレナ",
        "en_name": "Helena",
        "cn_name": "海伦娜",
        "tw_name": "海倫娜",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            68,
            475,
            0,
            51,
            0
        ]
    },
    "102040": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102044,
        "skin_id": 102040,
        "english_name": "USS Phoenix",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102040",
        "painting": "feinikesi",
        "jp_name": "フェニックス",
        "en_name": "Phoenix",
        "cn_name": "菲尼克斯",
        "tw_name": "菲尼克斯",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "102030": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            2,
            1,
            1
        ],
        "id": 102034,
        "skin_id": 102030,
        "english_name": "USS Brooklyn",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "102030",
        "painting": "bulukelin",
        "jp_name": "ブルックリン",
        "en_name": "Brooklyn",
        "cn_name": "布鲁克林",
        "tw_name": "布魯克林",
        "equip_1": [
            2
        ],
        "equip_2": [
            1
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            0.65,
            1
        ],
        "reload": [
            66,
            462,
            0,
            50,
            0
        ]
    },
    "102020": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102024,
        "skin_id": 102020,
        "english_name": "USS Raleigh",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "102020",
        "painting": "luoli",
        "jp_name": "ローリー",
        "en_name": "Raleigh",
        "cn_name": "罗利",
        "tw_name": "羅利",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "102010": {
        "nationality": 1,
        "type": 2,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 102014,
        "skin_id": 102010,
        "english_name": "USS Omaha",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "102010",
        "painting": "aomaha",
        "jp_name": "オマハ",
        "en_name": "Omaha",
        "cn_name": "奥马哈",
        "tw_name": "奧馬哈",
        "equip_1": [
            2
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.55,
            1.3
        ],
        "reload": [
            67,
            465,
            0,
            50,
            0
        ]
    },
    "101490": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101494,
        "skin_id": 101490,
        "english_name": "USS Bristol !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "101490",
        "painting": "bulisituoer",
        "jp_name": "ブリストル",
        "en_name": "Bristol",
        "cn_name": "布里斯托尔",
        "tw_name": "布裡斯托爾*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.35,
            1.6
        ],
        "reload": [
            84,
            585,
            0,
            63,
            0
        ]
    },
    "101480": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101484,
        "skin_id": 101480,
        "english_name": "USS Ingraham !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "101480",
        "painting": "yinggelahan",
        "jp_name": "イングラハム",
        "en_name": "Ingraham",
        "cn_name": "英格拉罕",
        "tw_name": "英格拉罕*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.35,
            1.8
        ],
        "reload": [
            84,
            585,
            0,
            63,
            0
        ]
    },
    "101470": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101474,
        "skin_id": 101470,
        "english_name": "USS Morrison !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101470",
        "painting": "molisen",
        "jp_name": "モリソン",
        "en_name": "Morrison",
        "cn_name": "莫里森",
        "tw_name": "莫里森*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.3
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "101460": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101464,
        "skin_id": 101460,
        "english_name": "USS Stephen Potter !TWnoData",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101460",
        "painting": "shidifenbote",
        "jp_name": "ステフェン・ポッター",
        "en_name": "Stephen Potter",
        "cn_name": "史蒂芬·波特",
        "tw_name": "史蒂芬·波特*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            75,
            521,
            0,
            56,
            0
        ]
    },
    "101450": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101454,
        "skin_id": 101450,
        "english_name": "USS Allen M. Sumner !TWnoData",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "101450",
        "painting": "ailunsamuna",
        "jp_name": "アレン・M・サムナー",
        "en_name": "Allen M. Sumner",
        "cn_name": "艾伦·萨姆纳",
        "tw_name": "艾倫·薩姆納*",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.35,
            1.6
        ],
        "reload": [
            84,
            585,
            0,
            63,
            0
        ]
    },
    "101440": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101444,
        "skin_id": 101440,
        "english_name": "USS Cooper",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101440",
        "painting": "kubo",
        "jp_name": "クーパー",
        "en_name": "Cooper",
        "cn_name": "库珀",
        "tw_name": "庫珀",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.3
        ],
        "reload": [
            81,
            562,
            0,
            60,
            0
        ]
    },
    "101430": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101434,
        "skin_id": 101430,
        "english_name": "USS Halsey Powell",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101430",
        "painting": "haerxibaoweier",
        "jp_name": "ハルゼー・パウエル",
        "en_name": "Halsey Powell",
        "cn_name": "哈尔西·鲍威尔",
        "tw_name": "海爾賽‧鮑威爾",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.35
        ],
        "reload": [
            74,
            518,
            0,
            56,
            0
        ]
    },
    "101420": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101424,
        "skin_id": 101420,
        "english_name": "USS Smalley",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101420",
        "painting": "simoli",
        "jp_name": "スモーリー",
        "en_name": "Smalley",
        "cn_name": "斯莫利",
        "tw_name": "斯莫利",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.35
        ],
        "reload": [
            74,
            518,
            0,
            56,
            0
        ]
    },
    "101410": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101414,
        "skin_id": 101410,
        "english_name": "USS Stanly",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101410",
        "painting": "sitanli",
        "jp_name": "スタンリー",
        "en_name": "Stanly",
        "cn_name": "斯坦利",
        "tw_name": "斯坦利",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.35
        ],
        "reload": [
            75,
            521,
            0,
            56,
            0
        ]
    },
    "101400": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101404,
        "skin_id": 101400,
        "english_name": "USS Aylwin",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101400",
        "painting": "aierwen",
        "jp_name": "エールウィン",
        "en_name": "Aylwin",
        "cn_name": "艾尔温",
        "tw_name": "艾爾文",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            73,
            510,
            0,
            55,
            0
        ]
    },
    "101390": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101394,
        "skin_id": 101390,
        "english_name": "USS Mullany",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101390",
        "painting": "malani",
        "jp_name": "マラニー",
        "en_name": "Mullany",
        "cn_name": "马拉尼",
        "tw_name": "馬拉尼",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.3
        ],
        "reload": [
            76,
            526,
            0,
            56,
            0
        ]
    },
    "101380": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101384,
        "skin_id": 101380,
        "english_name": "USS Kimberly",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101380",
        "painting": "jinboli",
        "jp_name": "キンバリー",
        "en_name": "Kimberly",
        "cn_name": "金伯利",
        "tw_name": "金伯利",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "101370": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101374,
        "skin_id": 101370,
        "english_name": "USS Kalk",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101370",
        "painting": "keerke",
        "jp_name": "カーク",
        "en_name": "Kalk",
        "cn_name": "科尔克",
        "tw_name": "科爾克",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.3,
            1.25
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "101360": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101364,
        "skin_id": 101360,
        "english_name": "USS Hobby",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101360",
        "painting": "huobi",
        "jp_name": "ホビー",
        "en_name": "Hobby",
        "cn_name": "霍比",
        "tw_name": "霍比",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.3,
            1.25
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "101350": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101354,
        "skin_id": 101350,
        "english_name": "USS Bache",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101350",
        "painting": "beiqi",
        "jp_name": "バッチ",
        "en_name": "Bache",
        "cn_name": "贝奇",
        "tw_name": "貝奇",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101340": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101344,
        "skin_id": 101340,
        "english_name": "USS Hazelwood",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101340",
        "painting": "heizewude",
        "jp_name": "ヘイゼルウッド",
        "en_name": "Hazelwood",
        "cn_name": "黑泽伍德",
        "tw_name": "黑澤伍德",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101330": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101334,
        "skin_id": 101330,
        "english_name": "USS Bush",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101330",
        "painting": "bushi",
        "jp_name": "ブッシュ",
        "en_name": "Bush",
        "cn_name": "布什",
        "tw_name": "布希",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.35
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "101319": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101314,
        "skin_id": 101319,
        "english_name": "USS Nicholas",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "101319",
        "painting": "nigulasi_g",
        "jp_name": "ニコラス改",
        "en_name": "Nicholas (Retrofit)",
        "cn_name": "尼古拉斯改",
        "tw_name": "尼古拉斯改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.4,
            1.3
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "101310": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101314,
        "skin_id": 101310,
        "english_name": "USS Nicholas",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "101310",
        "painting": "nigulasi",
        "jp_name": "ニコラス",
        "en_name": "Nicholas",
        "cn_name": "尼古拉斯",
        "tw_name": "尼古拉斯",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.3
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "101300": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101304,
        "skin_id": 101300,
        "english_name": "USS Jenkins",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101300",
        "painting": "jiejinsi",
        "jp_name": "ジェンキンス",
        "en_name": "Jenkins",
        "cn_name": "杰金斯",
        "tw_name": "傑金斯",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "101290": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101294,
        "skin_id": 101290,
        "english_name": "USS Radford",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101290",
        "painting": "ladefute",
        "jp_name": "ラドフォード",
        "en_name": "Radford",
        "cn_name": "拉德福特",
        "tw_name": "拉德福特",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "101279": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101274,
        "skin_id": 101279,
        "english_name": "USS Bailey",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101279",
        "painting": "beili_g",
        "jp_name": "ベイリー改",
        "en_name": "Bailey (Retrofit)",
        "cn_name": "贝利改",
        "tw_name": "貝利改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.35,
            1.35,
            1.25
        ],
        "reload": [
            75,
            523,
            0,
            56,
            20
        ]
    },
    "101270": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101274,
        "skin_id": 101270,
        "english_name": "USS Bailey",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "101270",
        "painting": "beili",
        "jp_name": "ベイリー",
        "en_name": "Bailey",
        "cn_name": "贝利",
        "tw_name": "貝利",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.3,
            1.25
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "101260": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101264,
        "skin_id": 101260,
        "english_name": "USS Eldridge",
        "star": 6,
        "rarity": 5,
        "retro": 0,
        "uni_id": "101260",
        "painting": "aierdeliqi",
        "jp_name": "エルドリッジ",
        "en_name": "Eldridge",
        "cn_name": "埃尔德里奇",
        "tw_name": "埃爾德里奇",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.3,
            1.25
        ],
        "reload": [
            85,
            590,
            0,
            63,
            0
        ]
    },
    "101259": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101254,
        "skin_id": 101259,
        "english_name": "USS Hammann",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101259",
        "painting": "haman_g",
        "jp_name": "ハムマン改",
        "en_name": "Hammann (Retrofit)",
        "cn_name": "哈曼改",
        "tw_name": "哈曼改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.35
        ],
        "reload": [
            75,
            521,
            0,
            56,
            20
        ]
    },
    "101250": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101254,
        "skin_id": 101250,
        "english_name": "USS Hammann",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "101250",
        "painting": "haman",
        "jp_name": "ハムマン",
        "en_name": "Hammann",
        "cn_name": "哈曼",
        "tw_name": "哈曼",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            75,
            521,
            0,
            56,
            0
        ]
    },
    "101249": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101244,
        "skin_id": 101249,
        "english_name": "USS Sims",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101249",
        "painting": "ximusi_g",
        "jp_name": "シムス改",
        "en_name": "Sims (Retrofit)",
        "cn_name": "西姆斯改",
        "tw_name": "西姆斯改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.35
        ],
        "reload": [
            75,
            521,
            0,
            56,
            15
        ]
    },
    "101240": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101244,
        "skin_id": 101240,
        "english_name": "USS Sims",
        "star": 5,
        "rarity": 3,
        "retro": 1,
        "uni_id": "101240",
        "painting": "ximusi",
        "jp_name": "シムス",
        "en_name": "Sims",
        "cn_name": "西姆斯",
        "tw_name": "西姆斯",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            75,
            521,
            0,
            56,
            0
        ]
    },
    "101179": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101174,
        "skin_id": 101179,
        "english_name": "USS Laffey",
        "star": 5,
        "rarity": 5,
        "retro": 0,
        "uni_id": "101179",
        "painting": "lafei_g",
        "jp_name": "ラフィー改",
        "en_name": "Laffey (Retrofit)",
        "cn_name": "拉菲改",
        "tw_name": "拉菲改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.65,
            1.25,
            1.25
        ],
        "reload": [
            81,
            562,
            0,
            60,
            0
        ]
    },
    "101170": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101174,
        "skin_id": 101170,
        "english_name": "USS Laffey",
        "star": 5,
        "rarity": 4,
        "retro": 1,
        "uni_id": "101170",
        "painting": "lafei",
        "jp_name": "ラフィー",
        "en_name": "Laffey",
        "cn_name": "拉菲",
        "tw_name": "拉菲",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.4,
            1.25,
            1.25
        ],
        "reload": [
            81,
            562,
            0,
            60,
            0
        ]
    },
    "101160": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101164,
        "skin_id": 101160,
        "english_name": "USS Benson",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101160",
        "painting": "bensen",
        "jp_name": "ベンソン",
        "en_name": "Benson",
        "cn_name": "本森",
        "tw_name": "班森",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.3,
            1.3,
            1.25
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "101150": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101154,
        "skin_id": 101150,
        "english_name": "USS Spence",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "101150",
        "painting": "sipengsi",
        "jp_name": "スペンス",
        "en_name": "Spence",
        "cn_name": "斯彭斯",
        "tw_name": "斯彭斯",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101140": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101144,
        "skin_id": 101140,
        "english_name": "USS Foote",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "101140",
        "painting": "fute",
        "jp_name": "フート",
        "en_name": "Foote",
        "cn_name": "富特",
        "tw_name": "富特",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101130": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101134,
        "skin_id": 101130,
        "english_name": "USS Aulick",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "101130",
        "painting": "aolike",
        "jp_name": "オーリック",
        "en_name": "Aulick",
        "cn_name": "奥利克",
        "tw_name": "奧利克",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            75,
            523,
            0,
            56,
            0
        ]
    },
    "101120": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101124,
        "skin_id": 101120,
        "english_name": "USS Thatcher",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101120",
        "painting": "saqieer",
        "jp_name": "サッチャー",
        "en_name": "Thatcher",
        "cn_name": "撒切尔",
        "tw_name": "柴契爾",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            77,
            534,
            0,
            57,
            0
        ]
    },
    "101110": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101114,
        "skin_id": 101110,
        "english_name": "USS Charles Ausburne",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101110",
        "painting": "aosiben",
        "jp_name": "チャールズ・オースバーン",
        "en_name": "Charles Ausburne",
        "cn_name": "查尔斯·奥斯本",
        "tw_name": "查爾斯·奧斯本",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.3,
            1.3
        ],
        "reload": [
            79,
            548,
            0,
            59,
            0
        ]
    },
    "101090": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101094,
        "skin_id": 101090,
        "english_name": "USS Fletcher",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101090",
        "painting": "fulaiche",
        "jp_name": "フレッチャー",
        "en_name": "Fletcher",
        "cn_name": "弗莱彻",
        "tw_name": "佛萊契爾",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101080": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101084,
        "skin_id": 101080,
        "english_name": "USS Maury",
        "star": 5,
        "rarity": 4,
        "retro": 0,
        "uni_id": "101080",
        "painting": "moli",
        "jp_name": "モーリー",
        "en_name": "Maury",
        "cn_name": "莫里",
        "tw_name": "莫里",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.4,
            1.25
        ],
        "reload": [
            76,
            529,
            0,
            57,
            0
        ]
    },
    "101070": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101074,
        "skin_id": 101070,
        "english_name": "USS McCall",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "101070",
        "painting": "maikaoer",
        "jp_name": "マッコール",
        "en_name": "McCall",
        "cn_name": "麦考尔",
        "tw_name": "麥考爾",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.35,
            1.25
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101060": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101064,
        "skin_id": 101060,
        "english_name": "USS Craven",
        "star": 4,
        "rarity": 2,
        "retro": 0,
        "uni_id": "101060",
        "painting": "keleiwen",
        "jp_name": "クレイヴン",
        "en_name": "Craven",
        "cn_name": "克雷文",
        "tw_name": "克雷文",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.35,
            1.25
        ],
        "reload": [
            72,
            503,
            0,
            54,
            0
        ]
    },
    "101050": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101054,
        "skin_id": 101050,
        "english_name": "USS Gridley",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101050",
        "painting": "gelideli",
        "jp_name": "グリッドレイ",
        "en_name": "Gridley",
        "cn_name": "格里德利",
        "tw_name": "格里德利",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.15,
            1.35,
            1.25
        ],
        "reload": [
            74,
            513,
            0,
            55,
            0
        ]
    },
    "101049": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101044,
        "skin_id": 101049,
        "english_name": "USS Downes",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101049",
        "painting": "tangsi_g",
        "jp_name": "ダウンズ改",
        "en_name": "Downes (Retrofit)",
        "cn_name": "唐斯改",
        "tw_name": "唐斯改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.3
        ],
        "reload": [
            70,
            487,
            0,
            52,
            20
        ]
    },
    "101040": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101044,
        "skin_id": 101040,
        "english_name": "USS Downes",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "101040",
        "painting": "tangsi",
        "jp_name": "ダウンズ",
        "en_name": "Downes",
        "cn_name": "唐斯",
        "tw_name": "唐斯",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "101039": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101034,
        "skin_id": 101039,
        "english_name": "USS Cassin",
        "star": 4,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101039",
        "painting": "kaxin_g",
        "jp_name": "カッシン改",
        "en_name": "Cassin (Retrofit)",
        "cn_name": "卡辛改",
        "tw_name": "卡辛改",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.25,
            1.35,
            1.3
        ],
        "reload": [
            70,
            487,
            0,
            52,
            20
        ]
    },
    "101030": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101034,
        "skin_id": 101030,
        "english_name": "USS Cassin",
        "star": 4,
        "rarity": 2,
        "retro": 1,
        "uni_id": "101030",
        "painting": "kaxin",
        "jp_name": "カッシン",
        "en_name": "Cassin",
        "cn_name": "卡辛",
        "tw_name": "卡辛",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            70,
            487,
            0,
            52,
            0
        ]
    },
    "101020": {
        "nationality": 1,
        "type": 1,
        "base_list": [
            1,
            2,
            1
        ],
        "id": 101024,
        "skin_id": 101020,
        "english_name": "USS Dewey",
        "star": 5,
        "rarity": 3,
        "retro": 0,
        "uni_id": "101020",
        "painting": "duwei",
        "jp_name": "デューイ",
        "en_name": "Dewey",
        "cn_name": "杜威",
        "tw_name": "杜威",
        "equip_1": [
            1
        ],
        "equip_2": [
            5
        ],
        "equip_3": [
            6
        ],
        "equip_4": [
            10,
            14
        ],
        "equip_5": [
            10,
            14
        ],
        "eq_p": [
            1.2,
            1.3,
            1.3
        ],
        "reload": [
            69,
            482,
            0,
            52,
            0
        ]
    }
}
